commit unknown
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 25 15:15:04 2019 +0200

    Releasing 1.4.2

commit ea20fb536aae58f008a282feaa12868e72ce78d9
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Oct 25 14:33:14 2019 +0200

    plugins/python: support Python 3.8
    
    With Python 3.8, modules are no longer link with libpython by default. Therefore
    codes that are meant for embedding Python must pass --embed to python-configure
    in order to get the complete set of flags to do so.

commit d9fe7496b7172f28c22760627ff201ab5595c9e1
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 24 12:29:08 2019 +0200

    EquatorialHotSpot: fix "==" that was meant to be "="
    
    In XML backward compatibility code.

commit 557f90287d0c4225f960ba035409ab7a85b8d01b
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 24 12:26:10 2019 +0200

    GridData2D: explicitly convert size_t to long
    
    Implicit narrowing conversion is an error for some compilers.

commit 9f912f8233fc1cc42c05bd4338eec2fd8085a5fa
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Oct 23 16:48:04 2019 +0200

    Releasing 1.4.1

commit cc9d56c22497e93579c3c2487fc02adea859536f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Oct 23 16:41:43 2019 +0200

    make check: use all files in doc/examples

commit 1be1303f98b95386071479bd3398d29224e7f96e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Oct 23 15:29:25 2019 +0200

    Scenery: bugfix in mpiWorker
    
    Fix computation of number of quantities to store.
    
    Previously, parenthesis were missing and the result was always 16.

commit b0ae812addbd9b8ae4c6815484e5ff366bd05016
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 22 12:52:57 2019 +0200

    Preparing to release 1.4.0

commit eb1da8b77098bbb8ac8035312c3634079aea9e9c
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 22 12:50:35 2019 +0200

    Fix documentation in Register and Scenery

commit 1e30036d8d4b216ea25cb2a35fe1367d8ea3f7c9
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Aug 3 09:13:51 2019 +0200

    Releasing 1.3.5

commit 31195c8f583085d36911ae0b567019a90d83c108
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 22:37:38 2019 +0200

    Releasing 1.3.4 (fix merge in master)

commit d75a030dec028dd4f6f44e478db56d666d9d502f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 20:53:30 2019 +0200

    Releasing 1.3.3 (fix import in master)

commit 904c849c86fd9552837d1bd55efad9fb5b88cd06
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Sep 27 16:04:19 2019 +0200

    Releasing 1.3.6

commit 703ead1f392b1ff2c92fbba04d566c4f5b6dd2da
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Sep 27 16:02:00 2019 +0200

    Fix copy constructor of RezzollaZhidenko and PolishDoughnut

commit 3ee9b4e25f26c65ab162d64c61a5bcd66c86a78f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Sep 10 10:25:36 2019 +0200

    GyotoDefs.h: give derived constants to machine precision
    
    Some constants like GYOTO_G_OVER_C_SQUARED where only given to the same
    precision as the constant they derive from (GYOTO_G in this case).
    
    While it is correct that e.g. G is known only to 1e5, mixiin guses of GYOTO_G
    and GYOTO_G_OVER_C_SQUARED both specified only to that precision leads to
    additional errors. GYOTO_G_OVER_C_SQUARE, GYOTO_G_OVER_C_SQUARE_CGS,
    GYOTO_PLANCK_OVER_C_SQUARE and GYOTO_PLANCK_OVER_BOLTZMANN are now given with
    many more places so that GYOTO_G/GYOTO_G_OVER_C_SQUARE actually yields GYOTO_C^2.

commit a60e859cfc4ecbf7768b519c7b59e565ac5676c8
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Sep 27 14:37:09 2019 +0200

    Fix example.py after changing Worldline.getCoord

commit ae6b2131a1bbe7ebdbfc757070985c395aa29787
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 27 08:49:35 2019 +0200

    ThickDisk: commiting proper versions of StdPlug and lib/Makefile.in

commit c2ec8e22fed7319d3599fb0401cd598fec03a96e
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 27 08:20:25 2019 +0200

    New Astrobj ThickDisk
        This is a geometrically thick, optically thin disk, described
        by its opening angle (between BH spin axis and outer disk surface),
        and its inner radius. It emits thermal synchrotron parametrized
        by an inner temperature, inner density, and a magnetization.
        Its velocity is Keplerian outside ISCO, and can be tuned
        inside ISCO (see VelocityBelowIsco)

commit d74acb8469a716a77a9b56b2b9fa4af9aaffbc98
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 27 08:15:18 2019 +0200

    Jet: add a Thermal Synchrotron spectrum and change jet velocity to (Vphi,Vr)
         Velocity stuff: previous implementation was assuming pure radial
         velocity in jet. Now a suerimposition of azimuthal and radial
         is allowed with Vphi/Vr chosen in xml

commit f230d7fb226911fe5679fc166fef3f82536d08c8
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 27 08:11:31 2019 +0200

    in Torus: add a Thermal Synchrotron spectrum and a radiativeQ()
    recipe to allow realistic astrophysics

commit f277f6ebf3cc3810c7b56bd0b779540723272545
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 25 19:32:33 2019 +0200

    gyoto.util: make getCoord(double t, stat_t coord) work again

commit 0dda0c96b3d35725f8221a40305c727128480e5c
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 16 09:32:15 2019 +0200

    Python: make sure Worldline.getCoord works both with NumPy and C arrays

commit 3277ebedd6d095a6f85c928ced59a680f8e90337
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Aug 15 22:35:51 2019 +0200

    Python: make sure Worldline.getCartesian works both with NumPy and C arrays

commit 11b1a6016db823a39d42f993432a8271aee86ede
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Aug 15 09:01:36 2019 +0200

    gyoto.util.rayTrace: return arrays or the right dimension
    
    if j and/or i are scalars, decrease dimension of output arrays

commit e1209889d5511fe9061f7c25155578a44f76e73c
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Aug 14 21:22:25 2019 +0200

    gyoto.util.rayTrace: reorder parameters
    
    The order j, i is more Pythonic than i.j. This ways,
      sc[j, i]['Quantity'] == sc[:,:]['Quantity'][j,i].
    
    Having height and width last allows writing:
      sc[j, i, core.Bucket, None]
    skipping height and width to remove progress output.

commit c4af46c430bb0cd73c6230571d3530146b0f126d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Aug 14 14:31:42 2019 +0200

    Gyoto::Screen::Coord1dSet: copy beffur in Indices and Angles
    
    Much safer in Python

commit 6614509bccc4937123963c96011af8955fa04a51
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 14:07:43 2019 +0200

    gyoto.util: improve doc comments

commit f92a846193e3bd3cfa2adc5a04371d82b5158156
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 14:00:19 2019 +0200

    gyoto.util.rayTrace/Scenery_getitem: improve dimensionality
    
    - Scenery_getitem accepts all rayTrace parameters
    - return 1D array when the Coord2dSet is 1D

commit 18d2c3dfd3cd53e228b8ed0c91572a6232c07d04
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 07:53:12 2019 +0200

    gyoto.util: support angles in rayTrace

commit 7852e47d204d4b6f87032abc36179a4cb23f479b
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 07:45:42 2019 +0200

    gyoto.core.Scenery: add __getitem__ method
    
    shortcut for rayTrace

commit 7d86c285b0b9fb095bbcb102fb39fdc0f96e076d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 07:21:59 2019 +0200

    gyoto.util.rayTrace: support indices, ranges and list of indices

commit a0f2db907499a768e9d0c8322bd87386d5326b0a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 06:21:56 2019 +0200

    gyoto.util.rayTrace: accept paremeters i and j

commit 049e1daad6fb52b9beb6be40f9778c733b9755c1
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 9 09:37:16 2019 +0200

    python: install util.rayTrace as Scenery.rayTrace

commit a71e2ef9f529a9c0e49a662d90b8fedf969d5a07
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Sep 10 10:25:36 2019 +0200

    GyotoDefs.h: give derived constants to machine precision
    
    Some constants like GYOTO_G_OVER_C_SQUARED where only given to the same
    precision as the constant they derive from (GYOTO_G in this case).
    
    While it is correct that e.g. G is known only to 1e5, mixiin guses of GYOTO_G
    and GYOTO_G_OVER_C_SQUARED both specified only to that precision leads to
    additional errors. GYOTO_G_OVER_C_SQUARE, GYOTO_G_OVER_C_SQUARE_CGS,
    GYOTO_PLANCK_OVER_C_SQUARE and GYOTO_PLANCK_OVER_BOLTZMANN are now given with
    many more places so that GYOTO_G/GYOTO_G_OVER_C_SQUARE actually yields GYOTO_C^2.

commit 933632b26e4138b1f9c6ac11dde3ea53eb89aaf9
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Sep 5 10:41:17 2019 +0200

    doc/user_guide: correct example about setting the observer tetrad

commit aa0c11e9953f89c687be267548f5152757e13e76
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 25 19:36:06 2019 +0200

    Worldline: fix bug introduced with proper
    
    time_ was not properly upated after xExpand (or xFill, which calls xExpand)

commit 770de5b9e28c7490e6e3297fec4337e7609fe4c6
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 25 19:33:48 2019 +0200

    GyotoDefs.h: introduce GYOTO_DEBUG_THIS and GYOTO_DEBUG_THIS_EXPR
    
    Those versions output unconditionnally and are meant for temporary use during debugging sessions.

commit 59b68193fcb2947bdb80c47ddc9debd3403448dc
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 25 19:32:33 2019 +0200

    gyoto.util: make getCoord(double t, stat_t coord) work again

commit 9f7d8453019f49efba9fb466b0c359eef2d62a5a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 16 09:32:15 2019 +0200

    Python: make sure Worldline.getCoord works both with NumPy and C arrays

commit 930d25d714354771e4b5ff2380905991fd22f52a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Aug 15 22:35:51 2019 +0200

    Python: make sure Worldline.getCartesian works both with NumPy and C arrays

commit c77a243dbe042703afe59eb51b4a5ffda65b9baa
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Aug 15 09:01:36 2019 +0200

    gyoto.util.rayTrace: return arrays or the right dimension
    
    if j and/or i are scalars, decrease dimension of output arrays

commit 13ab900e9371bfe34dc389d69e53bda3da12d089
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Aug 14 21:22:25 2019 +0200

    gyoto.util.rayTrace: reorder parameters
    
    The order j, i is more Pythonic than i.j. This ways,
      sc[j, i]['Quantity'] == sc[:,:]['Quantity'][j,i].
    
    Having height and width last allows writing:
      sc[j, i, core.Bucket, None]
    skipping height and width to remove progress output.

commit ec2095da7da28c171f639d4a25e93b8b97b8eb25
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Aug 14 14:31:42 2019 +0200

    Gyoto::Screen::Coord1dSet: copy beffur in Indices and Angles
    
    Much safer in Python

commit 7f685adf5b748ef908709f170957846ecf0984b3
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 14:07:43 2019 +0200

    gyoto.util: improve doc comments

commit b010c42ef536885d3096d54206ba797b1b2c3d93
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 14:00:19 2019 +0200

    gyoto.util.rayTrace/Scenery_getitem: improve dimensionality
    
    - Scenery_getitem accepts all rayTrace parameters
    - return 1D array when the Coord2dSet is 1D

commit 6da372f854ce2146a9093f122b58300df1644abf
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 07:53:12 2019 +0200

    gyoto.util: support angles in rayTrace

commit 0fd2ad270afc7616408211439e5bc8d6b23ad216
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 07:45:42 2019 +0200

    gyoto.core.Scenery: add __getitem__ method
    
    shortcut for rayTrace

commit 7094bfe1607f0b9ad8be4d49c9d3487718204c80
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 07:21:59 2019 +0200

    gyoto.util.rayTrace: support indices, ranges and list of indices

commit 194b3c919b1d7a050b2c69bbd6a11541656458ca
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Aug 11 06:21:56 2019 +0200

    gyoto.util.rayTrace: accept paremeters i and j

commit 15d6d9ccaa0050267b8b823d62f9ba685eb16d36
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 9 09:37:16 2019 +0200

    python: install util.rayTrace as Scenery.rayTrace

commit bb7ce60adc3c9f476dafb0429b35df57ae99fe0a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Aug 3 09:13:51 2019 +0200

    Releasing 1.3.5

commit 8c856ac2c397c52e1f37e82be239122e72cfeb72
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Aug 3 08:52:47 2019 +0200

    gyoto.util: support Python 2

commit 5267613c227a8e923134a4135d166b935a50b14e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 22:37:38 2019 +0200

    Releasing 1.3.4

commit 8d8122d2089c554c9d6c50f2b17f48eca1b1c723
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 22:35:03 2019 +0200

    fix gyoto.util.rayTrace to work in the stable branch

commit 6b45c338432a6dd2516b0ddede0b1382f2776327
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 20:53:30 2019 +0200

    Releasing 1.3.3

commit 8f90c3fca9fb4aef2597dde57622a8457b7b85bd
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 15:52:28 2019 +0200

    Releasing 1.3.2

commit 2dd5b72560246688b3a75599423d507078dafb35
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 14:54:31 2019 +0200

    Fix printing issues during ray-tracing, mostly visible in Python
    
    - Make sure cout is flushed after Scenery::rayTrace finishes
    - Screen::Grid now keeps a copy of the prefix string
    - util.rayTrace fmt defaults to "\r j = "

commit 956439e3288d367bc89f30fa3bf5dba19cbb5fbd
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 30 16:22:38 2019 +0200

    doc: warn in the user guide that the Yorick plug-in should not be used
    
    The Yorick plug-in will not see new features. It's maintained for gyotoy only.

commit 75c871959a20586b5cd4116f1cca5510a22a1f16
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jul 29 17:15:38 2019 +0200

    Metric: fix bug in Generic::cartesianVelocity
    
    Was only correct in the equatorial plane

commit d6c93d927498be9bbfedb57e76cd62c3a9445fb8
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 22:51:13 2019 +0200

    ThinDisk::sphericalPhi: return value between 0 and 2 pi

commit 3c5b8c00dd1f031c08ad950c675043c15629e5a7
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 22:49:35 2019 +0200

    gyoto.util: add readScenery and writeObject

commit 4d88d3dfde2032a9b9badb9edf8ff1d773c0155d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 15:35:19 2019 +0200

    python: new module gyoto.util containing rayTrace()
    
    rayTrace is a utility function to hide the complexity of calling Scenery.rayTrace

commit 38812941bf5b1bb350616c25c8280ce9e1c4db11
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 24 13:48:40 2019 +0200

    python: call setup.py build instead of build_ext

commit 6664b5bb0bc49d2855f266619110a4e83146275e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Jul 13 00:31:35 2019 +0200

    Screen.C: change definition of dangle(1|2) for anglekind != spherical
    
    Older definition only works for spherical angles (at most?)
    
    This definition actually rotates the camera.

commit 765324d90d1f7df659a73ae32cfc244ec5b35cb6
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 12 10:06:34 2019 +0200

    python: fix segfault in gyoto.lorene
    
    numpy was not properly initialized in gyoto_lorene.i

commit dd9edd1ac4495c9c8a03400a0f91c9d3893baa5f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jul 11 21:10:46 2019 +0200

    python: fix segfault in gyoto.std
    
    numpy was not properly initialized in gyoto_std.i

commit 45632d45677d1b0f8a558eaf699454ae8135c5a6
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 31 17:59:12 2018 +0100

    Bugfix: add time-did-not-evolve check in Worldline::xFill()
    
    Same test as in Photon::hit().

commit 77d509f1726ff668fc74d1acb77ccc171ae1fea8
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 25 11:31:02 2018 +0100

    Fixup: specify encoding in python/tests/core.py

commit 1998eb3b8ef1e69f5f047fbd7b100ec2639e5e73
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 14:54:31 2019 +0200

    Fix printing issues during ray-tracing, mostly visible in Python
    
    - Make sure cout is flushed after Scenery::rayTrace finishes
    - Screen::Grid now keeps a copy of the prefix string
    - util.rayTrace fmt defaults to "\r j = "

commit 6ab168f94799ef8c668c665d452dfa3564a128ab
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Aug 2 14:24:12 2019 +0200

    Screen.C: apply PALN also for other observerKinds

commit 93e49c0fef6ccdd5dc6753b00d34d33ec095c3bb
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Aug 1 13:56:29 2019 +0200

    gyoto.animate: add static_screen video kind

commit 964d581ded5c73c46dc11d6d5cbe3de429dae25a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 31 15:32:34 2019 +0200

    doc/user_guide: document how to set observer tetrad

commit 073d516079a50966cdf712e8e075111cc71a6768
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 30 16:54:55 2019 +0200

    doc: update documentation on the Python modules

commit e1a2779bd7e4bdc7b611cac0f5a04fe906495ba3
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 30 16:22:38 2019 +0200

    doc: warn in the user guide that the Yorick plug-in should not be used
    
    The Yorick plug-in will not see new features. It's maintained for gyotoy only.

commit ee82c057d2208306b33a403156a6179ff388c7cf
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 30 15:50:11 2019 +0200

    gyoto.animate: add NullVideoWriter, roll angle in _forward

commit a46ff58d3da3f6569fc3437974e1d03681a378c9
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 30 11:54:31 2019 +0200

    mk_video.C: actually include it in git

commit 68024b0dabfd75c61e541ca9717ff9fdaf087fc6
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 30 11:42:48 2019 +0200

    gyoto.animate: improve projection in orbiting_screen_forward

commit 84a70b3fb343f69a72f83a189ee337e7bb9d8c9e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jul 29 17:17:25 2019 +0200

    gyoto.animate: add orbiting_screen_forward

commit 4b046b5bc964ff3823818555e3a62c54cccc9459
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jul 29 17:15:38 2019 +0200

    Metric: fix bug in Generic::cartesianVelocity
    
    Was only correct in the equatorial plane

commit 3ffdef6805430eef2b6f60185b51d6bf0773464a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jul 29 14:44:35 2019 +0200

    Metric: fix projectFourVect again
    
    Previous fix was worse than original bug.
    
    Also introduce test case in python/tests

commit 1e80b1de6c001d637105effd050fe51664d772df
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Jul 28 22:21:52 2019 +0200

    Metric.C: remove debugging cerr

commit 2337fd3ac575dddaa1271f63f5c9f5de78e581d3
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Jul 28 19:59:18 2019 +0200

    Metric: fix zamoVelocity and projectFourVect
    
    zamoVelocity should now be correct in all cases. We now take
    (1, 0, 0, 0) and project it onto the hyperplan orthogonal to
    ephi.
    
    projectFourVect had a bug and pnly worked when u2 had norm a
    norm of + or -1. Fixed.

commit 512e484ae84dc78597791ccdcdeeee5c3f862271
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 22:52:28 2019 +0200

    Metric: make observerTetrad work for any metric
    
    + Metric: new helper methods norm, multiplyFourVect, addFourVect,
      projectFourVect, GramSchmidt; renormalize fourvel in observerTetrad.
    
    + KerrBL: renormalize 4-velocity in observerTetrad

commit 6dac2074a07b8d2fb47b2d674b08ef0f0ae087f4
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 22:51:13 2019 +0200

    ThinDisk::sphericalPhi: return value between 0 and 2 pi

commit 5fe2b21be1957a426a29a7fee8d09765c1a72e4b
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 22:50:19 2019 +0200

    Python: debug some methods in Worldline

commit 250d256006d30bea6b6db5e74a8760093e18c4a8
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 22:49:35 2019 +0200

    gyoto.util: add readScenery and writeObject

commit 7316ec87d22a57d4dda85db79c86bda2b34cd0b3
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 15:37:05 2019 +0200

    python: gyoto.animate.rayTraceFrame: width/height override resolution

commit 214ca5466b1830cbe3f11c9f31f719fa28b91fb1
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 26 15:35:19 2019 +0200

    python: new module gyoto.util containing rayTrace()
    
    rayTrace is a utility function to hide the complexity of calling Scenery.rayTrace

commit 0f935bd7712502886f5999620703c8eddad0b294
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jul 25 14:34:11 2019 +0200

    gyoto.C: allow making movies directly from the gyoto command line
    
    gyoto mk-video [options] will try to load the Python plug-in
    and use it to run code in the gyoto.animate module.

commit 7f3649ebea23be6d38a40eca656732a39714d667
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 24 15:03:08 2019 +0200

    animate.py: add PyAVVideoWriter, add cmap option

commit c34397fce9d01c2bb5bacde0373152aa319bcfee
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 24 13:48:40 2019 +0200

    python: call setup.py build instead of build_ext

commit 83495797cbb52e50617cb34ca2263db39ff46bf9
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 24 12:34:28 2019 +0200

    Screen: observerkind is now stored internally as an unsigned int

commit e4c077a0eeeca6064e33ef527ab1a3dcc5c2af0a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 24 12:33:52 2019 +0200

    ThinDisk: add VelocityKind property to choose between Keplerian and ZAMO

commit 7202aced515b5e4eaa505a55c7bdcb58ef075e4a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jul 24 10:47:53 2019 +0200

    Metric: add normalizeFourVel
    
    Also fix a bug with normalization in Screen

commit 6741faf27ea4e4d02c4768e2c11ffb6e754213ac
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 23 20:35:32 2019 +0200

    animate.py: pass nframes to func

commit e7a5e281b402f71a96bf46ee438355834ad508a2
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 23 16:06:35 2019 +0200

    Astrobj: allow changing deltaMax inside rMax

commit facb69c9d1d16b018b5a8f84d686e17c5f5e1899
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jul 22 21:49:17 2019 +0200

    animate.py: add growing mass, change rin to 0

commit 6a5d56304ea35d42abf816fec4263ae8bdbf1c0c
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 19 17:16:46 2019 +0200

    Keep track of proper time in integration
    
    * Worldline:
      + New member tau_ with accessor get_tau;
      + xStore take additional argument tau;
      + Methods that take time as argument take new argument 'proper':
        various versions of getCoord, xFill.
    
    * Worldline::IntegState:
      + nextStep takes additionnal parameter tau and updates it
        (not implemented for Legacy integrator).
    
    * Metric::Generic:
      + renormalize fourvel in observerTetrad as it may now come from an
        integration to later be able to check orthonormality of the tetrad
      + turn orthonormality check from error to warning.
    
    * Photon:
      + integrate and store affine parameter in hit.

commit d8bd05b2c85b2a1b7b5be6860500ec57f8fcfa03
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 16 19:37:41 2019 +0200

    python: new module gyoto.animate for creating Gyoto-based movies

commit f822f4dd72176daf5507b0ea1cf47c1ef87181be
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jul 16 19:35:12 2019 +0200

    bugfix: fix norm of ephi in KerrBL::observerTetrad

commit d5100e96e353b1ef7f0f2cd426b37b0829fa3e66
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sun Jul 14 12:08:22 2019 +0200

    Support computing Screen tetrad from arbitrary velocity
    
     * Metric:
       + new API zamoVelocity(), default assumes null 3-velocity.
       + new method dualOneForm().
       + new API observerTetrad(in pos, in fourvel, out screen1,2,3),
         default throws an Error.
     * KerrBL:
       + implement zamoVelocity();
       + remove observerTetrad(obskind...);
       + implement observerTetrad(pos, fourvel, ...) for any fourvel.
     * Screen: supports two new obskinds: VelocitySpecified and
       FullySpecified.

commit 032dcc8851fe40d62b0090c978e8bca302420c9f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Jul 13 00:31:35 2019 +0200

    Screen.C: change definition of dangle(1|2) for anglekind != spherical
    
    Older definition only works for spherical angles (at most?)
    
    This definition actually rotates the camera.

commit 6f60d0318d522dbd119b803d575e27bb5afae2b3
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Jul 12 10:06:34 2019 +0200

    python: fix segfault in gyoto.lorene
    
    numpy was not properly initialized in gyoto_lorene.i

commit 71501663d3d5d7baa6208ae437de82df9f3726aa
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jul 11 21:10:46 2019 +0200

    python: fix segfault in gyoto.std
    
    numpy was not properly initialized in gyoto_std.i

commit 8d3a7b2c308581ff4406f519337c09c0bf317006
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jul 11 15:26:54 2019 +0200

    python: add example-patterndisk.py

commit 0f16e0cb2c8ab9bd5b96e3053b0868325403c1c7
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu May 16 15:44:25 2019 +0200

    Blob.C: update signature of radiativeQ

commit ab742924fcb73e0234cceee38324a926d1825f89
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon May 6 11:51:19 2019 +0200

    Update INSTALL.Gyoto.md with some information specific to Debian derivatives

commit 652932021efef69d6266873bb03db3c0c8acb47e
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Apr 16 15:57:44 2019 +0200

    Website update for Picture Gallery

commit 281c1619d50d538854e0e33b3cecf88d66765c06
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Apr 16 15:55:04 2019 +0200

    Again website update for Picture Gallery

commit feeb8b475b91a8feb3b2fd1293a7c5200f3d1c6b
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Apr 16 15:51:32 2019 +0200

    Website update for Picture Gallery

commit a55baa2b5b2e315b466801166bfa6a59411c0965
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Apr 16 15:37:54 2019 +0200

    Update website with picture gallery

commit e38618af5d599b12f74f905aa40a373e12016594
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Mar 26 14:40:35 2019 +0100

    FlaredDiskSynchro: adding z variation of density and temperature

commit 8ea563747715c34734f2c01cb45aec9b79bb97a1
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Mar 1 16:19:15 2019 +0100

    FlaredDisk: correct copy constructor for multithreading

commit c8b09e7f9dc1d7fef4404f409196d1eae7b07516
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Feb 28 14:16:07 2019 +0100

    GridData2D: bilinear interpolation outside time domain

commit 965a467aa329d07f495302013bdf4e351b9f3e05
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Feb 28 12:09:37 2019 +0100

    Adding Makefiles and configure

commit d75c68b8bd521adb2af5c7aa4d2b3bc73c6a2c1e
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Feb 28 11:54:10 2019 +0100

    FlaredDisk: adding time translation and temperature variation

commit 8b369a20483639b283060c5ef22206254318592b
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Feb 27 16:40:08 2019 +0100

    GridData2D: adding interpolating function

commit 68a39f6e653e350f976b6c2a3126563e64304bd4
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Feb 22 09:59:24 2019 +0100

    Correct Makefiles in lib

commit bde487c5159375d76fb9518c36a84127bbc623f5
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Feb 21 18:11:06 2019 +0100

    New class GridData2D and subclass FlaredDiskSynchrotron
    
        GridData2D: allows to deal with 2D (r,phi) data in a grid
        with time dependence. The class can read and write from and
        to FITS files with a python interface.
        The data are supposed to be on a regular grid in all dimensions.
    
        FlaredDiskSynchrotron: very preliminary submission of a class
        using GridData2D to read density and velocity from a 2D grid
        in the equatorial plane. The density will be analytically
        prescribed in the z dimension, with a specified aspect ratio z/r.
        The flared disk will emit optically thin synchrotron radiation.
        Not ready yet for doing physics.

commit 3534961b0a31f2e2975e3786391dc78407cd956f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 22 14:03:23 2019 +0100

    Releasing 1.3.1

commit 30a7a026c8becc7ee39338a07a25302cf01a3673
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 22 13:29:16 2019 +0100

    Remove python/_*.so in clean

commit 7f5884c9c6ebaa76762ed5103a6ce46453e1caa2
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 21 23:55:49 2019 +0100

    Fix in ThemalBremstrahlung: return infinity upon div by zero
    
    Instead of throwing an error. Returning infinity is better here as it
    will correctly yield zero transmission.

commit 09ccb9fb73fd491c9603a098a1a67aa3673dc5dc
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 21 19:01:04 2019 +0100

    Fix error message prefix in gyoto-mpi-worker

commit 5a728a93932d9154bca84d3028ba295161f9c937
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 21 17:33:02 2019 +0100

    New macro GYOTO_ERROR around throwError
    
    This macro prepends the error message with __FILE__:__LINE__ in __PRETTY_FUNCTION__

commit f31bec703a0170eca81ec69bd427612d92707df3
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 21 17:33:02 2019 +0100

    New macro GYOTO_ERROR around throwError
    
    This macro prepends the error message with __FILE__:__LINE__ in __PRETTY_FUNCTION__

commit 0e9850d9c08f94b8cceae99562c1d57825fc225e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 21 15:05:01 2019 +0100

    UniformSphere: deprecate Alpha
    
    This was a tweak to implement the same thing as integrateEmission more
    efficiently in a specific situation.
    The more generic implementation still works.

commit 31caeab224aa42eb5ed1ff5f3e689aa04d2e034f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Jan 19 13:54:10 2019 +0100

    Astrobj: let emission/transmission/radiativeQ communicate
    
    The default implementations of these methods call each-other
    and use a private member to cache whether each method  is the
    default implementation.
    
    transmission() has now the same signature as emission().

commit 987ebfe0b233dff3814d512831b6bb77dcdf2d62
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 17 14:07:39 2019 +0100

    Fixup: make sure 'polar' compiles after merging 'master'

commit 7de5ee601f1ac18e95d4f2d11414976e0937d73e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 16 11:21:46 2019 +0100

    Fix bug in Python plug-in

commit 96e63e15264416d84915a65de25b122e8d31c604
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 16 10:38:17 2019 +0100

    Fix typos in include files

commit 8ff7bbc23b12cf094439b1e6e917298856091a37
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 15 11:26:44 2019 +0100

    Make branch 'stable'$ identical to 'master'

commit c015e577e3a9fb0f31ea41166b4f26818341396f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 15 11:20:10 2019 +0100

    Releasing 1.3.0

commit 13474592c163ba4b0786dd8c085a1f92f2eec246
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 15 10:37:59 2019 +0100

    Update Yorick interface for PatternDisk
    
    The PatternDisk smeantics have changed during this release cycle.
    This commit updates the Yoric kinterface and test suite accordingly.

commit 58b1289f5919f1761be4fd547a0343e87093b235
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 14 11:47:18 2019 +0100

    Releasing 1.3.0~rc1

commit 42baab26fe1d477b9d005bfd5b4875622091921a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 14 10:43:44 2019 +0100

    Fix yorick/check-patterndisk.i
    
    This version works but PatternDisk seems a little buggy.

commit bb242d0e656a1b0910882b63f6099cf154d8d790
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 14 11:47:18 2019 +0100

    Releasing 1.3.0~rc1

commit 42353a6513778fe7b7102f7e4f41842f520aacd0
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 14 10:43:44 2019 +0100

    Fix yorick/check-patterndisk.i
    
    This version works but PatternDisk seems a little buggy.

commit ee722e43e1e631cd4ba868b83638580c0bbc65ab
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Jan 14 09:11:52 2019 +0100

    Update check-directional-disk.i which was outdated

commit ca5f3aa59e2eef83a4add0dd80270a69549a579c
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 10 18:42:45 2019 +0100

    Remove RadiativeQ property. RadiativeQ is now always used.

commit bd034eb860ba418ef7bbe8882731056287461e5e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 10 18:07:00 2019 +0100

    Fix binSpectrum, in particular for PolishDoughnut
    
    Actually update the transmission in processHitQuantities when
    computing only binspectrum;
    
    Add transmission() and the two vestions of emission() to
    PolishDoughnut as wrappers around radiativeQ().

commit f85b64c0e88ddc6ce0fa35793f714a1dad4b128f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 10 17:59:17 2019 +0100

    Update doc for release 1.3.0

commit b100123de9bbdc539b105531f464cfadd2b5c20e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 10 10:22:13 2019 +0100

    Fix Python test suite when LORNE support is not compiled

commit 80cd58097b39d243ec29c98c619b2c8ac8941b8c
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 10 10:09:46 2019 +0100

    Fix lib/Makefile.in

commit b7e50dccc665fa50fba90bfd8b6c63f2d7b2b965
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Jan 8 16:16:12 2019 +0100

    Adding lib/Makefile.in for Blob

commit d03d35fece48867997c03f87fa6fe0a4927b4a53
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Jan 8 16:03:31 2019 +0100

    Add new Astrobj Blob
    
        Synchrotron-emitting optically-thin sphere in timelike orbit

commit 3adaa296a9f7776a5b991f913aeee2dd13a71a0c
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Jan 8 16:00:23 2019 +0100

    In Jet PolishDoughnut: change name of magneticParticleEquipartitionRatio
    to magnetizationParameter

commit cf2e95a5d5e20901b1e27b786cdf94f86b6956fd
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Dec 10 16:23:42 2018 +0100

    Updating example files for Jet and TorusJet

commit 62f6982edf02683a2885dc0a47566db3c262e6dd
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Dec 10 15:15:44 2018 +0100

    Adding example and plotting tools for the torus+jet paper

commit 7c222f9c41fcc9ba0f4b49ae17a6a0c3b59adba5
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Nov 21 16:40:52 2018 +0100

    python: set Kind when constructing Uniform spectrometer

commit b0cd8993d588c14cd0ba06ac9dd791728b0c4237
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Nov 21 14:49:32 2018 +0100

    Expose Jet in python

commit 42faa914cc66880250118399202450cd594388d4
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Nov 13 16:43:46 2018 +0100

    UniformSphere: adding units to times and number density

commit 980916599d745daecc8ac6cd8aca24a48fff146a
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Nov 13 16:42:32 2018 +0100

    Jet: adding units to number density

commit d2c6b3afa33b44746aac0cc0f059565caaed57d8
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Nov 7 14:11:38 2018 +0100

    UniformSphere: adding hotspot machinery
       Allows a uniform sphere to emit optically thin
       kappa-distribution synchrotron at a density and temperature
       varying as a temporal Gaussian around some specified value

commit 985596ec7c7455686e5d24c45a0532e8d1b7bd25
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Nov 7 14:03:27 2018 +0100

    Bugfix: fix rule check-lorene-mpi-clean
    
    This rule was removing the wrong files.

commit 5c4bba5bdfcf69a357b722b28bcd2ba24d194fa0
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Nov 7 12:25:55 2018 +0100

    Fix GCC warnings
    
     + make sure all non-void functions always return a value in a manner that is obvious to the compiler
    
     + change python work-around to please the compiler.

commit ab0272b566ffb142d52c5b926f4c27cb1fc319c9
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Nov 7 11:06:33 2018 +0100

    In PolishDoughnut: add magneticParticlesEquipartitionRatio_
       To be compatible with the same quantity in Jet.C for torus+jet simulation

commit 398ce05af01d6cd3b8eb6f411bdbbe76345774f4
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Nov 7 11:04:03 2018 +0100

    Utils.C and Jet.C: move hypergeometric function definition from Jet to Utils

commit d69e102f6c43102cd2dffeb6dfd7aa946b2f21ab
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Nov 7 10:18:05 2018 +0100

    In lib/KappaDistributionSynchrotronSpectrum.C and lib/ThermalSynchrotronSpectrum.C: increase integration number of steps for angle-averaging

commit d69fefc4eb5a96ff853bcfbcba2ae56ab5e4fb26
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Nov 6 17:46:39 2018 +0100

    Bugfix: Some lines in Scenery lacked an HAVE_MPI protection

commit d0543bf2b3795147ba01b071a1cc1adf8921c0d8
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Oct 12 13:44:29 2018 +0200

    MPI: a little more info output (use -v10 to show)

commit 7ae78b9563497cf62999a243fe1f7baaf2fae628
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Oct 12 11:26:21 2018 +0200

    fixup: change --with-python also in plugins/python

commit 06bc28fdd99a29b15b940def5e9a5cb1b957d048
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Oct 12 10:47:24 2018 +0200

    configure.ac: improve --with-python, default to python3
    
    It is now possible to specify the python interpreter in --with-python:
    
    ./configure --with-python=python2
    ./configure --with-python=/usr/bin/python3.7
    
    If not specified, the preference list is now:
    
    python3 python python2 python3.x ... python2.x ..

commit bbf173384166bb4aa67598faa3b2eb301a576917
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 11 17:49:28 2018 +0200

    Improve MPI support: gyoto can now be called like a SIMD process
    
    Also exposed in the Python interface.
    
    mpirun -np N gyoto ... now should work whatever the MPI implementation.

commit 071b75ea41875e7c33ab86037784a9611cfce9fa
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Oct 11 16:01:41 2018 +0200

    Converters.C: adding unit in Error message

commit 9d1fa3b75110b5840c9c0c075db9860c96e4f60d
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Oct 11 15:50:35 2018 +0200

    configure: make sure pkg-config's variables are propagate to Makefiles

commit b94ec8559aa774229aacc674ff3b0d21acaf8026
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Oct 10 12:26:22 2018 +0200

    fixup (fix flint-arb being forecfully linked to)

commit aeadc3303d33e7102bb60526320f68c1edc61baf
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Oct 10 12:04:19 2018 +0200

    Bugfix: don't link with flint-arb when not available

commit 4761a53ecfd5ce4dc59c345412e184f6b9aebbf1
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 4 17:57:05 2018 +0200

    python: make Astrobj::Complex iterable

commit 88e8b32eec83e01243c240fc5349d30504ed16c0
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 4 17:03:13 2018 +0200

    python: extend core classes with __str__
    
    This way print() and str() yield the XML representation of an object:
    
      \#include gyoto.core as gy
      sc=gy.Scenery()
      print(sc)
      string=str(sc)
      print(string)

commit e516da5188fc407a4b8df8e04066ea9be8d74d7b
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 4 12:20:30 2018 +0200

    minor: fix python examples for recent Gyoto and Python developments
    
    + Gyoto::Astrobj::Complex::rMax(double) has been removed
    
    + os.execlp now need a non-empty string as second argument, provide " " instead of ""

commit 71e6a5494097ec0eaefd8997469d6e638993f620
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Oct 4 12:03:09 2018 +0200

    API: changes Factory get methods
    
      * Changed API: for consistency, rename Factory::getScenery to
         Factory::scenery and Factory::getPhoton to Factory::photon.
       * Changed API: Factory::metric(), astrobj() etc. don't throw an error
         anymore when then XML file does not contain the relevant entity but
         return a NULL smartpointer instead

commit 84072b3bbc2e5faf3563c8f124f2c2b636325c7f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 2 17:42:25 2018 +0200

    Fixup: only include array_wrapper for Boost versions that are known to have it

commit bde7eb40c1fb14ea7c6e16c3c95cef69bd427b2f
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 2 15:31:55 2018 +0200

    Bugfix: implement copy constructor for various spectra
    
    All spectra that have a spectrumBB_ member need to clone it in their copy constructor.

commit 0b3e37d414ffb42b1d23e27e30c42283b3d7533a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 2 08:26:52 2018 +0200

    fixup: also fix ldflags for arblib

commit 58326b158071bce62b425363be73cb8a8cf56c55
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 2 08:24:04 2018 +0200

    bugfix: wrong ldflags when not using pkg-config

commit 788638e8c08957e4f9e14916ff9d90ffacc309ad
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Oct 2 08:24:04 2018 +0200

    bugfix: wrong ldflags when not using pkg-config

commit f608231588392b329ba5f0182f4bb02b9656be26
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Oct 1 16:35:07 2018 +0200

    configure.ac: use GYOTO_ARG_LIB for ARBLIB

commit fecff0f4f0d895d5851565d614b3ef365f476d04
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Oct 1 15:12:34 2018 +0200

    configure.ac: simplify and uniformize
    
    Introduce an M4 macro (m4/gyoto.m4) for factorizing for between udunits,
    xerces and cfitsio.
    
    Deprecate --with-udunits-(inc|lib) in favour of --with-udunits-(headers|libs).
    
    In --with-*-(headers|lib), accept both colon-sparated paths and list of flags.

commit 1a5b5c199ec65643c6f6ebae0d864599db4de3e0
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Sat Sep 29 07:36:04 2018 +0200

    Support AEAE in addition to ARBLIB for hypergeom in Astrobj::Jet

commit e096aedacca6f3c49ce1020a8f54472acb207bba
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Sep 27 17:33:17 2018 +0200

    Bugfix: add using namespace std before including Michel & Stoitsov lib

commit f8e56e99af2bb8c9685c2d03c560daaf3a65d288
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Sep 27 14:55:37 2018 +0200

    Remove Michel Stoitsov hypergeometric functions library and use ARBLIB instead.

commit beef8559c2641d1bdf6365dbf22975d1ca416cba
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Sep 24 11:29:08 2018 +0200

    Replace C++ MPI calls with their C equivalent

commit 3733343050d8523a76dd292badb2e64b5478349c
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 21 10:42:07 2018 +0200

    Typo in Standard for deltaInObj

commit cfc7e79f55f556d883beb0953dbf5b3e193464e9
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 21 08:42:49 2018 +0200

    Standard: add deltaInObj for integration step in object

commit dabd6546a1711eb3b3fe9ab14508bc691b028d9d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Sep 20 10:19:34 2018 +0200

    Fix plugins/python/configure when PKG_CONFIG_PATH is set

commit 042ff579cbde0278f518819f418cd0a02dd6e592
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Sep 20 10:17:15 2018 +0200

    Support KerrKS in gyotoy

commit 87df6e9e3ed97871dd2f0440cc8b654bb0ac9566
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Sep 7 10:13:10 2018 +0200

    In ComplexAstrobj add rMax()

commit c85a3456770c61dcda77a72a158f7da118704a69
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Jul 27 10:18:02 2018 +0200

    In WolrdlineIntegState add <boost/serialization/array_wrapper.hpp>
    
       For some reason tycho needs it.

commit 7c1481c195356c47b79702f149fc12eecdd7749f
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Jul 27 10:06:15 2018 +0200

    Update Jet to use Kappa-distribution synchrotron

commit 44e8f9b7e2173c7d26212f91ec14fa10c9aa2012
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Jul 27 10:03:56 2018 +0200

    Add Kappa-distribution synchrotron radiation
    
        Kappa-distribution is a mix of thermal distribution at
    low Lorentz factor and power-law distribution at high Lorentz factor.
    The formulas are from Pandya et al., ApJ, 822, 34 (2016)

commit a78115cfa0d97f2223a206107bbaa2149abe99dd
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Jul 27 10:01:54 2018 +0200

    Add Michel-Stoitsov code for computing hypergeometric function

commit 7e85934059012dd14bf21150fde135de34790129
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Jul 16 10:27:36 2018 +0200

    Thermal/PowerLaw Synchrotron: add Pandya et al. (2016) formula

commit bd9aae89edff7deafbb96c675f2980742aed462c
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Jul 2 10:40:15 2018 +0200

    In Jet: double-sided jet; typo in velocity

commit 386190d7675d21032fd1e326ec7b65f0d3a70a0f
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Jun 27 18:55:31 2018 +0200

    Jet: big code update and simplification

commit 41d257b98224a8b81bb944ad075af0e2b5cf53e7
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Jun 27 09:53:54 2018 +0200

    ThermalBrems: code cleaning and typos

commit 0e8ce8612156e8e856aef8f52e80a41c5c0ffa7f
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Apr 18 10:29:26 2018 +0200

    Typo in webpage

commit 5a7e6f04b4613b1ded4462d0618d5a807976b7e4
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Apr 17 18:26:27 2018 +0200

    Important code cleaning in PatternDisk
    
     PatternDisk: implement radial interpolation for axisym grid;
                  implement case when phi is out of phi-grid bounds;
                  correction of bugs with rin, rout, rmax;
                  allows grid with nphi=1 (axisym)
    
     PatternDiskBB: remove risco and all calls to Kerr;
                    can support any metric now

commit c1d0b95d6b95037398dee5f009b4b7ac7b472030
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Apr 17 18:22:29 2018 +0200

    RezzollaZhidenko: implement circularVelocity

commit 4f0f1a3f0ac6f0e0771866631f5afc88924cb7a5
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Apr 11 11:25:10 2018 +0200

    Unable PageThorne to allow ChernSimons metric

commit f4d81f6efc710cd81af6c0d2ab773c83bcb2ce84
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Apr 9 11:40:11 2018 +0200

    RezzollaZhidenko: add copy constructor and example

commit 4bfc75e4f587472b622008f984175bc68a35b215
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Mar 1 11:45:15 2018 +0100

    Update in Rezzolla-Zhidenko metric
    
    Correct some typos, remove diff and circularVelocity (useless),
    add an example xml file.

commit aab64a71ce72d118f4d1fee6d3bdb04f7db2249c
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Mar 1 11:43:19 2018 +0100

    Add a test after calculation of r_centre_ in doughnut

commit 41711610bc6eecd23ce24cb96ca364ee8bbbc051
Author: LamyFrederic <36230914+LamyFrederic@users.noreply.github.com>
Date:   Tue Feb 13 18:52:11 2018 +0100

    Update Hayward.C
    
    Modification of getSpecificAngularMomentum()

commit b2b0991b7a384071966efc2b38e588ff7f61383d
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Feb 9 10:27:15 2018 +0100

    Update Inu and Taunu in Doughnut and Jet
    
    Use std::expm1 for small local optical depth

commit 1cb1353de2e2e07c79a066d76237ae5f91c782ae
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Feb 8 19:02:56 2018 +0100

    Typo in ThermalSynchrotron

commit f3e25dd8e5e5007c2d90a995288619a34ef57b7d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Feb 8 09:24:54 2018 +0100

    Bugfix: Hopefully fix cgs->SI convertion for previouos commit

commit a5f71b68072172365d2695a86b2c2952e3c0b0e7
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Feb 8 08:23:19 2018 +0100

    Implement order 1 integration in PolishDoughnut and Jet and use SI in spectra::radiativeQ

commit 6cd1095714f840b73a2e4382eb5b478cb0fd772a
Author: LamyFrederic <36230914+LamyFrederic@users.noreply.github.com>
Date:   Wed Feb 7 15:33:04 2018 +0100

    Update GyotoHayward.h (#6)
    
    Expression of the metric + addition of references

commit f17329cbd076710042f6aaf3ed1f774f7ff03f17
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Feb 7 14:12:44 2018 +0100

    Update in Jet
    
    Similarly to Doughnut, compute emission in
    external Spectrum class

commit 36eb73f98daaebe0d35b4f38368a954277f0e7f0
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Feb 7 12:35:56 2018 +0100

    Major update in PolishDoughnut
    
    - remove all code relative to outdated 2012 model
    - remove call to getRms in angmomrinner
    - call to external spectra (synchro ther, synchro PL, brems),
      so remove all spectrum computation inside PolishDoughnut

commit b906b92245cbfb0b4fe778417140191d7bd73297
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Feb 7 12:32:47 2018 +0100

    Major update in Spectrum
    
    - Add ThermalSynchrotron and PowerLawSynchrotron
    - Add radiativeQ method to compute emission and absorption coef
    - Edit ThermalBresstrahlung to use a different model
    depending on temperature

commit 3f1b16cfa51c64fedfeeb923a6e200456d1ae644
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Feb 7 12:29:08 2018 +0100

    Add bessel functions in Utils
    
    Much quicker than boost implementation,
    and very accurate.

commit 09b102b33427534a31bbb2dfdfa3ac8e59c98453
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Feb 7 10:32:13 2018 +0100

    Add astro-ph link to Hayward

commit 18951e9434295596a66f05810ab962a885733cf1
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Feb 6 10:39:48 2018 +0100

    Remove Hayward::circularVelocity() and observerTetrad() which yield only Kerr approximations

commit bf4b061a3bd998be33f83bfdf5b1dd56936c1c73
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Feb 5 21:53:01 2018 +0100

    Remove unsused methods from Hayward metric

commit 6d067d381fbba4a5c3bf8b5efa393faf818c3073
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Feb 5 20:15:03 2018 +0100

    New Metric: Hayward

commit 85b51d6cfa24db506025066fc8529563dbcfd23d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 31 17:59:25 2018 +0100

    Test suite: test conservation of base vector orthogonality and norm
    
    In Python-based test suite.

commit 85975855b5bad310807deb94266d09dbe177a381
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 31 17:59:12 2018 +0100

    ugfix: add time-did-not-evolve check in Worldline::xFill()
    
    Same test as in Photon::hit().

commit 8d11cd22c20668155c5a6e9370599438b12a073a
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 31 11:14:16 2018 +0100

    Replace CutOffIneV by CutOff (in Hz) in Spectrum::PowerLaw
    
    Rationale: all Gyoto APIs should be in SI. Besides, Band in
    Spectrometer is in Hz by default. Cut-off frequencies should be in
    the same unit.
    
    The new interface supports unit, so it is still possible to use eV
    but also any unit convertible to Hz, m or eV. The user may replace
      <CutOffIneV> 1 2 </CutOffineV>
    with
      <CutOff unit='eV'> 1 2 </CutOff>
    
    In addition, document the properties.

commit 41617e97b73a831e8df15935db816fc8972af9f5
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 30 10:51:14 2018 +0100

    Bugfix: make PolishDoughnut::emission() and radiativeQ() equivalent
    
    Previously emission() worked only for komissarov_==false and
    radiativeQ only for komissarov_==true.

commit 41390244ecb74ca9942e2d65c11fb09cb166c453
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 30 00:12:24 2018 +0100

    Bugfix: wrong allocated size for Inu in PolishDoughnut::integrateEmission

commit 74bda170afb5721aa9caf1d73773abaf39120308
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 30 11:15:55 2018 +0100

    Draft polarized radiative transfer in Astrobj::Generic and Photon
    
    Provide new interface for polarized radiative transfer (overload of
    radiativeQ()). The default implementation calls the unpolarized implementation
    to provide consistent unpolarized emission and polarization-neutral
    transmission.
    
    Provide new interface Photon::transfer() to both perform polarized transfer
    from the volume element of the emitter to the observer and accumulate the
    transfer function of this element into the light-ray transfer function.
    This draft implementation actually only treats the unpolarized case.
    
    Depending on ph -> ParallelTransport, Astrobj::Generic::processHitQuantitive()
    calls either this new polarized Astrobj::Generic::radiativeQ() and
    Photon::transfer() or use the older unpolarized implementation
    (calling unpolarized radiativeQ and Photon::transmit()).

commit 3a15113c3fb48ae248b3554be94670ceb7da165e
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 30 10:51:14 2018 +0100

    Bugfix: make PolishDoughnut::emission() and radiativeQ() equivalent
    
    Previously emission() worked only for komissarov_==false and
    radiativeQ only for komissarov_==true.

commit 4974282751a8aa3900de8c79812115d4ffc60300
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 30 09:58:33 2018 +0100

    fixup: correct indices in Worldline::getCoord(double t, state_t &coord)

commit 05820f1131f7e96a8393585158ad187b893ba929
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 30 00:12:24 2018 +0100

    Bugfix: wrong allocated size for Inu in PolishDoughnut::integrateEmission

commit ea910af29e3752e63a09bccd17ecb4f2b760a2ce
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 29 13:52:37 2018 +0100

    Prepare Astrobj interface for polarization
    
     * Change prototype of processHitQuantities;
     * Change type of photon coordinate from double[8] to
       state_t in all emission/transmission methods;
     * Make more parameters const;
     * Change typedefs to use a single Gyoto::state_t typedef.

commit 1966012b9827462be5462edb535fd318ce288928
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 25 22:30:40 2018 +0100

    Implement initialization of parallel transport
    
    Raytracing one of the STOKES quantities should perform parallel transport.

commit 2f2196f18d0487dd49c2903ad71a8e8408ffe1f8
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 25 12:27:47 2018 +0100

    Implement parallel transport of additional vectors

commit 1d626ad19c22941210b01002d178e5bc70c64586
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 25 11:33:07 2018 +0100

    Fixup: change sign of precision in assertAlmostEqual

commit 634ecab4e2629861a2d17b43da872b9089f965b7
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Jan 25 11:31:02 2018 +0100

    Fixup: specify encoding in python/tests/core.py

commit 69442966bac040b6d905f0099c10da268147249f
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Jan 24 18:07:19 2018 +0100

    Implement the polarization basis (Ephi, Etheta) in Screen
    
    The polarization basis (Ephi, Etheta, k) will be
    parallel-transported along the ray.
    Ephi and Etheta are glued to the observer's screen orientation.
    Also added a corresponding test in python/test/core.py
    to check the orthonormality of the polarization basis.

commit 73e2580761ac70a772463a6ec22b8c4de6fb0193
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 24 11:33:12 2018 +0100

    Implement memory allocation for parallel transport of base vectors
    
     * add ep0_ ... et3_ tables in Worldline;
     * implement logic to allocate/deallocate them depending on parallel_transport_;
     * implement parallel transport property, acessibel through e.g. XML.

commit b942096fac9dac492a6f0ca212ef81143f7e2b97
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Wed Jan 24 10:54:55 2018 +0100

    Fixup: add parantheses around the definition of compound quantities GYOTO_QUANTITY_SPECTRAL and GYOTO_QUANTITY_STOKES.

commit 628026ad297aac81df74d2437452370634e28086
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Tue Jan 23 17:40:02 2018 +0100

    Add quantities for Stokes parameters
    
    Add new constants GYOTO_QUANTITY_SPECTRUM_STOKES_Q, U and V, support them in Scenery and gyoto.
    
    Still not implemeted in processHitQuantities.

commit f9ba59e19cf5d8dc581ed65714d5f1ba63878bb4
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Jan 22 14:38:39 2018 +0100

    Start implementing parallel transport of local tetrad

commit 02ead454357ccdbc25c6cda8597eaeb139deaf8d
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Dec 20 15:01:15 2017 +0100

    Minor update in XillverReflection.
    
    Using timelampphizero in emission()

commit 6765d38b27d398c1d8d5ea25b695329e18275585
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Dec 19 17:30:56 2017 +0100

    Add new astrobj XillverReflection
    
    This astrobj contains two fits table.
    The first one gives the illumination over a thin
    disk as a function of r and phi, that should be
    computed externally for a lamp in Keplerian rotation
    at some radius rlamp.
    The second one is a direct translation of the
    reflection spectra computed with Javier Garcia's
    Xillver code, see https://hea-www.cfa.harvard.edu/~javier/xillver/.
    The output is the ray-traced reflection spectrum,
    with the self-consistent rotating lamp illumination.

commit 763b6b3ac856bab0f9756be6f7c3bd7bf2eae1a5
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Mon Nov 20 20:31:35 2017 +0100

    Support Boost >= 1.64
    
    serialization/boost/array.hpp has been split in Boost 1.64. Load the various pieces as needed.

commit c61f62e04e16878cd533a874ac012e5d19f7075d
Author: Eric Gourgoulhon <eric.gourgoulhon@obspm.fr>
Date:   Fri Sep 29 17:07:49 2017 +0200

    Correct typo in plugins/null/README

commit ff466ea3b1f446a7628c1eaf34e69d2e91b7da2c
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Sep 14 16:58:23 2017 +0200

    Correct typo in example-page-thorne-disk-BL-with-basis

commit d81327d1f7b876cc59e8312aac0741141b40fb87
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Sep 11 19:31:51 2017 +0200

    Add color-correction to BlackBody
    
    Adding the parameter colorcor_ to the BlackBody spectrum
    to model a color-corrected blackbody as defined
    in Suleimanov+11, AA 527 A139

commit 011db244f6a3fdcaf243b285d4e11061037a32dc
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Sep 4 15:53:38 2017 +0200

    Code cleaning and more comments in NeutroStarModelAtmosphere

commit f2b4abcd16bf437d0fa4fd2169efdf15072b25b4
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Sep 4 15:23:13 2017 +0200

    Expand description of FixedStar::rotating_

commit c45bf44c99861f6f9aeaa13a1ef4ff9a25348ea5
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Sep 4 15:18:26 2017 +0200

    Typo in Screen copy constructor

commit 067957197cc1003bba6a6ec269768b205f3568dc
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Mon Sep 4 15:10:19 2017 +0200

    Update fov orientation in Screen
    
    Rename Alpha0 and Delta0 to Dangle1 and Dangle2
    to be useable also in SphericalAngles
    
    Add Screen::azimuthal_fov_, the fov along the azimuthal
    direction in the rest frame of the observer in SphericalAngles
    (assumed to be 2*pi in the past).

commit 1dc1531f2016d33d837065aaab2d28e2da23c2c5
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Jul 21 17:08:58 2017 +0200

    Add new astrobj Jet
    
    Implement the analytical jet model of Zdziarski, Stawarz & Sikora
    (2017 ; in prep at the time of writing).
    
    This is a simple jet implementation that takes into account
    a parabolic or conical jet geometry, and computes the
    synchrotron radiation emitted by non-thermal electrons.

commit 92da625a48200a7e4ebb9028c67763d68a3e82a7
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Jul 21 17:07:07 2017 +0200

    Add new quantities in GyotoDefs.h for cgs computations.

commit f741b4730b416ee849958963836131b6f375cfbe
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Tue Jul 11 17:34:17 2017 +0200

    In PatternDisk/PatternDiskBB/DynamicalDisk: updating code with python interface
    In ThinDiskPL: code cleaning to fit today's needs

commit ae8cde9acc8c14e821ab830eb3f2dcf6d4cff95d
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Jun 28 12:09:04 2017 +0200

    n StandardAstrobj: small bug in integration inside object

commit e0f158268fff8ac756bdf7fbf8e5c079b1d287e5
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri May 5 11:36:52 2017 +0200

    NumericalMetricLorene and NeutronStarModelAtm: adding normal vector to surface

commit fba7ca3c160bf678f21f209d27b5a9b39a838c22
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu May 4 15:31:11 2017 +0200

    Worldline::getCoord() must accept NULL pointers
    
    Fix bug that would segfault in case of spherical coordinates when only
    some coordinates are requested.

commit 4a29d45fd7fadc3fd7a4fc9eb011d39a9ffd78b8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu May 4 15:27:33 2017 +0200

    Handle case where Photon goes in and out of standard astrobj
    
    In Astrobj::Starard::Impact(), don't assume that the object is convex
    relative to geodesics. Check whether each section of geodesic is
    within the object.

commit 7e4418934a19b4dbd2301293cdffd8075c5221d1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Apr 14 15:57:04 2017 +0200

    Provide namespaces in Python
    
    Provide e.g. gyoto.astrobj to hold Astrobjs from gyoto.core, gyoto.std
    and gyoto.lorene, to mimic C++ organization and as a convenience for
    users. Same goes for gyoto.metric, gyoto.spectrum and
    gyoto.spectrometer.

commit 680d7a9a7157619e0583f9257c23c50eb94ff49d
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Apr 14 15:14:23 2017 +0200

    New astrobj NeutronStarModelAtmosphere, still in development

commit c5e72a4363061b5345ca946a0c6c8ab5a6a441c1
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Fri Apr 14 14:00:51 2017 +0200

    Use absolute import in python/gyoto/__init__.py
    
    Python 3 requires it.

commit 955f419d891f34867a2f71c90a0795491250e981
Author: Frederic Vincent <fvincent@MacBook-Pro-de-Frederic.local>
Date:   Fri Apr 14 12:01:49 2017 +0200

    Split NeutronStar into a base plus NeutronStarAnalyticEmission
    
    In preparation for upcoming NeutronStarModelAtmosphere.
    
    Also re-ran autoreconf.

commit 40b5d2626e4e316a6faaa249fa29b200d87cbfa5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 12 18:16:05 2017 +0200

    Don't unconditionally init the registers in the Python extension
    
    The registers must be initialized only once. Loading the Python
    extension (gyoto.core) from within the python plug-in had the side
    effect of always re-initializing the registers.
    
    In addition, had some debug information in Register.C.

commit 6d55fc0826daf10c877e40954b9413a40d1d4f8e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 12 17:19:53 2017 +0200

    Rename the Python extensions
    
    gyoto -> gyoto.core
    gyoto_std -> gyoto.std
    gyoto_lorene -> gyoto.lorene
    
    The old names are still accessible but are deprecated and may be
    removed in a future release.
    
    The Python extension build system is also simplified.

commit 475bae9fd3d33e00b65062f54ebe43aa47b89de5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 11 12:00:49 2017 +0200

    Load the necessary plug-ins in gyoto_std and gyoto_lorene
    
    gyoto_std.py and gyoto_lorene.py take care of calling
    gyoto.requirePlugin() as necessary before loading the Python bindings
    for each plug-in. The examples and tests have been fixed to reflect
    this simplification.

commit 5f98133c9564a6874b3f3bb87f8562de01941476
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 11 09:36:20 2017 +0200

    Add Astrobj::NeutronStar

commit ed9c48d85dfc77334b25e68e55f0a03366314d08
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Feb 5 15:29:02 2017 +0100

    gyotoy: prefer x11 over wayland
    
    Gyotoy embeds an Yorick X11 window in a Gtk widget. This does not work
    if the Gtk window uses the Wayland backend. Use
    gdk_set_allowed_backends() to specify that gyotoy prefers the x11
    backend.
    
    This works only if gyotoy is started stand-alone.

commit 736002e7a869c8c99a86c9d6599b44e09f492f49
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Feb 5 15:29:02 2017 +0100

    gyotoy: prefer x11 over wayland
    
    Gyotoy embeds an Yorick X11 window in a Gtk widget. This does not work
    if the Gtk window uses the Wayland backend. Use
    gdk_set_allowed_backends() to specify that gyotoy prefers the x11
    backend.
    
    This works only if gyotoy is started stand-alone.

commit 498e42bc71a5451be5e226a2f3c9b0763d6a4bb2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 12 14:24:15 2016 +0100

    Releasing 1.2.0

commit 1561f09fa182726270c7861183354669fbdff76f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 12 12:57:47 2016 +0100

    Add --version option to gyoto command-line tool

commit b3052c5f8663e4b6c49256b5041bcd67a91c2d85
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 12 12:57:47 2016 +0100

    Add --version option to gyoto command-line tool

commit 340875ee303e950dfbd2bfd53d3b52846e2d1df5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 12 10:45:37 2016 +0100

    Support enroling MPI_COMM_WORLD in python/example-mpi.py
    
    Apply the same heuristics and algorithm as in bin/gyoto.C to support
    mpirun starting the worker process itself.

commit 6ca591a2660e1293b559af6c1e86015d7be0bd48
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 12 10:45:37 2016 +0100

    Support enroling MPI_COMM_WORLD in python/example-mpi.py
    
    Apply the same heuristics and algorithm as in bin/gyoto.C to support
    mpirun starting the worker process itself.

commit abf51da9a8ced305f1c597cf2b9ac7d1f03f2805
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 11 20:46:35 2016 +0100

    Correctly handle empty stry case in OscilTorus::emittingArea()

commit 87e8567f6c9bcd263a874bc1f11811556770c276
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 11 20:46:35 2016 +0100

    Correctly handle empty stry case in OscilTorus::emittingArea()

commit 09a179b9d5d070c949d0969221cc4efc0bdcc989
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 11 20:08:45 2016 +0100

    Remove spurious cerr

commit 63632ea68aee0e6ff3d2e58d13991ce2148ece06
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 11 19:33:11 2016 +0100

    Implement thread-safety declaration
    
    Thread-unsafe classes declare themselves as such, so that NThreads is
    ignored when multi-threading would cause erroneous results.

commit b524fef7147c66ec16190b4c8f7e31adbaa1e64c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Dec 10 20:44:57 2016 +0100

    NumericalMetricalLorene is mature: not WIP anymore
    
    Stop inheriting from WIP

commit 22d3e7f974b8f52dbe40b3776bdb2c90d7e9261c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Dec 10 18:11:35 2016 +0100

    Releasing 1.1.2

commit 039f3b98a6ddfa3a99470f2a9b50b9bfcabc97e3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Dec 10 15:53:19 2016 +0100

    Change subcontractor APIs to use a vector<string>
    
    It is now possible to specify several plugins for loading an
    object. Useful when a plug-in depends on another one. In XML:
      <Klass kind="foo" plugin="plug1,plug2,plug3">
    Plugins are loaded in order and looked into in reverse order
    for the class.

commit 78608e5a49a349166d15b570ffcec5c9a2754571
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Dec 10 13:15:06 2016 +0100

    Store plug-in name as given by user
    
    When plu-gin name is actually a file name, loadPlugin() determines the
    actual plug-in name to find out the intilialization
    function. Nevertherless we prefer to store the file name in that case
    so users can load several versions of the same plug-in e.g. for
    testing purposes.

commit 5f35070ab4371ab0829de38585b635bd3d0cf51f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Dec 10 12:34:15 2016 +0100

    Merging branch master into track-plugin

commit b0413450c29b5a2fca5af1ac30c30954e23f4da8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 9 19:18:24 2016 +0100

    Rename the breathing modes in OscilTorus
    
    BreathingMinus -> Plus
    BreathingPlus -> Breathing

commit eb117650ade102b30eae37f62f6669c366c12776
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 9 18:47:52 2016 +0100

    Correct style in Deformed Torus
    
    Use an enum and strin property for perturb_kind_, rename r_center_ to
    c_ and Rcenter to LargeRadius like the other torii, rename Param*
    properties to just *.

commit 9d68e18c39fb952b932390f35445ecf6d1f53d9c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 9 16:43:25 2016 +0100

    New Astrobj: OscilTorus

commit 4811d8dc0bcba755415ebdf03040177c2b2b36cf
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 9 16:39:51 2016 +0100

    New convenience macros in GyotoProperty.h
    
    GYOTO_PROPERTY_ACCESSORS_SPECIAL
    GYOTO_PROPERTY_ACCESSORS_GEOMETRICAL_SPECIAL
    GYOTO_PROPERTY_ACCESSORS_UNIT

commit a187bcf6aa168acfcd1bf9c965726624668f79f6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 16:59:25 2016 +0100

    New Astrobj: InflateStar

commit e349992c3d98a2b04563a655195760b3a55eca06
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 15:28:06 2016 +0100

    New Astrobj: EquatorialHotSpot

commit 031d97346f3e53780b59d0d3e442096749e6a1f2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 15:17:17 2016 +0100

    Fix memory management in DynamicalDisk
    
    Actually free all memory in the destructor and before reading new
    files; initialize pointers to NULL and only delete them when they are
    not NULL.

commit ed3f2912cb667043bce77208b0d2e5d12053a04d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 13:05:33 2016 +0100

    New Astrobj: DynamicalDiskBolometric

commit b350fd5f5551aef5262e05c2ba1eab3f8d81505a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 12:10:35 2016 +0100

    Rename property ModifCS to DzetaCS in Metric::ChernSimons

commit 65af14b090e3f639a70bd8749894f1a25068856f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 12:05:55 2016 +0100

    New Astrobj: DeformedTorus

commit 925fe15b6d6c2ab0e5d4bf66d91a31b60c9a01d3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 11:34:37 2016 +0100

    Use AM_INIT_AUTOMAKE([foreign]) in configure.ac
    
    This way the fact that README is called README.md does not trigger an
    error.

commit ee0010f3a53d1b7d51a49ba1f4d6f3d618fa79ea
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 11:19:35 2016 +0100

    Add link to homepage in README.md

commit f4b30574e12948917f8cab75b3804f2fd8eb79fb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 11:16:28 2016 +0100

    fixup README.md

commit ca95a5d3a4c96c4033b621cb18ade42d74faee99
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 11:12:24 2016 +0100

    Update README and rename it README.md
    
    Also fix broken links to BUGS.md in INSTALL.Gyoto.md

commit 59f31b293055bef1716a4867f91daf32106e698a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 09:51:54 2016 +0100

    Enhance user documentation about known bugs and to-do list

commit 78818a4c1101a65f18a9a596823442501216e09e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 8 08:54:32 2016 +0100

    NumericalMetricLorene is mature
    
    Use WIP("") in constructor to not issue the warning. With the next ABI
    change, we should stop inherinting from WIP entirely.

commit 561872afd56cfd5bd84bd3f7f5552193649bbd25
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 7 22:27:05 2016 +0100

    Allow loading plug-in from path
    
    e.g. gyoto -p./libgyoto-foo.so -l

commit 5c9fdfdeca8cfcd804a85e9199cbe2a595024361
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 7 21:49:36 2016 +0100

    Issue a useful message when a plug-in cannot be loaded
    
    Gyoto tries to load plug-ins from several places. When a plug-in could
    not be loaded, Gyoto used to issue the error message of only the last
    attempt, which was often "no such file or directory". With the patch,
    the error messages of all the attempts are displayed.

commit 0c18e20e0a5978f3a9468d106b34172206d7c8d0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 7 21:29:31 2016 +0100

    New Metric: RezzollaZhidenko

commit fe84646be29f65cdca27a1bf808df3935b8f527f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 7 18:39:25 2016 +0100

    New Metric: ChernSimons

commit 9c37464e7c317a0edd685e8bd80588a910516be0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 6 22:43:19 2016 +0100

    Support colon syntax for mpirun
    
    Support spawning gyoto-mpi-worker directly from mpirun on any MPI
    implementation (that supports the MIMD model), for any Gyoto interface
    (gyoto, Python, Yorick...).
    
    Just start the processes with something like:
    
      mpirun -np 1 <manager> : -np 8 gyoto-mpi-worker.<version>
    
    In the <manager> process, use Scenery::mpiSpawn(-1) to use the
    processes available in the WORLD communicator instead of spawning new
    ones.
    
    'gyoto' still needs to know that it has to use MPI parallelisation, so
    use of the -P option is still mandatory (except under Open MPI):
    
      mpirun -np 1 gyoto -P1 <parameters> : -np 8 gyoto-mpi-worker.<version>

commit e46518508a1ffbd62f5d7bf4a16025b3929c32fd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 6 18:01:57 2016 +0100

    gyoto: Support -np option in Open MPI
    
    MPI support in Gyoto has been implemented using the singleton
    approach, where a single processess exists at start-up and spawns its
    worker as needed using MPI_Comm_spawn().
    
    With this commit, the gyoto command line tool also supports the more
    traditional approach where N processes are started directly by
    mpirun. This is only for the gyoto command-line tool (so, not for the
    Python or Yorick interfaces), and only for Open MPI (not e.g. MPICH).

commit eeaf74670926be5a2e2e2e4db1b10745fb5caf85
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 4 11:24:04 2016 +0100

    Update documentation

commit 5ec7cc1587c00c1eaf0d50e96683387e04824f70
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 4 11:09:13 2016 +0100

    Update INSTALL.Gyoto.md

commit ea49cda36b6d6de133546fc298c80c36f2143c1b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 4 11:08:22 2016 +0100

    Update INSTAL.Gyoto.md

commit 153aaf51016fd471ff540dd31cdb497bfd207b3a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 4 11:04:28 2016 +0100

    Update INSTALL.Gyoto and move is to INSTALL.Gyoto.md

commit debdbe925d59a5c4be43d71e40200f7fd224a940
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 31 11:08:12 2016 +0100

    Releasing 1.1.1

commit f4af3a5198d87ce4113a90fb7cf753b3731044ae
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 31 10:02:08 2016 +0100

    Update copyright years and other cosmetic changes for next release

commit c28648aff060bbda5c9dce2588c8666d181fa98e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Oct 30 10:03:30 2016 +0100

    Use only major library version in GYOTO_PLUGDIR
    
    Up to know, the versioned directory for plug-ins used the full libtool
    versinfo, changing with each new library soname revision.  From know
    onwards, it is only the major number, which is kept for
    backward-compatible changes. Users will not need to recompile their
    plug-ins when upgrading to a backwarsd-compatible version of Gyoto.

commit 00d66f0a3279b336280240bb19a2b3b0a86c2a76
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 29 16:42:01 2016 +0200

    Introduce localpkglibdir to install plug-ins
    
      - lib/Register.C: look for plug-ins in localpkglibdir;
      - configure.ac: determine a sensible value for localpkglibdir;
      - lib/gyoto.pc.in: store this information;
      - plugins/null: examplify how to install there safely;
      - doc/user_guide: document this change.

commit ebb0ef13dced5c31984f166d99aa6c26390824b2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 28 22:12:28 2016 +0200

    plugins/null/configure: check for MPICXX and CXX from gyoto.pc

commit aa6594aab69059bf72d38c79ee77c0a1e722d91c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 29 16:42:01 2016 +0200

    Introduce localpkglibdir to install plug-ins
    
      - lib/Register.C: look for plug-ins in localpkglibdir;
      - configure.ac: determine a sensible value for localpkglibdir;
      - lib/gyoto.pc.in: store this information;
      - plugins/null: examplify how to install there safely;
      - doc/user_guide: document this change.

commit 1a903a7440a529639bba80d10e9407ff40ad711c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 28 22:12:28 2016 +0200

    plugins/null/configure: check for MPICXX and CXX from gyoto.pc

commit 6e1c6aa8104cd11ef11982868bac63e785c3cf12
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 28 19:43:48 2016 +0200

    Commit autoreconf products and update git-post-merge script
    
    (cherry picked from commit 63b5bf61f21d0e1b425795737ec1d2bd3cf570c8)
    
    Conflicts:
            plugins/null/aclocal.m4

commit 988ebdb08d4ba4c2d6caaf39ff5719731c3519ec
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 28 19:06:49 2016 +0200

    Add CXX variable to gyoto*.pc

commit d6bb1a07f5f4edc01ef3696e19bb0fcf4d59e52d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 28 17:14:02 2016 +0200

    plugins/null: don't use mpic++; don't use LORENE.

commit 72ad9b06b6be7cbfc725ceaed04a26f551d0ed65
Author: Frédéric Vincent <frederic.vincent@obspm.fr>
Date:   Thu Oct 27 18:00:44 2016 +0200

    Fix copy constructor of Page-Thorne disk

commit a7ffea424d32afc247465c33900fe8a64f2ad93c
Author: Frédéric Vincent <frederic.vincent@obspm.fr>
Date:   Thu Oct 27 18:00:44 2016 +0200

    Fix copy constructor of Page-Thorne disk

commit 63b5bf61f21d0e1b425795737ec1d2bd3cf570c8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 27 16:21:03 2016 +0200

    Commit autoreconf products and update git-post-merge script

commit 4dde0a63601316839d433d4560ce15fb23c5f0c5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 13 22:45:34 2016 +0200

    Improve plug-in example in plugins/null and document it in the user manual.

commit 6bbadeaa2af76014d83c99090af1271148adf49e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 13 18:15:26 2016 +0200

    Add null plug-in as an example

commit ece3df86a402d1c0d02d31706a344b32c32d5f88
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 3 11:27:05 2016 +0200

    NEXT  2016/10/03 BUG
       * Yorick: actually implement `picture' painter for the matte_paint
         framework. Allow using any two or three-dimensional image or
         stack of images in the `picture' and `panorama' painters.

commit 649d76dce7a90a15d55ec444a9d7b50f5868a6f8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Sep 28 12:21:32 2016 +0200

    NEXT  2016/09/28 API
       * New functionality: the plug-in from which each subcontractor is
         registered is now tracked, so that it becomes possible to look
         for a subcontractor matching a specific kind and plug-in. We
         introduce the function Gyoto::requirePlugin() in addition to
         Gyoto::loadPlugin(). The subcontractor signature is changed to
         accept a second parameter, which breaks the API.

commit 22c8c78b2388b987ee5afca27706e2d54c4a3c0a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Sep 15 22:22:29 2016 +0200

    * configure --enable-hardening now also activates -fPIE and -pie for executables

commit 633157529a837b21ee38373928f6c32a75554769
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Sep 15 18:32:01 2016 +0200

    * Use setuptools also in setup_lorene.py

commit acbcd37ef3a83d609d36008029c6d50e2b9e02df
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Sep 15 18:27:42 2016 +0200

    * Fix typos detected by lintian

commit d53a546a2bea1799cf129405e8657dfb66c20e4b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Sep 12 19:20:28 2016 +0200

    Releasing 1.1.0

commit 5f9eb5090a5734847f89fb86510aa0324ae14b85
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Sep 12 19:10:50 2016 +0200

    python: fix make check

commit 18b2c623da3c8abe7c808ef6eeb850eba58f2dd5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Sep 7 15:10:54 2016 +0200

    Make sure make check works even when built out-of-tree;
    Remove more files generated by "make install" in "make clean".

commit f066d3f67b77fcf898e7632f71c853f7749b28b0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Sep 7 11:14:46 2016 +0200

    Fix bug in bin/Makefile.am so that make check-*mpi works again

commit 1fff8875649cfe652a88c3206e0395e7ec2ffa01
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Sep 7 10:56:45 2016 +0200

    python: use setuptools' mechanism for specifying libraries as passing them in LDFLAGS sometimes fails (LDFLAGS being before gyoto_wrap.o on the linker command line)

commit 8c6328b0a5aa9cc4742b7cae6dfea1ff62a6dd2e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Sep 2 16:20:34 2016 +0200

    Add git-post-merge script

commit a13256722b9354bd88cf8c373e1d1d604fb37c67
Author: Frederic <frederic@macfrederic.obspm.fr>
Date:   Thu Mar 24 18:39:51 2016 +0100

    Photon.C: adding a flag to highligh the shadow region in a strong-field image

commit 6d8ee111650d52a03bb341a0e195610c63153ffb
Author: Frederic <frederic@macfrederic.obspm.fr>
Date:   Thu Mar 17 18:15:55 2016 +0100

    PowerLawSpectrum: Adding cut-offs

commit 67dc38bcaba46606f51fc62ecda177093d643603
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Feb 10 23:08:28 2016 +0100

    Hardcode last change date in the user manual and recall in README.Developpers to update it before releasing.

commit 9006be3211f0daeaf32f1ff49a4b8accb1e7eb48
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Feb 10 23:06:42 2016 +0100

    Add lib/.libs to LD_LIBRARY_PATH of CHECK_CMD in bin/Makefile.am to let the test suite run through even when the libtool wrapper does not do it already.

commit 4441de41ede5e6260c8fa4f0fbcf4e5702a24d74
Author: Frederic <frederic@macfrederic.obspm.fr>
Date:   Tue Jan 26 17:40:54 2016 +0100

    DirectionalDisk: adding cutoff in lamp/disk frames

commit 6eba7e9ab94e1d54f36403a3e68a1b0b00f86bc7
Author: Frederic <frederic@macfrederic.(none)>
Date:   Mon Oct 19 12:20:56 2015 +0200

    NumericalMetricLorene::setMetricSource: restoring the change of dzpuis, finally needed...

commit f2a85f66db21f2269dcb063172c444c9443e4926
Author: Frederic <frederic@macfrederic.obspm.fr>
Date:   Fri Oct 16 14:44:58 2015 +0200

    NumericalMetricLorene::setMetricSource: removing the change of dzpuis on Kij, needed in outdated version of astrobjs, not needed now

commit 7eb378ab45c5983ee4f2282bc2275702cade212c
Author: Frederic <frederic@macfrederic.obspm.fr>
Date:   Wed Sep 16 15:47:23 2015 +0200

    KerrKS.C: changing condition in stopcondition

commit 492b350e36cdb680323c3c5d5d59e753e2db4e36
Author: Frederic <frederic@macfrederic.obspm.fr>
Date:   Wed Sep 16 15:05:53 2015 +0200

    Worldline::xFill: adding a test on the metric stop condition

commit 877a717a85eb53b9a5f52d2a96443b397ea47983
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 31 14:19:37 2015 +0200

    Fix memory leak in Worldline::setInitCoord
    
    Previously, setInitCoord would always reset i0_ to 0 for massive particles. This lead to memory leak when using a Star instance repeatedly for integrating backward in time. The fix consists in not changing i0_ if the Worldline is effectively reset.

commit 12e57fffdc93163197c985cefe0db30ed7610cab
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 31 14:12:25 2015 +0200

    Fix StarTrace, broken by recent changes in Worldline
    
    Changes in constness of array parameters in virtual Worldline methods were not propagated to their StarTrace implementation.

commit 392a409e057437c9434df749c59ced6bee095c78
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 29 18:21:54 2015 +0200

    Fix exception support in Python 3

commit f99b60e1ba31ff873207f554e5a0076cb1a9c91c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 29 18:20:47 2015 +0200

    Mostly fix out-of-tree build of Python extension
    
    'make check' requires making a symling to the test directory

commit d452384477957d84c5b61181597ad1083ef29ee2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 29 15:06:07 2015 +0200

    Add debug output in Worldline::xExpand()

commit 1a5aea72fbe2f53f85b09443d9d7385e221daefe
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 29 15:00:55 2015 +0200

    House-keeping
    
    + Fix const-ness of input arrays in Metric classes to get a nicer default Python interface
    + Make a virtual destructor in Functors
    + Fix a couple of typos and doc formatting in NulmericalMetricLorene
    + Add nicer Python interfaces for some Metric APIs that return an array

commit 0e457b87f68d2bf565fd17ee5292d37687cf9951
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 8 21:22:28 2015 +0200

    Support ARGOUT_ARRAY1 arguments for Worldline in Python

commit 734fee255b3d96eebade444dd0a379d979c21471
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 8 20:47:36 2015 +0200

    Worldline::setInitCoord and friends take const arguments

commit cb7a7eb50abf40ac0fe0ce989072e7f9fd3fc68e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jul 7 13:12:24 2015 +0200

    Fix retrieveing PALN, Argument and Inclination with unit
    
    Setting has always been correct. Retrieving was applying conversion
    from unit to radians instead of the reverse.

commit 3979b28c8286998ba5ba6ba0c09e8a7a0c33a52f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jul 6 14:58:54 2015 +0200

    Fix FTBFS when NumPy headers are in odd directories

commit 1fe99f451a04f70824d0a58bb0cc0cc5ed0bfaaf
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jul 6 14:57:35 2015 +0200

    Fix FTBFS with some compilers due to implicit narrowing conversion

commit 65de725cf92b249483a5b298a9f238ea38a344ce
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jul 6 14:56:26 2015 +0200

    Start unit testing of Metric un Python and fix Python example

commit cbc00e903baf43e5e3c17258b7f343caf9bdeeb9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jul 6 14:55:06 2015 +0200

    Fix compiler warning concerning ambiguous alse statement in KerrKS.C

commit 0032899bc30066d753dc63dacfcefd47c59c8cb3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 3 15:22:34 2015 +0200

    Add Python unit tests around Property

commit 16ebb312912352ec2456c6486442773be8f7e4ed
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 3 15:19:36 2015 +0200

    Improve documentation
    
    Fix typo in include/GyotoSpectrometer.h; add or improve Property doc
    strings in Worldline, Astrobj, FixedStar, KerrBL, KerrKS, Metric,
    Minkowski, Screen, Spectrometer, StarTrace, ThinDisk, Torus,
    UniformSpectrometer and UniformSphere.

commit c530a42a9f6495a0013882c3e15a9893367f76bc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 3 15:17:15 2015 +0200

    Add stringification macro in GyotoDefs.h

commit 4b01b1d34523c7c31b4250d3cc115044beb66cf5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jul 2 19:28:53 2015 +0200

    Test Gyoto::Value in Python extension. Add toScreen and toSizeT, fix toVULong.

commit 7ab5bd943f7d93cf8b46056aa1c6033a190e685e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jul 2 14:25:20 2015 +0200

    Python extension: add conversion Unit -> str, add test suite

commit 0200284c1bfb66ff24a248e5dd854d3af99d878f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jul 2 11:12:55 2015 +0200

    Add test_getErrcode(self) in python/tests/test_error.py

commit 190ea276ea63a974800a65d573d2eeb387cc4787
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu Jul 2 11:16:42 2015 +0200

    PolishDoughnut: adding computation of r_torus_outer in angmomrinner()

commit e3b9013d46d5505bb31fe2380124caf041b135bb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jul 2 08:55:24 2015 +0200

    Introduce python/gyoto_swig.h and gyoto_std_swig.h
    
    This simplifies the maintenance of Python extensions for external
    plug-ins: instead of hardcoding the #includes and function prototpes
    needed to import gyoto.i and gyoto_std.i, one can just #include the
    corresponding header. At some point it would be great to find how to
    preprocess the information directly from the .i files, if that is
    possible.

commit 89a093351b54c6f33c69badb75eae4c3912affc1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jul 1 17:14:27 2015 +0200

    In Python extension, actually raise gyoto.Error exceptions
    
    throwError() in C++ code will result in gyoto.Error being raised in a
    catchable fashion in Python code. Test this functionality in the test
    suite.

commit 3466428d85eac95beb6788d7cd8e3d5b33094c5c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 30 12:02:36 2015 +0200

    Fix check-* targets
    
    In bin, fix check-lorene* which where recently broken. In yorick/, fix
    check-mpi which worked only with gyoto installed.

commit 08a94afcbe14b82370c8d0c194359cdc0c3399db
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 30 12:00:53 2015 +0200

    Implement test suite in Python extension
    
    Use setuptools instead of distutils and start implementing a test suite using it.

commit f9fda308079dcde793225c75b5c000f2c23300ba
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 30 11:59:13 2015 +0200

    Remove declaration of PolishDoughnut::operator=()
    
    It was never implemented and we don't intend on implementing it.

commit de1cf5da65aaf7e6ceb44ca30cbcf2fd218bbb55
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 30 11:57:58 2015 +0200

    Remove macro GYOTO_USE_LORENE
    
    It is useless: the base code should not behave differently
    depending on whether or not the lorene plug-in is compiled,
    as it can be compiled separately.

commit 703ed2e369a10f22cd84bdf71affda90fc0e70f0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 29 16:00:11 2015 +0200

    Copy GNU INSTALL file instead of using symlink

commit 5d09f067d7c00c5c6bd7a954533c2fc968088996
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 26 09:29:10 2015 +0200

    Releasing 1.0.2

commit a7d75d39b03b42d195dbc5b5bc44ad4813cfe827
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 26 08:13:05 2015 +0200

    Few more lines in python/example.py

commit daaa062477347a09855a3e493e212e7e9fd6ffc9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 25 22:13:24 2015 +0200

    Allows passing NULL to Scenery::Subcontractor(fmp)

commit 73d30a082991cfb3f515dce3116ee1988c4c6a0e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 25 19:07:42 2015 +0200

    Use NumpY arrays as much as possible in Python extension: checked Worldline and Screen

commit 713bba4ae0e3c4c8c15ecf0e79663897dcddbc60
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 24 20:50:38 2015 +0200

    Add flared disk Python example

commit 3f4224fef02464f1406cc7af1ba4ad7764bb5428
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 24 18:10:19 2015 +0200

    Always check whether a link is necessary in python plugin
    
    Follow symlinks recursively. Use canonical name as plug-in nam, make
    symlink if differenct from basename $PYTHON.

commit e08b3090bfcb4a732304c73878897d1086a3e41f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 24 17:39:22 2015 +0200

    If Python module contains only one class, use it by default.

commit 08b32d2a25fae966f9faad047fbdf64187ebe038
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 24 16:18:24 2015 +0200

    Make InlineModule more elegant and effective for Python 3.4

commit 867dd7151c10362c43eab739e39c083fc0133171
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 24 13:56:58 2015 +0200

    Support InlineModule in python2.7 plug-in

commit f676e0e83a673e1df1f3ce2e22a715dc89a6ff63
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 23 15:03:43 2015 +0200

    Fix make uninstall to remove the python extension

commit 877c1e6becc6356cf9c616d9fc975952d777647f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 23 14:04:00 2015 +0200

    Do not use versionned sonames for delopend plug-ins

commit 06d6c425df78028ab32388baaefdbd4d98a4c396
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 22 18:09:01 2015 +0200

    Fix CPPFLAGS for GCC 5 (add -P flag)

commit 4d482e24db6b8d26f74b13b1bfd5320f2db0fb68
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 22 14:32:11 2015 +0200

    Improve doxygen documentation

commit 68336a864d1f8a14f70df3f7900a4baef2ab2966
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 22 11:40:42 2015 +0200

    Document the python plug-in in the Gyoto manual

commit ab8d0dae9e93a2057939e266034d53bf55e3b1cc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 22 10:30:28 2015 +0200

    Include GyotoPython.h in the doxygen documentation

commit e99cdb8496b2846ba5ab45a515aef95e33550423
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Jun 21 21:47:35 2015 +0200

    Link python plugin to default, numbered version

commit 7b09d1189fa847f4c9ad2c9f036dbfc2c1d8e118
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Jun 21 18:25:20 2015 +0200

    Fix import_array call in plugin/python to compile fine with Python < 3

commit 29946aaa3317f67145545cf57b255a5e0a91e115
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Jun 21 12:41:09 2015 +0200

    Configure and build Python extension automatically

commit eea0b6365b9b0ef6ac9861e5de138df22436e414
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Jun 21 11:45:34 2015 +0200

    Configure and build plugins/python automatically
    
    Pass --without-python to disable.

commit 9952138c789f85308aae4b777539ded41be6f22a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 20 19:43:19 2015 +0200

    Enhance documentation in GyotoPython.h

commit 4e45039dfba85fdbdc136a40e0f39426bacd3dee
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 20 14:40:12 2015 +0200

    In python plug-in, store spherical and mass as attributes rather than items

commit 154407301f45d4e7fb0345ac648cd3978ead08ba
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 20 02:08:34 2015 +0200

    Set `this' in Python classes (python plug-in)

commit 18af369b2153ab8c975f9976e01af1d5327b2918
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 20 02:06:52 2015 +0200

    Move Astrobj::Standard to the main library

commit 22d6e99794f4ee8874ef8e42dd1fee517d582b9c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 19 03:04:05 2015 +0200

    Add examples for Astrobj::Python::*
    
    And remove blanck characters in plugins/python/lib/ThinDisk.C

commit ac832c7c053934bf60e4417bf1d85835b021d47f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 19 02:57:55 2015 +0200

    Add Astrobj::Python::ThinDisk

commit 6d879c0dbca7a347f2f3aa1ee46b1b5cfabc2e24
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 19 02:50:18 2015 +0200

    Remove Astrobj::ThinDisk::emission, which was never called
    
    It had the wrong signature and the implementation in Generic was used.

commit a69ee5e49256c2b05d8cbad9cad2a79d97e1461a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 19 02:01:56 2015 +0200

    Fixup: add plugins/python/lib/Standard.C

commit 8c3310b2c15ef0f8dba9ba803deb32136dd47523
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 19 01:50:20 2015 +0200

    Use helper functions consistently in python plug-in

commit 52fa25bb2a46f6a81a7f45bcc5af29165d318d10
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 19 01:37:49 2015 +0200

    Implement Astrobj::Python::Standard

commit 1915083cb82cf79b12177d48903de5267fcaf04c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 18 17:41:23 2015 +0200

    Add "." to python path in libgyoto-python

commit 23e74e39575bd99ce4cf216a61ed9c46fcba6aa7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 18 17:18:40 2015 +0200

    Implement Gyoto::Metric::Python, document the Python plug-in

commit d9ac54ea9cc17a149bb6d5ca7dddda39b4d472b7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 22:41:45 2015 +0200

    Allow overloading Spectrum::operator() in python plug-in
    
    By checking whether __call__ accepts the vararg *args.

commit 3d9babaf98453fab0c528d3e87e8ed44ff437f3e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 21:36:28 2015 +0200

    Replace setParameters by __setitem__ in python plug-in
    
    Also adapt the examples to show a minimal example (BlackBody6000) and
    a maximal example (PowerLaw).

commit 2011feb60b77ab5adecd498cece6d2d434c3b721
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 19:38:20 2015 +0200

    In python plug-in, store __call__ reference
    
    In order to not look for it at each iteraction. Ought to be slightly faster.

commit 068387ab15457ca9d36633d2a39fb8c5dd373120
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 18:28:04 2015 +0200

    Add optional integrate method to Spectrum::Python, add examples

commit b154942ce6a81d18fc29c6c20c410ccc2abbe1af
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 12:53:38 2015 +0200

    Allow versionned name for the Python plug-in
    
    E.g. if $PYTHON is python3.4, then the plug-in will also be called
    python3.4 (as in libgyoto-python3.4.so). This way we can build and
    install several versions of the plug-in, that will run in the various
    interpreters. Note that the plug will not run in python2.7 if compiled
    with python3.4.

commit 0fb7f3003deafdc728609b88802bb906ed077873
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 12:49:31 2015 +0200

    Look for second, symbol constant name for plugin initialization
    
    Look for __GyotoPluginInit in addition to
    __Gyoto<plugin-name>Init. This allows <plugin-name> to contain
    characters not acceptables in function names, e.g. 'python3.4'.

commit a6f21548c3dfa027a40b2a76a79f56334365fc0a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 12:25:00 2015 +0200

    Make the python plug-in work with both python2.7 and 3.4

commit cf6a087e6e1e346354ddc6c37b766b843484699e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 04:17:29 2015 +0200

    Add online documentation for Spectrum::Python

commit 90a7174cb624e0704cc89a74b423b264c7448555
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 04:13:03 2015 +0200

    Implement thread-safety in the Python plugin

commit 5129d29bcf602053cd4ed8d14ad07dad5f7b8bb5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 03:38:28 2015 +0200

    Use a class instead of a function in Spectrum::Python

commit afdea0e15f660c3e007511eeca25052fdfe7cd7d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 17 02:06:14 2015 +0200

    Initial work on Python plug-in
    
    Already allows to write spectra in Python.

commit 265339a2c67dfc90bbd2c167f0f9bcce944cb17f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 16 14:56:18 2015 +0200

    Split INSTALL into specific INSTALL.Gyoto and generic INSTALL

commit 597b22bc66564cd6c118d305290cbb2744857db5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 16 13:01:49 2015 +0200

    Fix GYOTO_PROPERTY_LONG macro and includes in Utils.C

commit f0282ed61db0442d1c16c33b40b2c7b3fccce525
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 16 12:48:38 2015 +0200

    Simplify setting arbitrary parameters from the command line
    
    Object::setParameter(name, content, unit) is made recursive: if name
    contains "::" (e.g. Astrobj::Spectrum::Temperature), the component
    before the first occurence of "::" (here, "Astrobj") is interpreted as
    a path. A property by that name in the curent object is sought. If it
    is found, setParameter is called on this child object with the
    remainder of the string (here "Spectrum::Temperature") and the other
    parameters unchanged (content and unit).
    
    On the command-line, replace the bunch of --TYPE-parameter options
    with a single --parameter option, which applies to the root (Scenery)
    level and uses this facility to access members in the Astrobj, Screen
    etc.

commit b8766a3a4549e409b42663db881638b66a833223
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 22:20:04 2015 +0200

    Do not interpret empty Mask as current directory in Screen

commit 00d3c9a48696f9b63f1dc4550c6d4f4461ad73b0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 22:20:04 2015 +0200

    Do not interpret empty Mask as current directory in Screen

commit 2675d0e1018f976b2c2d2775bfc1a4c5e5017872
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 22:14:24 2015 +0200

    Differentiate as much as possible size_t from unsigned int

commit 33c4e6440fa8bdcf580ea95e70da5c9672789a52
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 20:47:58 2015 +0200

    Fix Screen::Subcontractor to parse Mask as a filename

commit 98c978d52dc0c9f80a42b9fa5470f6001c2f7c37
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 20:47:58 2015 +0200

    Fix Screen::Subcontractor to parse Mask as a filename

commit ce80b25cb2e4683fc9baf6dd6ac9ecb1539f2b1e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 20:11:42 2015 +0200

    Access object help from command line
    
    Add Gyoto::help() in Utils.C, expose it from gyoto.C. Document it in manpage. Also document in Yorick.

commit 91e3e249a8dd888921f936f85d201f05548f8644
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 16:36:41 2015 +0200

    Accept doc strings for all types of Properties
    
    And add help method to all objects in Yorick.

commit 7d11c2ed576b3920ae3a86c445ea9dddf91d3376
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 15 09:25:12 2015 +0200

    Support autodocumentation of properties
    
    Add describeProperty and help methods to Object.

commit eca21878cacf3dbcb18eedba0ccf22c3d47579a3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 17:03:06 2015 +0200

    Issue a more usefull progress status (j = n/N)
    
    Ratonale: it was weird to have the progress indicate
    e.g. "128/3... 129/3... 1000/3". Now the count always progess by
    increment of one over the actual number of columns that will be
    integrated.
    
    Add Screen::Coord1dSet::index() method, display this index instead of
    raw "j" value.

commit 33322681880e01d04449b1e3e0cb8d2070ab310c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 13:51:20 2015 +0200

    Remove KerrKS specific integrator
    
    It has never been proven to work, contrary to the generic integrator
    which behaves very well with either the Legacy or Boost integrators.
    
    Remove:
    
      * SpecificIntegrator/GenericIntegrator property;
    
      * generic_integrator_ data member;
    
      * genericIntegrator accessors;
    
      * nullifyCoord, MakeCst, myrk4, mrk4_adaptive, diff,
        setParticleProperties methods.
    
    Add:
    
      * setParameter method, to filter out
        SpecificIntegrator/GenericIntegrator and warn when they are used.

commit a2288b60a34c86cd97f5d09ddc0837fc45c48d70
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 11 16:25:49 2015 +0200

    fenv.h functions in the Yorick plug-in
    
      * Add more functions to control the floating-point environment from
        Yorick.
    
      * Note in README.SIGFPE to loading a plug-in can change the
        floating-point environment.
    
      * More debugging in Register::init().

commit 02e025b33efdc3c908feb3eedeb40647c2989448
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 10:56:39 2015 +0200

    Fix copyright years for KerrKS

commit 32722870c929dc888d1b796fb7f37ee3a1e9774d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 10:56:39 2015 +0200

    Fix copyright years for KerrKS

commit 0f60e1b78582c05307dc6a394425b4a6e571c7df
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 10:47:27 2015 +0200

    KerrKS is mature
    
    Stop inheriting from WIP. This is an ABI-breaking change, only for
    master for now.

commit 33dc967ffbaf0bb5c33e96731ab8ce924f976f77
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 10:33:36 2015 +0200

    KerrKS is not WIP anymore
    
    Modify the WIP (work in progress) class constructor to not issue a
    warning if passed the empty string instead of a class name. Use this
    facility to stop issuing the warning for KerrKS, which has grown in
    maturity. This is an ABI-safe change. Next step is to stop inheriting
    from WIP, but this will break the ABI and is not for the stable
    branch.
    
    The warning when using the specific integrator is now severe. This is
    the part that really is still buggy in KerrKS.

commit 238b83d61030c2f2509039cb59513e89b8c05925
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 12 10:33:36 2015 +0200

    KerrKS is not WIP anymore
    
    Modify the WIP (work in progress) class constructor to not issue a
    warning if passed the empty string instead of a class name. Use this
    facility to stop issuing the warning for KerrKS, which has grown in
    maturity. This is an ABI-safe change. Next step is to stop inheriting
    from WIP, but this will break the ABI and is not for the stable
    branch.
    
    The warning when using the specific integrator is now severe. This is
    the part that really is still buggy in KerrKS.

commit c5c30a9edc6234c25f3472bb6980c37ca42aaed9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 11 16:25:49 2015 +0200

    fenv.h functions in the Yorick plug-in
    
      * Add more functions to control the floating-point environment from
        Yorick.
    
      * Note in README.SIGFPE to loading a plug-in can change the
        floating-point environment.
    
      * More debugging in Register::init().

commit 0e2ef8c237ff80574e9631326f2f80f42f7709ca
Author: Frederic <frederic@macfrederic.(none)>
Date:   Wed Jun 10 16:08:57 2015 +0200

    PolishDoughnut: Adding central_temperature_ parameter

commit 17cc24485252ccef252fd6eefa9b6e5fce89d6d1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 10 13:50:35 2015 +0200

    Fix build failure when not using fenv.h

commit 6cdf9242e25263e9232d7bba8680980372e17597
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 10 12:07:18 2015 +0200

    Fix warnings (incl. undefined behavior) and some optimization
     * pass 'make CPPFLAGS="-Wall -Werror -DGYOTO_NO_DEPRECATED \
                            -Wno-error=literal-suffix -Wno-error=unknown-pragmas"'
     * some code optimization in NumericalMetricLorene

commit 3fd7a08f6d2a22f996317ef14399ed4b989216fc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 9 17:32:06 2015 +0200

    Update documentation and test suite
     + update manpage and gyoto -h
     + update test suite to use short options and mpirun
     + update copyright statement in binary

commit c62b5619bc7693123ccb87c2032ec7855174bd87
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 9 12:15:54 2015 +0200

    Add and/or document parameters to gyoto utility
     --ispec, --jspec, --astrobj|metric|scenery|screen|spectrometer-parameter, --unit, --xmlwrite

commit e5dae98b13fae0b1b71ecdfbd792a5fc6713759d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 9 12:15:54 2015 +0200

    Add and/or document parameters to gyoto utility
     --ispec, --jspec, --astrobj|metric|scenery|screen|spectrometer-parameter, --unit, --xmlwrite

commit 08ca7552f739f28a4460b710661b34ca20763eb6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 9 01:57:12 2015 +0200

    Rewrite gyoto.C option parsing using optionparser.h.

commit 913c7ddc07097712fbb15e7e78cf2dbcfce15518
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 8 16:34:28 2015 +0200

    Document --no-sigfpe in manpage; update synopsys in usage() in bin/gyoto.C

commit e188a2624a2444d796d01214686c10a70c0286a6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 9 01:57:12 2015 +0200

    Rewrite gyoto.C option parsing using optionparser.h.

commit 5097acfeeec1282cf07de1211c0dcfddc988915c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 8 16:34:28 2015 +0200

    Document --no-sigfpe in manpage; update synopsys in usage() in bin/gyoto.C

commit 62b4bb62aa0b94b92d31841839d6c6a0cc736605
Author: Frederic <frederic@macfrederic.(none)>
Date:   Mon Jun 8 16:26:32 2015 +0200

    NML.C: changed computation of Keplerian angular momentum.
    Doughnut: adding definition of rcusp and rintorus for all cases.

commit efc0f53daf24b88c8c76c1690aaefeb7ed6c2dac
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 8 14:57:50 2015 +0200

    Fix spurious SIGFPE
        + initialize all members of Value instances do avoid bad (NAN) random values;
        + hold FP exceptions when makeing boost stepper as make_controlled can raise.

commit 7ce95331587e2951d202fa2cb1baf6ae1a3d735a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 8 14:57:50 2015 +0200

    Fix spurious SIGFPE
        + initialize all members of Value instances do avoid bad (NAN) random values;
        + hold FP exceptions when makeing boost stepper as make_controlled can raise.

commit d069bb5d5ab279608a5a646568c7200fe4330937
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 5 16:04:58 2015 +0200

    Fix GYOTO_PROPERTY_SIZE_T to work on 32-bit architectures.
    
    On 32 bit system, size_t and unsigned double are identical but distinct types.

commit 4015547ad848caa33dfbf60fa1781e485a811902
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 5 16:04:58 2015 +0200

    Fix GYOTO_PROPERTY_SIZE_T to work on 32-bit architectures.
    
    On 32 bit system, size_t and unsigned double are identical but distinct types.

commit a5a1ae7165e010e7cec820f974f739706d977ecc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 2 15:03:56 2015 +0200

    fenv.h support: by default, enable SIGFPE exceptions. Provide mechanisms to disable it. See README.SIGFPE.

commit af37c64da82edf5c43c356728372eed9b14e16b2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 2 15:03:56 2015 +0200

    fenv.h support: by default, enable SIGFPE exceptions. Provide mechanisms to disable it. See README.SIGFPE.

commit cad7c2040d5d80d9fd98d1011c8fb614c6a8881f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 1 12:06:21 2015 +0200

    Discourage compiling with clang in INSTALL.

commit cbcdffb2048ce9a2f78718c7c9b2d69c1ef096df
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri May 29 13:01:43 2015 +0200

    Small improvements triggered by clang warnings

commit 3cb08ede61007eeacaa057dca76589dadc7dc8da
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 27 16:19:00 2015 +0200

    Remove unconditional throwError from GyotoScreen.h

commit faae244af48a65782123b0034389aca1ec79f439
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 27 11:34:02 2015 +0200

    Releasing 1.0.1 (1984 release)
    + add Odele to AUTHORS
    + update NEWS, ChangeLog and configure*.

commit 2292f1d74eaa9968ea9ec64bd00fdc150d8fe8b1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 27 11:17:14 2015 +0200

    Simplify python detection and add --without-python to make it possible
    to build Gyoto when python is installed but with wrong version.

commit 041c5fc40ee736afb183d693d93bca3b5fcdc1d5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 27 10:06:52 2015 +0200

    python/doxy2swig.py: add 3rd clause of BSD license per request of original author

commit 21dba0161760650512abd8507cfcfa7be27b5e22
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 27 08:45:11 2015 +0200

    Fix (bin|lib)/Makefile.am to use BOOST_*_LIBS instead of hardcoding the library name. This allows compiling with MPI support under at least macports.

commit 27fc03fe981bbcd3e6f919120a6b43bc6fc62a62
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon May 25 17:06:24 2015 +0200

        Releasing 1.0.0 (Youhou!)
        + add a note about --enable-release in README
        + add README.Developers to remember how to make a release...
        + update NEWS, ChangeLog and configure.ac.

commit aa035f96465a0a45dd910de47281e7652dffb44e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon May 25 15:46:10 2015 +0200

    * Update python/numpy.i
    * Put BSD license in python/doxyfile.py
    * Update copyright notice in every file edited in 2015

commit ca1979527bb018d77ad40cc9749b27e8d9bd4148
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun May 24 10:23:25 2015 +0200

    Clean *CFLAGS and *LDFLAGS and link always with CFITSIO which is now needed by Screen

commit 603f961fba9a796cf57bd7427cdd7b504db93e3e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat May 23 13:56:25 2015 +0200

    Don't .gitignore all gyoto files

commit 1f40e4053f01633839dbdb6b74b3e806663fbded
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat May 23 13:50:16 2015 +0200

    fix spelling errors

commit 752026d3bc4d4bd5c4fdf3e74c2e6c6d8170d887
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat May 23 09:31:29 2015 +0200

    * clean leftover files from doxygen
    * use pkglibdir instead of asuming it is prefix/lib/yorick

commit 11c4faa047b9eb172281c62ff366e9bf741d0831
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri May 22 12:07:06 2015 +0200

    Fix Disk3D::repeatPhi() to avoid SIGFPE when nphi_ is 0

commit d50df30e31cf0c89eb51744564f145859f6b280e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri May 22 11:50:34 2015 +0200

    fixup polishdoughnut warnings

commit 3339bf7115e2b9769fa05bd18fd0be6b702c7d8e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri May 22 11:42:48 2015 +0200

    Fix PolishDoughnut to export either Lambda or AngMomRinner to XML, but not both.

commit 56a4548398a87c01e34893ed38426a8b13ff7bf9
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu May 7 15:06:56 2015 +0200

    PolishDOughnut: few couts forgotten

commit e8ddcf706e7f80481bcf017ca356940ab86dd5b2
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu May 7 15:05:09 2015 +0200

    NML: adding the rico() Property read by Polish Doughnut

commit 4c47e67456caafb80fff8489f639c563d352cbfa
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu May 7 11:53:49 2015 +0200

    PolishDoughnut: adding a test such that lamnda and angmomrinner can't be defined together

commit 9127af4e64a6f9296c437621a14a130d3cfd29cc
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu May 7 10:42:26 2015 +0200

    NML: hopefully correct expression for 4D christoffels from 3+1 quantities

commit 3d2021646a177981e737c8b1777ae52633f30423
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu May 7 10:35:00 2015 +0200

    PolishDoughnut: adding the possibility to define a doughnut by specifying the angular momentum and inner radius, so no longer limited to Roche-lobe-filling tori.

commit 8efb25243c99776ed1cd49777385d20b69cf69e9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 8 08:00:08 2015 +0200

    yorick: fix bug bug in dimension calculation of impactcoords when addressing sceneray with angles

commit 70b36cea4a91b1bed1f582f28312fb096d7c6112
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 27 16:53:24 2015 +0100

    fixup

commit c764b58ed8e4b55c4172d03080e8a3fbac43b647
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 27 16:49:37 2015 +0100

    Be more specific about which part of Boost is needed in each file (we use boost::array, Boost.multiprecision, Boost.odeint, Boost.mpi)

commit 17aca8b349c38a4e5ef2355422feadd781414c63
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Fri Mar 27 12:45:42 2015 +0100

    Improve Boost.mpi detection. Slightly tuned to ObsPM cluster...

commit b7511de0edd86a6c6596465673a757d1df6e253d
Author: Thibaut Paumard <thibaut.paumard@obspm.fr>
Date:   Thu Mar 26 18:16:10 2015 +0100

    Fix Boost.mpi detection

commit 26c95ca9f32dfb5c4627203e470c571a17000fa8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 26 12:39:30 2015 +0100

    Change impactcoords to always return the first (backwards) encounter with the object

commit cba8e4e56314432dee6e0ea1a6fbc1a4fccb9dd4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 18 13:17:12 2015 +0100

    Scenery: add updatePhoton and clonePhoton(i, j) APIs to get Photon with all tuning parameters from the Scenery
    Photon: fix findMin to work also when time is too large

commit a3b908914d273f7effb527e0f71c5d0a83fda0e3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Feb 18 10:28:58 2015 +0100

    Fix sunradius unit, which was set to 1 meter

commit 6d80547e5b7f145afddfae05bd3df3bc5b238735
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Feb 17 16:40:10 2015 +0100

    * Expose MinimumTime as a property in Worldline;
    * yorick:
      + support setting Properties in the generic way for Photon;
      + support setting Properties of object kind (Astrobj, Metric)... to 0.
    * gyotoy: make gyotoy_warning an alias to error (it was undefined).

commit b79baab9367f5951d3e433bc4304cc095a3a940a
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu Jan 29 11:51:11 2015 +0100

    NML.C: adding boson star circular velocity

commit 3e45810d24fc4b3f9212d9e34b51c0bc500286b2
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Jan 21 16:44:18 2015 +0100

    Adding the Disk3D to yorick test suit

commit 650fe87d89e4a14a745c413683b84fe31e403d9f
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Jan 21 16:24:27 2015 +0100

    DynaDisk3D: adding File Property

commit be07f7f26c39a452120103924f5a17f976c324c5
Author: Frederic <frederic@MacFrederic.local>
Date:   Mon Jan 19 18:12:47 2015 +0100

    NumericalMetricLorene: adding 4D Christoffels

commit 4783d49d394efad393ee3ffe75c2dea7e70c8384
Author: Frederic <frederic@MacFrederic.local>
Date:   Mon Jan 19 18:11:13 2015 +0100

    ThinDisk: adding a trivial constant emission for simple visualization

commit 5ea26ab877df2421529b5a571c4eb06fa1a99d48
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jan 15 11:47:20 2015 +0100

    configure: look for swig3.0 as alternative for SWIG

commit b3d3a31520cd9dc00d7638384ce15377c261b635
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 14 19:31:14 2015 +0100

    Puthon: small adjustments (incl. ignore Photon::Refined) to compile with Swig 3.0

commit ca3d163e0780d3ad171d51ed37d07fa770fbf230
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 14 16:05:13 2015 +0100

    Python: make Swig interface file language agnostic (by including NumPy lines only conditionaly)

commit 42c4e894b6e7ba2d0c5f0f5a97651edab62eae69
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 14 15:52:58 2015 +0100

    + Gyoto::Value: make operator bool deal with long_t and unsigned_long_t
    + Python: make %typemap(in) Gyoto::Value target-language-agnostic

commit da505ec0da17ad3dc8507dca3261819ed1d6c74d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 14 12:52:05 2015 +0100

    + Add Gyoto::Object::get/set(std::string const &property_name ...)
    + Gyoto::Value::operator [unsigned] long() work also if the other type of long was set
    + Python:
      * bugfix: avoid segfault when outputting a NULL SmartPointer;
      * new typemaps around Gyoto::Value

commit 8f8a3aa5a61663848e19b8067b574a222fba52f0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jan 13 13:16:44 2015 +0100

    Python: make swig file a little less dependent on python

commit 9832ccbf6af0d53a050ff0b9cac8cdcce458c2cd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 12 15:05:57 2015 +0100

    Python: support building without boost

commit e8642a125992918c08ed1569eb6fc83a16b65bc2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 12 13:44:16 2015 +0100

    Python: support out-of-tree builds

commit 1cf513c3acb4a2df3b83644f08f5e3079295a186
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 12 10:59:15 2015 +0100

    Python: patch gyoto_doc.i doc accomodate for renamed nested classed in Screen

commit b75734f061eed2241b952e0708e0715b3b33ff6a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jan 10 22:42:26 2015 +0100

    Python: expose GYOTO_ARRAY<type, 2>::operator[]()

commit ad176cbeb4fea6d6079c879c6eebbaa58264955c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jan 10 15:20:00 2015 +0100

    Python: support NumPy arrays *in addition* to low level C arrays in Coord1dSets Indices and Angles

commit edeec3e193af94c5b948ce93d878022d7d01992b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jan 9 15:19:35 2015 +0100

    Provide casting from NumPy ndarray to gyoto.array_double. All Gyoto methods take the latter as argument.

commit 608982f15f0bbb2aecb91be51259c143ed6c6778
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jan 9 11:17:02 2015 +0100

    Add typemaps for Worldline::IntegState, Astrobj::Properties and SmartPointee

commit 1f85f55834b543671e4f8bb6ef41d26385951ac5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jan 9 10:44:02 2015 +0100

    Python: correctly support Gyoto::Quantity_t as a integer type

commit aa91388eef6c4f7b0d6d77bb9f85232fec356ba8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jan 8 14:43:48 2015 +0100

    Add python/example-mpi.py showing how to use MPI

commit 66a26bb1cf3c26f836ca98b940e7cf2bedb21dfe
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jan 8 13:53:38 2015 +0100

    Document Python extension in the user guide

commit 30f655752a852dfeb6a92c4f4d3a7c98635bc535
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 7 19:58:07 2015 +0100

    Python: Expose Gyoto::Property (ignore constructors)

commit 3dcf970c10046d2302b90af217f8f3d0ffd4e939
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 7 17:40:19 2015 +0100

    Python:
      + don't ignore any class (only constructors for abstract classes and some other methods)
      + work around a swig bug that makes "help(<module>)" fail
      + expose the Unit and Converters system

commit 1c495fdf30f3cd973b86d8bf58c8c36feb520a88
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 7 14:47:54 2015 +0100

    small tweaks in Python build-system

commit e8ba9a5ebfdd7b2987213d5c468dd8e024135d2d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jan 7 14:01:05 2015 +0100

    Python: expose normal pointers (with reference counting) rather than SmartPointers.

commit afcfaef4bd1ac997186522cacbda5766d0981e7c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 5 18:07:00 2015 +0100

    Check for Swig in configure, fix glitches so python extension compiles under MacOS (w/ macports)

commit c84d32b4eab3d3c1a721218cd5a8329cfcd3400a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 5 15:51:45 2015 +0100

    Minor fixes in Python docstring generation

commit 46e73509da11e0f0ac1b52970689773ce186b4ed
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 5 15:26:56 2015 +0100

    Use doxygen to provide docstrings in the python bindings (based on doxy2swig)

commit 78b9c99ea2c79f54a3bd045c2d9c77845ba7a959
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 5 09:56:46 2015 +0100

    Install enough material to build python extensions around 3rd party Gyoto plugins

commit 97601b0c1e2be46355a41c1e49fad0a7ae4bd4d7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 30 09:18:22 2014 +0100

    Add python/setup_lorene.py.in

commit 8557a8fa22832152f0e70629bfada1945f38d440
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 29 12:39:44 2014 +0100

    * Value: make sure only the member that was set can be retrieved.
    * Python: rename Properties to AstrobjProperties

commit 333a61c9fc961ddf5888c701bbcda585b9f71c69
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 28 17:26:14 2014 +0100

    Screen::Coord1D/2DSet destructor is now public virtual

commit 4d8dd3151d84c5ee8def7c6fdc7703bf7d8f891e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 28 16:14:28 2014 +0100

    + include/GyotoWorldline.h: remove prototypes for operators that were never implemented
    + python/: fix warnings about unkown base classes and cast operators

commit 6c31bc7424062db02573da7b0f4273f95ccb9eaa
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 21 20:37:50 2014 +0100

    Fix operator[] to return reference in (Astrobj|Spectrometer)::Complex, use it to implemet r/w item access in Python

commit e45e108aa696ba959b02af937c660437a179d5b0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 21 16:23:39 2014 +0100

    Support getting/setting element in Astrobj::Complex, including in python

commit 80974d03b5a251bdb6730ce28b38469fec484f30
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 21 10:21:36 2014 +0100

    Python: ignore SmartPointer<T>::operator() to give access to T::operator()

commit 1b064a9fcd21e588ead7e4f7860c72695bdab375
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Dec 20 22:39:04 2014 +0100

    Remove NumericalMetricLorene::getFileName(); complete gyoto_lorene Python extension.

commit fe94dbfb9fdc278eeabed0f2e978216c55302cfd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 19 20:20:19 2014 +0100

    Oups, commit gyoto_lorene.i

commit 618076c72c47251ca62c2735c6ab9021e3aec754
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 19 20:18:10 2014 +0100

    Python: new extension gyoto_loren (wraps only RotStar3_1 so far)

commit b9f6e31e39057fcf175b112e19f79f7676b70001
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 19 16:18:37 2014 +0100

    Python: add second python extension, gyoto_std, wrapping libgyoto-stdplug

commit f104a3bf96f73c4ee1fb8fa15f24a931b0962b67
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 19 13:18:19 2014 +0100

    Fix Screen::Bucket::Bucket to work with pixel-type Coord2dSets; more Python examples

commit 478041e13458fa968d0cb964ce071dce44052c81
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 18 22:04:30 2014 +0100

    Python: add some doc; examplify ray-tracing with Spectrum

commit 0f27551c51a02fffebc3a4dfa3d4030bde9941f6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 18 17:34:55 2014 +0100

    Add Python example, revert spurious changes in Screen (some unconditional debug output)

commit ca66c51021487fd1e7ccf39a0f09ec1a3451dd18
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 18 17:31:35 2014 +0100

    Document Python interface in INSTALL

commit aa5b211a11b3729bee63f39512757faa69a16108
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 18 17:20:37 2014 +0100

    Python: catch Gyoto exceptions correctly

commit 417b5c3e64dea8afac0ff0188b51377b0feec897
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 18 16:58:58 2014 +0100

    Python: hide base classes, make "Class" a sucontractor for that class

commit e35255bf64a9fa8f30838826cca3419105c8b2d5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 18 13:15:22 2014 +0100

    Python: basic (but sufficient) support for tracing intidivual geodesics

commit 506d66f6aa45e3c129cc9893f700d08cec9408af
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 17 19:45:08 2014 +0100

    Python: set flags for dlopen in gyoto.py; wrap all Astrobj::Properties members.

commit 455b96296e7974e0879c69fda662dd1c870dad8c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 17 17:10:51 2014 +0100

    Build system for the Python extension

commit fdde55aebd59b2011082e9ecbd36a3b1c63901ca
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 17 12:52:13 2014 +0100

    Python: fix Scenery interface so ray-tracing is possible. Implement a way to connect a buffer to Astrobj::intensity.

commit 3f2426ba0cb206a36d2c030e46215653986cd993
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 16 18:08:23 2014 +0100

    Initial attempt at Python interface

commit 24a436d4ed82043a588489aab75da41416df1041
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 15 15:22:25 2014 +0100

    + Bugfix: fix Star::rMax() to not SIGFPE and to compute the right thing.
    + Bugfix: v=Worldine::initCoord(): make sure v[4] is 0 if initial coordinate was not set.

commit 6a9859c7668a51a0cf8714dbdc46888a6659b665
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 15 11:54:34 2014 +0100

    Fix Scenery to ccompile correctly with --without-udunits

commit 57e2d588adc6dfc0f44be8d28edacd14a2a00be2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 12 14:48:03 2014 +0100

    Yorick: support setting/getting Properties with the eval operator in all object types.

commit cc2c3fdfae3cbc6ecf8d0e08b4ec43d15710c5e6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 12 14:23:38 2014 +0100

    Yorick: parse Properties in eval, only for Scenery.

commit c82d2af0a41698357c4579d618560d3efb51363d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 11 22:13:34 2014 +0100

    UniformSphere::deltaMax(pos): don't use operator() if pos is outside rmax_, as this can lead to extremely lon integration in case of moving Star

commit 5be938b22ea54e0c8405a0ce98e110cde922ca5b
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu Dec 11 19:25:00 2014 +0100

    Adding 3+1 metric functions necessary for PolishDoughnut

commit 0f553cc2e466d78a7b2cfcb9753ef8003848b38c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 11 12:59:05 2014 +0100

    More macros in Object a, Property to easily declare and define accessors.

commit 4900995e52f403f006a1b88fb386e233e330ca61
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 10 16:49:42 2014 +0100

    ThinDiskIronLine: don't assume coordinate system is spherical

commit fb57a49ada9b85019e08a18623d76d237e28b276
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 10 16:43:18 2014 +0100

    ThinDiskIronLine: Fix bug in LineFreq conversion, support unit in LineFreq and CutRadius

commit 478139baf50b295eeb6265673b2c3496c82ef725
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 10 15:33:10 2014 +0100

    New Property type: vector<unsigned long>
    Documentation in Worldline

commit fb5078b9c3c295ac72c0b1e5c76962cb269489ec
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 9 17:43:19 2014 +0100

    document Property and Value

commit bca056121fdfa7d741fa2ef84fc8a61c1c63dda8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 9 14:27:56 2014 +0100

    Document Object class

commit 4cd3a4069075c18cc440b50617c946487feadd68
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 9 11:04:16 2014 +0100

    Finish converting Scenery to Object/Property

commit 59c4103f87cb6e920b90ada84fa4047c9f1b8a9b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 8 10:28:18 2014 +0100

    Start converting Scenery to Object/Property

commit 20149de74409aa429cf07f4ba9090224ad796f43
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 8 10:13:39 2014 +0100

    Object and Factory: don't create SmartPointer sections if NULL

commit 8d94ccd9491ad00037c3353045675a9f704d856d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Dec 7 18:21:06 2014 +0100

    Implement Astrobj, Spectrometer and Screen as possible Value and Property. Finish converting Screen.

commit 932197f354913c2b0dd27dc5208c09adbd8ec5d9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 5 22:30:52 2014 +0100

    Convert Screen to Object/Property (spectrometer remains to be done)

commit 4876907c001532a7a6a2685800fc47de8d94f42e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Dec 5 17:01:34 2014 +0100

    Convert Spectrommeter::Generic and ::Uniform to Object/Property; rename Spectrometer::Generic::kind_ to kindid_; remove kind_ from Spectrum::Generic

commit 6de673c39658f27fa04f75aaf53d3e185b600119
Author: Frederic <frederic@MacFrederic.local>
Date:   Fri Dec 5 15:02:40 2014 +0100

    Typos in user guide

commit 6abd4422798979f5474faa5524ceb4fbb800d9ee
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 4 18:09:44 2014 +0100

    Convert all Spectra to Object/Property

commit 7a3e7857c06a6532e02895c49559016c20dfa0a7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Dec 3 17:04:33 2014 +0100

    Convert all the remaining Astrobj classes to Object/Property mechanism

commit 116d62889340f0a067f7479ce82b524b9f501aa1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 2 15:29:50 2014 +0100

    Fix bug in WorldLineIntegState, which failed to update gg_ in init()

commit f3e9aef11264e4c141a05aba8acc9fb4284ccc75
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 2 15:19:23 2014 +0100

    Use strtoul and strtol instead of atoi when parsing longs/unsigned longs from XML

commit 020d8486c265ef169bee8d0ddaf836d22a367141
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Dec 2 12:20:16 2014 +0100

    Change Object/Property API to use arrays (with "links") rather than chained lists. Much easier to understand and to read.

commit 9e0d71b4eea1926d72573245caff6999ca5d5d75
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Dec 1 11:29:46 2014 +0100

    Move Object API out of Worldline and into Star and Photon

commit 3dfa0fd17208be7f95947062271ac9148763b3d1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 28 14:57:14 2014 +0100

    * Make SmartPointee not and Object, but most of its descendents.
    * New Value/Property type: unsigned long
    * Convert Worldline to Object/Property

commit a3c32d0cff9cadcadf4adf97cc972dd1664a13ba
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 21:09:12 2014 +0100

    Convert Torus to Object/Property

commit e843260a99b0863c828064383bb451a1836cb057
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 19:50:28 2014 +0100

    Convert FixedStar to Object/Property

commit f5659d915d3f4b462b286dbe4b24cfe2109a517c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 18:42:00 2014 +0100

    * New Value/Property type: spectrum;
    * Converted UniformSphere to Object/Property metaphor

commit d7912a1152d7d265381829e78a8f996f62912631
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 17:21:39 2014 +0100

    Split GyotoObject.h and Object.C in Object, Property and Value;
    Move Gyoto::Property::Value to Gyoto::Value;
    Add Metric member to Gyoto::Value;
    Make metric a Property in Astrobj::Generic.

commit 30a2278267e2130611faee81126582a0a3eaef1a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 12:05:00 2014 +0100

    Simplify introspection code by using new class Property::Value

commit c307c5caea29a9d21575157020ce6967fa0d0016
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 09:33:41 2014 +0100

    Convert Astrobj::Standard to Object/Property (safetyValue)

commit a6130803e3155ea5e6f28db86a0b14d84f96063c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 27 09:19:37 2014 +0100

    Rename GYOTO_PROPERTY to GYOTO_OBJECT, change GYOTO_PROPERTY_FINALIZE to accept a Property* rather than a Property

commit a8b849a195f85546a6179d891de7d55de7e580a6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 26 23:09:50 2014 +0100

    Bug fix in Photon::hit(), where Astrobj::Generic::Impact() was called with bogus indices

commit 714d24bb9bbb90be2e875be2c9b3579654564ce0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 26 23:02:51 2014 +0100

    Convert Astrobj::Generic to Object/Property paradigm

commit f4996d72f9cc03a1ab27fa6b4d6108ad246348de
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 26 16:11:34 2014 +0100

    New Property type: std::vector<double> (used in NumericalMetricLorene)

commit 3ab767866961fcbd5f54f304bfa057da4f26422e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 26 14:58:49 2014 +0100

    Convert most of NumericalMetricLorene to the Object/Property paradigm.

commit 8b7cb7e5c7b290e999abf67cbb3299ad7dd976ec
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 26 09:21:40 2014 +0100

    yorick: don't use a wrpper called "yorick", this confuses the build system (use yorick1 instead)

commit d42c33c4bb514ecffa7816f9de62bf0fec5f94a6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 25 17:59:43 2014 +0100

    support string and filename Property types in Yorick

commit e5ed94416615058394c582c560f426c611c3a688
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 25 17:44:50 2014 +0100

    Add new Property types string_t and filename_t, convert KerrKS, Minkowski and RotStar3_1 to Property-based objects

commit b1f25ac8408bd7c7e4acfa8b038f13c9b96fffb8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 25 15:13:05 2014 +0100

    Implmented Properties in KerrBL and Yorick

commit ea26db033dfbf301f11d217ba0fb8fd62bb91d6a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 25 09:16:54 2014 +0100

    Start working on introspection framework: new classes 'Object' and 'Property', properties can be set and retrieved by name. Metric::Generic converted to this framework.

commit 6f7f809a06a58b304d99decacd62d5c2570949c3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 21 14:50:11 2014 +0100

    Use the integrator set in state_ when refining geodesic in Worldline::getCoord()

commit ea6cb0c53cd95fed2d0421d4fdd4a83b12c7a98e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 21 11:49:41 2014 +0100

    make fullPath able to interpret `pwd`/

commit 2b88bd410a3cde049512099854c270123675e2bd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 20 21:36:31 2014 +0100

    remove KerrBL gg_ from PolishDoughnut

commit 72e87b0e4d6c64eef8ff2826237f6c6aa7490ddf
Author: Frederic <frederic@MacFrederic.local>
Date:   Thu Nov 20 17:44:07 2014 +0100

    PolishDoughnut is no longer KerrBL-dependent (1)

commit 0f1fc51888fbc968d5fa270224fec8ac12af840f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 20 17:19:50 2014 +0100

    Distribute our own yorick/Makepkg. Out-of-tree builds uninstall is buggy in the Yorick-distributed version.

commit 232eab11b9f82f29503fd548540124160bc0f155
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 20 12:55:08 2014 +0100

    out-of-tree builds: 'make', 'make check', 'make check-mpi' and 'make install' all work.

commit e0b58d5f40e97ee6eee1e4d6708dd232c3561a0c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 19 17:26:34 2014 +0100

    implement 'make check-lorene' and 'make check-lorene-mpi'

commit af0810339362462079fd66339aaca2509692b2ba
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 19 16:04:47 2014 +0100

    First step into checking lorene in make check

commit ad1ba1329fc6174c3d5584613afa635783e3b6ad
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 19 15:07:36 2014 +0100

    yorick/gyoto.i: fix gyoto_painters_panorama_eval() for partial panoramas

commit 9fd5a3941bd862652f93642809e9dba2dbe9a5f8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 19 14:53:19 2014 +0100

    Screen::fitsReadMask(): if file can't be openned, just issue a warning.

commit bc4190910c8c2f8e6222a06c9672580d2e1da5ce
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 19 14:43:31 2014 +0100

    Separate MPI tests in 'make check-mpi' to avoid hanging the computer when not plugged to the network

commit 2dbcf363aa2ea2487e1ca538ffeacad4a9d1a2db
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 18 18:14:42 2014 +0100

    Remove spurious cerr introduced in development; streamline debug output

commit ead9bccc7b5b1bcd21ef8741b94295c801927be3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 18 17:49:44 2014 +0100

    Write up NumericalMetricLorene::fillElement()

commit 6946b14a1c645ec324efd2276c8df1769e72feb5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 18 16:25:15 2014 +0100

    Put MPICXX in gyoto.pc, only if HAVE_MPI. Also update autoconf-generated stuff.

commit 40cf1c2b9b65942fafa02259209aa92d29c2791b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 18 15:38:23 2014 +0100

    New API: FactoryMessenger::parseArray(). Use it instead of direct calls to strtod everywhere.

commit 12ac38e0093a24e14728883dc9a5f40bae11f03d
Author: Frederic <frederic@MacFrederic.local>
Date:   Fri Nov 7 17:48:14 2014 +0100

    Small error in ThermalBrems

commit f1d40ddc477ee70270914e442475a34711b16882
Author: Frederic <frederic@MacFrederic.local>
Date:   Fri Nov 7 17:33:04 2014 +0100

    Updating ThermalBrems

commit 579960ae455c568a1678325a02198b7c8f478ebb
Author: Frederic <frederic@MacFrederic.local>
Date:   Fri Nov 7 13:32:32 2014 +0100

    Adding Thermal Bremsstrahlung spectrum

commit 409df1d00db643a9b9c0bd9aa7bad3ef33c313f3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 6 17:17:01 2014 +0100

    Changed the anglekind API and "Rectilinear" option, better suited for photo-realistic ray-tracing.

commit b708cf11be0d6bcf76d356ac824a90bb3e87a7d9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 4 19:32:01 2014 +0100

    exchange pitch and roll in gyoto_matte_paint

commit 185edcb99782a5ed0138a3ca4a53966245403a8f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 4 18:35:04 2014 +0100

    put most of the matte_painting machinery in gyoto.i

commit d0d9f0540ffe7af9ff98d415e83d206169e04543
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 1 18:14:52 2014 +0100

    yorick: new example script "matte-painting.i"

commit eb6b70cec3421fdb47bafcc6ddd83f7a3027070e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 1 17:56:55 2014 +0100

    yorick: expose Metric::coordKind()

commit 72464f30fe3113a3f187e675e7a71bfa30113e5b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 1 17:51:46 2014 +0100

    Only call setParameters in template subcontractors if fmp in not NULL

commit c355db11137993d482295cec1838f05f530296b1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 31 19:34:43 2014 +0100

    Photon::metric() also sets the metric in the astrobj. Works also for Scenery::metric().

commit f6f711ff8201bea086fa36f4fbc1e2dd2ed39ef4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 31 19:06:01 2014 +0100

    Store coordinates of escaping photons in impactcoords

commit 5835d8497e5dcf28f82cfc419e79d6577d515e0a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 31 09:44:34 2014 +0100

    fix trick yo yorick/Makefile.in that's sometimes needed for linking under OSX (with clang?)

commit 2a2fe9dda180ddd79392e36161ea9c417303979d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 30 12:27:11 2014 +0100

    Bug fix: build yorick plug-in successfully also without MPI support

commit 69522f0aad85d65531c3d30131a4af12b70c99b9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 30 12:12:30 2014 +0100

    Change SONAME depending on built-in features and by default add "-unreleased" to the SONAME.

commit 9ac7d4aeaf91ff1ded73de320699bfb73da60e37
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 22 16:36:53 2014 +0200

    Set an MPI error handler in Yorick (only attached to MPI_COMM_WORLD atm.)

commit 9dbb7c5c9d97ef3918dbb6b565ca0ef33ceb615d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 22 16:06:39 2014 +0200

    Scenery::mpiSpawn(): issue warnings when MPI is not available/not initialized/finalized

commit b83fc4f4052b4fb8fc976ae01c224f9c7e7abca2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 22 15:17:05 2014 +0200

    Change GYOTO_ARRAY if Boost is not available to compile fine with C++98 (e.g. gcc-4.4)

commit b52fbedb1d0973e7d75dc24fb1b10a957eb9fb09
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 22 13:17:10 2014 +0200

    lib/Utils.C: #include <cstdlib>

commit 5a357b4860d007163f0c38dd17e2b20741863088
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 22 12:17:14 2014 +0200

    yorick: rename gyoto.mpi* to gyoto.MPI_*, matching the normal C language name of the API.

commit 6f076286911da439a75bb3bd843854464d1a10d6
Author: Frederic <frederic@MacFrederic.local>
Date:   Tue Oct 21 18:35:47 2014 +0200

    NumericalMetricLorene: correcting gmunu_up_dr

commit 705cd88d901a4de50d348da020082d3d1b577732
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 21 15:24:41 2014 +0200

    fix format of NEWS file

commit c582a2e37be6059c9cf9c90ad4428573aaadfdee
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 21 15:06:52 2014 +0200

    update NEWS, which was left behind when releasing 0.2.3

commit a2ddb8efe5733c8fc371b2063fef4d7a39e6de63
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 21 14:15:34 2014 +0200

    Release 0.2.3
        * Fix minor memory-management bug in yorick-gyoto_Scenery.C
    
    Signed-off-by: Thibaut Paumard <paumard@users.sourceforge.net>

commit 97a0e08cea0bb46c408f6d956d875fe4b2c3723d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 21 13:03:36 2014 +0200

    yorick: when raytracing, support using arbitraty size arrays as indices.

commit ec667993caf716fb285e7a6e427ca8ab8b9ec43e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 20 16:11:38 2014 +0200

    clean gyoto-mpi-worker.*.1 (manpage copy), hide more files in .gitignore

commit fb035b8ec215a6e14bd87231645c70b9bd0729ed
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 16 16:15:01 2014 +0200

    * New API: Screen::Coord1dSet & Coord2dSet
    * Change Scenery::rayTrace() API tu use a Coord2dSet instead of i/jmin/max
    * Make Astrobj::Properties::alloc a simple bool
    * Fix PATH in yorick/yorick1.in
    * Got rid of yorick-specific multi-thread code.
    * Support ray-tracing of a bunch of angle-specified directions, including in wYorick, and in parallel

commit d0374b75093a82f6dfa419fac880a99ee70217cf
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Oct 15 19:04:09 2014 +0200

    Implementing specific moving observers for KerrBL/Minkowski.
    
    Screen: getRayCoord calls Metric::observerTetrad; new keywords in XML
    Metric: Metric::observerTetrad checks the normalization
    KerrBL and Minkowski: observerTetrad implements Keplerian observer
    KerrBL: obserTetrad implements ZAMO observer

commit e790df753b30ef038308ada1170e8e5ed6121272
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 17:53:01 2014 +0200

    * install gyoto-mpi-worker as ${bindir}/gyoto-mpi-worker.SOVERS
    * change dots in SOVERS to underscores
    * make sure MPI support build and works --without-cfitsio
    * add manpage for gyoto-mpi-worker.SOVERS

commit 25a54daaaeb49d8ab96f972e7a8921424f44ae64
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 16:23:17 2014 +0200

    Add yorick/check-mpi.i

commit efce82c20bd798296cc4b08499b582a3ac860bcd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 15:03:45 2014 +0200

    document MPI functionality in the user guide.

commit 8d1fa3df6b40b55f236ae0d0b865b6e575c53632
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 14:26:37 2014 +0200

    PolishDoughnut: turn cout message into debug message

commit b7cb430940d7961fbb69ffcf3c749ed90de5bfc2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 14:25:49 2014 +0200

    MPI: give work to the workers before copying data

commit feee6118168ba2ac1a4c8766dd30745909247c02
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 13:50:04 2014 +0200

    also check that mpi was not terminated when chacking that is has been initialized

commit b59317d408f3e08a5c834d64533b1890d6f01c7e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 15 13:06:05 2014 +0200

    Do not run MPI_Init automatically, instead check that it has been done and fall-back to non-MPI behaviour if it has not.

commit 1556512862b395ddbef9d1da056db22fbda0b1b2
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Oct 15 12:04:11 2014 +0200

    Screen: add the x -> -x transformation for SphericalAngles

commit 6d902aa3ff440f9543e1133bbacfb4543644707a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 14 17:59:41 2014 +0200

    Better control of when MPI_Initialize() and MPI_Finalize() are called.

commit 8c1a676e776387e3617c7468f17f7c361d244dfe
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 14 16:19:52 2014 +0200

    Support di and dj arguments, route yorick Scenery ray-tracing through Scenery::rayTrace when possible. The case that remains is when i_idx or j_idx is a list.

commit 3745ef35f95051d4f52089eb7706afd8c37a9eb9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 14 11:01:25 2014 +0200

    Basic support for MPI functionality in the yorick plug-in:
     * mpispawn=, mpiclone=;
     * gyoto.Scenery_rayTrace() support was automatic;
     * new functions haveMPI(), havePTHREAD().

commit ec9accf5215558b315f5a7fb05773cc6d9217056
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 13 21:53:38 2014 +0200

    Port to current Lorene (with namespace), remove linking against liblorenef77

commit f34c98c482c836d36fce9635b4ab276eb9732824
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 13 17:45:15 2014 +0200

    add example slurm batch file (extremely basic)

commit 52f654bab80cf092c318b3e1de597153abcd5371
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 13 17:09:25 2014 +0200

    fix bug in MPI rayTrace (invalid write)

commit f7d82e73926d276504576a8bd3114ec2d6e3a071
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 13 14:01:23 2014 +0200

    add gyoto.in,  needed to generate local wrapper

commit 7b1e3a433b633ae92823a9b8fe11cdbbf10dc453
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 13 09:12:08 2014 +0200

    * rename Scenery::is_worker to am_worker
    * give raytrace task earlier in Scenery::raytrace()
    * merge workers and manager into a team, use broadcast instead of P2P whenever appropriate

commit bb16b57f3f3175c267fd2378a3ed78603d644bac
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 13 09:06:59 2014 +0200

    MPI: broadcast XML data instead of sequential send

commit 4ebc4d5eed25ad1f9e52368a61e54dd77dd69557
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Oct 12 20:19:07 2014 +0200

    * provide wrapper script directly in the root of the source directory (sets $PATH)
    * update man page
    * accept (but ignore) --nprocesses when gyoto was built without MPI

commit 92b56464dfba00e5c025d752a9f18c65db5e928c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Oct 12 16:27:08 2014 +0200

    gyoto executable supports --nprocesses option; fill PolishDoughnut::fillElement

commit d935adb36db5ac409692f0b5585ae6c97d35a15a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Oct 12 12:18:34 2014 +0200

    Better detection and error handling of MPI prerequisites

commit 5c5313403eb2bd214c934c2f7defa753395b3f31
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 11 23:25:52 2014 +0200

    Document MPI dependencies in INSTALL

commit b27967a8590b6bf15f0dd53f7d753aaaf83571a3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 11 18:20:20 2014 +0200

    MPI: install gyoto-mpi-worker in ${soversdir}

commit 5865d2bc68ac6f5992be80b1737a208763a8c1b1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 11 16:37:06 2014 +0200

    MPI: compile (and run) fine with and without MPI

commit 924eaad2df7b5e9a5e6039e69ec3a255253fa66e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 11 13:20:49 2014 +0200

    MPI: support computing impactcoords

commit 82a24f08b062eac91741703d1bda199c681788e9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 11 12:53:11 2014 +0200

    MPI: Get requested quantities from data pointer instead of Scenery.

commit ab278de34b78e5f80db2b0fa4a6567a9fe122e15
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 11 12:39:25 2014 +0200

    Add typecast from Astrobj::Properties to Quantity_t

commit 4fe110b735e93d6dee4afc4020b2613f04f1903e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 10 20:54:52 2014 +0200

    MPI: support using provided impactcoords

commit 405957cad35d8adc662b01862c0c90b8e364381e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 10 17:21:38 2014 +0200

    MPI: support all the quantities except impactcoords

commit 2e4f125ce57e1e746c79ae78687ba1b0e3bb76dc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 10 17:02:17 2014 +0200

    MPI: works as long as gyoto-mpi-worker is in the PATH, which is the case by default.

commit 9020a896378525685268cb77691a390233fdfb5f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 10 16:38:34 2014 +0200

    MPI: use a buffer instead of a temporary file when cloning remotely

commit 5f99e28e9df677b5097233e6a924777623750c72
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 10 16:35:38 2014 +0200

    Factory: allow constructing an object from in-memory XML data.

commit 2232e31bac6a76f729ff0ebe8c1207c5fd9157dc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 10 15:45:16 2014 +0200

    MPI: move all the raytrace logic into Scenery::rayTrace

commit 64d65a086a1238557e68b8fff0b595d5062ed538
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 9 21:20:37 2014 +0200

    Allow fixed star to be "rotating", i.e. velocity is given by Metric::circularVelocity()

commit 87e22922c0b79bad3ba4163476824b237a9d7e03
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 8 18:17:28 2014 +0200

    MPI actually working, at least for quantity "intensity".

commit bb1816d21691d2c3c5fb0f570ed5cb458ab50662
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 8 15:11:37 2014 +0200

    Initial MPI version. Dummy implementation: calls are made to parallelize Scenery::rayTrace, but no raytracing actually occurs.

commit f1d58b489da853785c2f75f5ec0fd5070f3116f3
Author: Frederic <frederic@MacFrederic.local>
Date:   Fri Sep 26 14:20:40 2014 +0200

    Migrating omegaPattern_ and tPattern_ from DynaDisk3D to Disk3D where they belong

commit 95e32fc78f9ce8018ba63164708dab89beb8696f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Sep 23 11:05:04 2014 +0200

    fix lib/gyoto-uninstalled.pc.in top hopfully support C++11

commit 8ec7314dcc217a3e56f0b312f390694daf7f1333
Author: Frederic <frederic@apcdhcp53.in2p3.fr>
Date:   Mon Sep 22 15:04:15 2014 +0200

    Astrobj: adding noredshift_ keyword

commit 224c254a314a346940f61986e766c44548cb7778
Author: Frederic <frederic@apcdhcp53.in2p3.fr>
Date:   Mon Sep 22 12:20:08 2014 +0200

    DynaDisk3D: adding rotation velocity keyword and Minkowski integration

commit fa5c38593c5d49d35ad6744522beb011477c57ea
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Sep 19 14:47:33 2014 +0200

    Release 0.2.2
    
    Signed-off-by: Thibaut Paumard <paumard@users.sourceforge.net>

commit 4925c06002b51049873f8a7b2581d514579931f1
Author: Frederic <frederic@MacFrederic.local>
Date:   Fri Sep 12 12:26:17 2014 +0200

    PolishDoughnut: still cleaning

commit c9aaafa1e7b8934ed8c7cc0bd745a9c28de1f256
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 10 16:01:20 2014 +0200

    PolishDoughnut: still code cleaning...

commit 5c0dc7a5e9e4ecda0c780433b20055f3fcf14f45
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 10 14:45:44 2014 +0200

    PolishDoughnut: again code cleaning

commit a82ce262e2cf389c88f21eb1441ef4a8702e89e4
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 10 11:57:31 2014 +0200

    PolishDoughnut: again some code cleaning

commit 44a8a2536af0e51e50831c8f151432d9f83fe24f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Sep 9 11:22:24 2014 +0200

    Correct also the generic implementation of circularVelocity()
    
    Conflicts:
            lib/PolishDoughnut.C

commit ecedb397dde61cf787c4bc2e86eea9c61e2a660e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Sep 9 11:38:18 2014 +0200

    Correct KerrBL::circularVelocity()

commit f9f33402a22908cd25d1d0b71ac6a40f2317489d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Sep 9 11:22:24 2014 +0200

    Correct also the generic implementation of circularVelocity()

commit 4b184b1a2332530ac51014bf3a368efd86214088
Author: Frederic <frederic@MacFrederic.local>
Date:   Tue Sep 9 10:36:50 2014 +0200

    KerrBL: correct Keplerian velocity
    PolishDoughnut: few changes to ADAF

commit f3f9823316668dabe55c21ebb4b4e781494c3dae
Author: Frederic <frederic@MacFrederic.local>
Date:   Mon Sep 8 14:20:17 2014 +0200

    PolishDoughnut: Adding ADAF Yuan+03 model for comparison

commit 8815ed58a4ceeacf5e2ca53c6563351bcccd5f07
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 3 16:22:27 2014 +0200

    Code cleaning

commit 65e3700fa71ad2510fb42149db7e9fb3cc630cf8
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 3 16:07:55 2014 +0200

    Removing DS_Store file

commit cc6269f9e3c98577f6c0cad545ba1112cc872c2d
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 3 15:11:12 2014 +0200

    Photon.C: coming back to transmission limit of 1e-6 to stop integration

commit 98ddf275b8bd0e2b66952215e700f77624f21d7e
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Sep 3 15:08:01 2014 +0200

    Updating DirectionalDisk, adding angle averaging keyword

commit cf161aee564f25a7fc193c5245d4d93ff64b773a
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Jul 23 20:05:32 2014 +0200

    PolishDoughnut: a bit more updates

commit ed286e1ef49258408e0d6d5e3c3c7b5d4666446f
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Jul 23 18:36:09 2014 +0200

    Astrobj: introducing radiativeq for radiative transfer
    Doughnut: major update

commit 2658641fbcad32179df074f80ee59671b57e914c
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Jul 23 17:58:12 2014 +0200

    Updating DynamicalDisk3D

commit b57d70da05b3348dcaa9898851ee04bbb16eb660
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jul 22 13:41:16 2014 +0200

    Released 0.2.1:
     - update version info;
     - New function Gyoto::atof() which supports the special values
       DBL_MAX, DBL_MIN, -DBL_MAX and -DBL_MIN;
     - Factory also outputs those special strings when needed;
     - increase buffer size in Factory to avoid overflow;
     - remove obsolete and useless files (yorick/config*, .deps...).

commit 09b1de055eedadad328531a267e70ce29edee9a5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jul 22 13:41:16 2014 +0200

    Released 0.2.1:
     - update version info;
     - New function Gyoto::atof() which supports the special values
       DBL_MAX, DBL_MIN, -DBL_MAX and -DBL_MIN;
     - Factory also outputs those special strings when needed;
     - increase buffer size in Factory to avoid overflow;
     - remove obsolete files (yorick/config*).

commit d4ea8da5e4ab740a50627c86e7c982695ba99e1b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jul 21 11:39:27 2014 +0200

    Released 0.2.0

commit 9377e247c866095da355060bbd6d10cd79c8c28f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 18 17:38:30 2014 +0200

    Prepare for releasing 0.2.0:
     - update build system
     - move ChangeLog to NEWS
     - output git changelog into ChangeLog
     - remove obsolete files (VERSION, Makefile.old, local_settings)

commit e9cb96aae0fd402903a8f7b45aecdf7c68447802
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jul 18 15:53:40 2014 +0200

    yorick/gyotoy.i: fix SAVE button label in export dialog, reorder buttons in import dialg

commit fa24dd06f48dd63f00d7afcf2df45297958b224c
Author: Frederic <frederic@MacFrederic.local>
Date:   Wed Jul 16 19:15:38 2014 +0200

    Adding risco_ and rmb_ in NumericalMetricLorene

commit bf81397b3623882047d6d38cbc57093bbdb9582b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 21 18:50:07 2014 +0200

    use boost::multiprecision in Screen::getRayCoord() to avoid loosing information due to the trigonometric functions

commit de3a2b3cb763e097c0170547cfeeced0bab5805f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 21 12:22:32 2014 +0200

    Don't hide parameters with default values in fillElement, this way the user have almost a complete view of the parameters they might want to set when printing an object.

commit 4d1829e391e02257c0fb62b3421bce17ec0572d8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 21 11:51:48 2014 +0200

    fix minor bugs in yorick check files

commit f4093019883f1bccdca8e69842753875db44b34a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 21 09:48:25 2014 +0200

    yorick: rename "accessor" to "closure", improve on_print method

commit 840a4c5ed222a9aa8f87d3ab4c9c1567ea40943e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 20 22:43:45 2014 +0200

    * remove const spcifier from Astrobj::rMax()
    * improve doxygen doc

commit 12b0002d89043608eff93bb4b36a692869b7275e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 20 22:27:14 2014 +0200

    document Worldline and Worldline::IntegState

commit 924773995e2ac4504d163a484ce333ce0a04c087
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 20 15:42:44 2014 +0200

    split ygyoto_private.h out of ygyoto.h

commit d690b09d60f29ee3b6c9bb761f3832e809c9f246
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 20 15:25:31 2014 +0200

    remove doc/user_guide/.gitignore

commit 493650058308da935411d040ad65745598e82770
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 20 15:21:15 2014 +0200

    yorick: improve dot operator to support everything the () operator supports; improve doc

commit 0981ff0c73420c42e239a7c780bf78390abd5fc1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 20 15:20:10 2014 +0200

    fix lib/BlackBodySpectrum.C to compile with the minimal feature-set (--disable-xerces etc)

commit c9a87c06ea0da00a9bb777e418847f7ac8e2ff1a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 19 16:03:08 2014 +0200

    Change dot operator syntax in Yorick plug-in.
    Warning: this may break existing code.

commit e118820888b4822fad88ab727de594e8c5ed1a9f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 19 09:21:22 2014 +0200

    doc build system:
     * build ref only if DOXYGEN is available;
     * build user guide only if all the necessary LaTeX bits are found

commit 7d4f236c4bf6b304b4a5a822dcfe7da646d6b711
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 18 17:13:07 2014 +0200

    Document how to extend Gyoto in the user guide.

commit af3dafa2069750343d4610f8ac5cd4612fcfe3d4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 18 11:10:57 2014 +0200

    Update manual:
     * some documentation on Yorick and gyotoy;
     * provide build system;
     * change aa.bst to kluwer.bst, which is free and available in texlive-bibtex-extra

commit f19633ff8149b09c9ea0cd9e24f5c9d4c368419f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 22:17:47 2014 +0200

    reorder configure script

commit 8bf325f08d67d92f5c0ea8c92e872b26e87e8af0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 22:07:05 2014 +0200

    add configure option --disable-c++11

commit df35b4773c7e6823ff4ee5d53dbfbb001dbe72ca
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 21:43:32 2014 +0200

    fix more warnings

commit 5b7a834364631a370c84401ba59b4d0af740beb6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 17:45:38 2014 +0200

    more pedantic warnings

commit 3349ed36907b54cffc4a098c35fe1c8f97b44f6f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 17:41:21 2014 +0200

    fix many pedantic warnings (--enable-hardening)

commit 0c275dd0e840f6719244ff707e5faf0496128deb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 14:11:02 2014 +0200

    repair building *with* cfitsio (!)

commit 34730f710625606dd48e4798ff997594fb528102
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 14:00:38 2014 +0200

    repair support building and checking without cfitsio

commit d33bc82240b0de477cac0b353b13eced87a2b4e1
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Jun 17 13:52:52 2014 +0200

    Debug check-directionaldisk

commit 87dafa1d0cb126c7c2579718f149d4ed22e63520
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 13:02:28 2014 +0200

    ensure Gyoto builds and make check works even without xerces.

commit b338cb057f7e424ab28bb312a4a545ebfb4d2b92
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 17 10:52:50 2014 +0200

    * yorick: add haveUDUNITS()
    * make sure the check suite passes even without UDUNITS

commit f298d400995c1dc5939991bb99ac94d136e10c47
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 16 18:24:21 2014 +0200

    fix bug in getRayCoord

commit b60a37c080aab4789e8feeef0feeb9f7321870b6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 16 18:11:57 2014 +0200

    fix getRayCoord to work better for very small angle increments

commit 34f7f763f330605fd3002928bddb91cc64047877
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 16 16:29:50 2014 +0200

    Document and compare the integrators in the user guide

commit 728ab77261498a0f0c44e777210e7ffe1f885503
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Jun 16 12:21:08 2014 +0200

    Biblio manual added

commit 7f056100051aad17d6169156155070c19f72669c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 16 10:07:11 2014 +0200

    * Fix bug that would break adaptive integration for the Legacy integrator in multi-threaded operation
    * yorick: add gyoto_haveBoost()
    * make check now works even without boost support

commit df6d2c8eced475ae850f888e9a02be30f5de1932
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 14 15:43:57 2014 +0200

    improve configure to error out if boost was requested but C++11 or Boost not found

commit 36fdd3a700085dc104d13e8e3b59e6e3779d88b4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 14 10:27:00 2014 +0200

    ensure the right compiler is used with compiling the yorick plug-in, and document how to select a compiler in INSTALL

commit 9f5b70986d6654f22506063327aa7299debb3e9e
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jun 13 17:57:35 2014 +0200

    DirectionalDisk: implemented trilinear interpolation in emission()

commit 08e91914060ce90a9e9bd6f5d3eff9a6989365c0
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Jun 12 17:00:30 2014 +0200

    Add new astrobj: DirectionalDisk

commit fbf69f4563942725acce1b80f1b7651f87298fa2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 11 21:35:00 2014 +0200

    Fix bug in Photon that would initialize the coordinate when it's supposed to remain uninitialized.
    Give access to Scenery::clonePhoton()

commit cc7f8f00f1441119155909a9c70356319379c017
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 11 14:57:31 2014 +0200

    update configure to test for more flags to enable C++11, and to chicken out if none work.

commit 37fc1c2e887d30add8ef6a9b598ae19d6364af39
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 11 11:40:35 2014 +0200

    include <array> in GyotoWorldline.h

commit 38b7b7c9cd48141eaf577008113e83fb77cf2168
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 11 11:01:28 2014 +0200

    Don't store Photon parameters in the Scenery object, but directly in the Photon template it holds. This avoids getting out-of-sync.

commit 579311b32b91b11c1cdf6bd969579d77e3595eeb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 10 23:05:18 2014 +0200

    clone Scenery internal photon when ray-tracing in Yorick

commit 768d6780f669dd617d0a4a0005e2b08feaaf4e3a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 10 20:42:13 2014 +0200

    abide by delta_max_over_r_ in generic myrk4_adaptive, fix bug in Metric::Generic::deltaMax(pos, h) in case of Cartesian coordinates

commit aaa1fc1d4d537411dc212b25bb2be4062a7f4610
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 10 14:26:33 2014 +0200

    Few fixes for compilation under MacOS:
     - default value for DeltaMaxOverR is now 1. to avoid overflow which triggers SIGFPE on MacOS
     - make the "install" target phony
     - check for the availability of -rdynamic in configure

commit a412ba0b2b912ce069e8b62f5468065ccf083e2f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jun 9 19:21:42 2014 +0200

    give access to the new integrator tuning parameters in yorick/Photon and Star

commit 44296bc1ee7be5749d6db5a5d08c42fe911e102d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 19:38:11 2014 +0200

    put CXXFLAGS in gyoto.pc to convey -std=c++11

commit 6d11ab03a8323014c9d1f5c452648894507d1106
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 19:31:33 2014 +0200

    put BOOST_CPPFLAGS in pkg-config file

commit 933e1e7a5077be5b1a08672f3e2e3b68faf00b80
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 19:27:33 2014 +0200

    support compiling without boost

commit 267f69c3354b89886a4f07fd9c51141a5e150ffb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 16:16:08 2014 +0200

    store boost integrator kind in an enum instead of a string

commit f042b3b68fe258e9a2f6f9d117fe731883bc8772
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 15:48:26 2014 +0200

    implement non-adaptive boost steppers

commit 296521a1cad702139fb8e1772b480ecc46064213
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 14:37:29 2014 +0200

    fix Worldline constructors and initializers to clone/init the IntegState when appropriate

commit 00af1d197d18c76351755c43f7da74a1fc36f8bc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 11:56:15 2014 +0200

    allow setting abstol and reltol in new integrators

commit 54664768985636cf00922dda98eedf495cd2f8c8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jun 7 11:29:57 2014 +0200

    improve new integrators (initialize minimally)

commit 99fa623fc61788791b28f911070c9a78a3efe82c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 6 22:14:48 2014 +0200

    access new integrator in Scenery from yorick

commit 1b276a0e6e94805930c809338dfec5ea7a2d77a1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 6 21:31:07 2014 +0200

    provide deltaMax, deltaMin and deltaMaxOverR interface directly in Worldline and Scenery for the new integrators.
    change default values of deltaMin (DBL_MIN) and deltaMaxOverR (DBL_MAX).
    fix bug in Torus::deltaMax().

commit 7a18bef6c48efbe70eb8e11e75bb31e78dd81d68
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 6 17:17:17 2014 +0200

    Support the 4 Boost Runge-Kutta integrators

commit 6a41ecb5fa71254630905c6db8cd888e1190aeea
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 6 16:34:43 2014 +0200

    Add support for Boost ODEint integrators. Adds new build dependency on Boost.

commit b0f9d62d26d9ce2256714986b4d97d2a1759f9df
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri May 30 12:01:29 2014 +0200

    ThinDiskPL: just remove Rmin and Rmax, they shadow InnerRadius and OuterRadius!

commit e1c870d8ef55397d70f86f4a618595ca67b7e6ba
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri May 30 11:23:20 2014 +0200

    Astrobj: add "const" keyword to rMax()
    ThinDiskPL: rename Rmin, Rmax to Rinner, Router
    
    PolishDoughnut: redefine r_cusp_ to solve high spin problem ;
    new correct version of p_mag implemented in Komissarov

commit 9faae660da6f547d89af76cc273e6cf0f5a9a96f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue May 20 17:19:33 2014 +0200

    ensure gyoto.so is compiled before gyoto_std.so, which needs it on MacOS X

commit 95fe4c951593469a132eeb1f20a79ac1407af7ad
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 14 16:24:08 2014 +0200

    avoid div by zero in yorick/check-helpers.i

commit 54642a5ab6a8fd1c48110d35125feec97a607cb4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 7 18:27:35 2014 +0200

    Allow setting FixedStar spectrum and opacity in the yorick plug-in

commit baf94b96a940e40de28fcc9382c0a3382b3f4a4f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 7 17:25:23 2014 +0200

    KerrBL: allow using the generic integrator.

commit 038d036a513becca89bb2010433a9dcc04347a87
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 7 15:27:58 2014 +0200

    Implement KerrBL::christoffel(dst, pos)

commit 35c1e1bae837abe22ad48f26710f43f8accc4b7c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 7 12:10:28 2014 +0200

    add some eye-candy in test suite

commit d836302bf9d2f99e5c679fc60c9ddc23f3de9385
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 7 10:22:26 2014 +0200

    Provide a proper system for running the yorick plug-in from the built source tree. Just use the script yorick/yorick which is generated at configure time.

commit a84b8dc68cb01271d65f7fa90df36063b655939d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue May 6 15:52:22 2014 +0200

    Include new metric (WIP): NumericalMetricLorene

commit 1e3ff63fafb7797445f4f042a1981eb7fc8c3779
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue May 6 15:39:53 2014 +0200

    + KerrKS: make it actually work, with the generic integrator. Using the specific integrator is an option, but it is currently broken.
    + The christoffel method may now set a stop condition.
    + myrk4_adaptive does not ignore the stop condition set by myrk4 anymore.
    + Conversions To/From seconds may now be done from/to distances using GYOTO_C as a conversion factor
    + Fix Torus, which was completely broken in Cartesian coordinates.

commit 3a0e3e7a200be6c840cf24141cb1acc46453154c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 30 13:30:56 2014 +0200

    Add Keplerian keyword in order to get circulartVelocity to return the Keplerian velocity

commit 03b79c344c7b3cc88dcf39f277aa0aa29f348b39
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 29 17:11:37 2014 +0200

    code cleanup: remove useless constructors and destructors (in Metrics), protect kind(string) and coordKind(int) which should generally not be used.

commit 6e3e17a69ad368178b0a86243ed710ca78752332
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 29 11:03:23 2014 +0200

    move delta_max_over_r_ machinery to Metric::Generic

commit c6c149455ddd56ab2c5c22722706368a90c75dbc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 29 01:07:15 2014 +0200

    add WIP, use single call gmunu() in Metric::Generic and KerrBL (10% speed gain)

commit 02f034e8d9c029b635b76ac22ab16c5a531938b7
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Apr 22 16:55:00 2014 +0200

    Add doc/user_guide

commit 483b941a54c1902ee459e44a0f926c5774cd25ec
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 22 13:29:55 2014 +0200

    Add work-in-progress (WIP) class
    Add Minkowski metric class

commit cfe128aab7efe99fc9bf91da141a410ee1c36f45
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Apr 17 14:16:32 2014 +0200

    Update configure script. Add "--enable-deprecated" option. The code should never be pushed when enabling this option is required to build the code.

commit 4e3abda54a6d31d484b4dcdc978cba28562d1c9b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Apr 17 14:05:51 2014 +0200

    update autotools scripts, include new "compile" script.

commit bb0c4990b396b835c2e3f2b385310f4464bce462
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Apr 17 13:25:45 2014 +0200

    rename set intensity/spectrum/binSpectrumConverter in Astrobj and Scenery

commit 21dea0f9e97279702b47fa7fbd0cd2eb605033a3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 21:00:41 2014 +0100

    add alpha0, delta0 in the doc of gyoto.Screen in the Yorick plug-in

commit 36ad61d232fc960c33351546368b327ea06f48cf
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 20:45:49 2014 +0100

    get/set alpha0 and delta0 in Screen support in Yorick, support unit

commit df78a088bde6ed4bc02b5dc471854b17f9a99b08
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 18:02:55 2014 +0100

    rename get/SetFlag_radtransf -> opticallyThin, nThreads, resolution, nSamples, spectralOversampling

commit 23daf50d49497d41b27474bb07cc9c2ec2d86977
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 17:45:10 2014 +0100

    rename get/set lambda, centralTempOverVirial, beta, constant, exponent

commit 852ef12998deab0ae2c7a7135e19ad2f84ed13df
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 17:11:03 2014 +0100

    rename get/setRadius/SmallRadius/LargeRadius/CentralDensity -> radius/smallRadius/largeRadius/centralDensity

commit 457bef5c21a594bf81b30d3d8600ec07b8c53b80
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 16:31:01 2014 +0100

    rename get/setDelta/Delta0/Alpha0 -> delta/delta0/alpha0

commit 0564a4fa0625edc915eae835ae1894b3400517b5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 16:18:42 2014 +0100

    rename get/setSpectrum -> spectrum and get/setOpacity -> opacity

commit 6a5776c5d36aa35ccad87df33afb2e02238ae2e8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 15:52:43 2014 +0100

    rename get/setSpectrometer -> spectrometer

commit 2682d2c581dd472e998df1719c06dc38e7908b96
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 14:02:24 2014 +0100

    rename set/getAstrobj -> astrobj

commit 9b1a7ab89b0d088303f99b0fab10a953ea6133ce
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 08:44:31 2014 +0100

    rename set/getKind -> kind everywhere, make sure Gyoto compiles with and withoug GYOTO_NO_DEPRECATED

commit 8a1accc56a2c4a32bbba632980537eee841a3a43
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 08:27:41 2014 +0100

    Add some API compatibility deprecation code

commit 54beda5617f259a540e339de4e962d3b73a43944
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 29 08:07:55 2014 +0100

    rename methods set/getScreen -> screen, fix last remaining warning

commit 8cbef78a57040fc4855564631e8395ebee2a55cc
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 28 22:33:08 2014 +0100

    get/setMetric->metric, get/setRmax->rMax

commit fcd7f6bea42d258a6175b58ba9046ad983538f20
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Mar 28 16:48:02 2014 +0100

    PolishDoughnut: erased Impact_ ; directional and angle-averaged synchrotron in Komissarov

commit 8a8e16e126fcb27bf384ea7575bb33550d438946
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Mar 26 17:20:08 2014 +0100

    Code cleaning in PolishDoughnut/Komissarov

commit 62853366512a56bd0e5305e1f12f088e081aa9ea
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 26 17:03:42 2014 +0100

    fix "../include/GyotoPolishDoughnut.h:251: error: a class-key must be used when declaring a friend "

commit 61681551ab7faa42568cc68c80e48fa4f7ca7072
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 25 17:59:22 2014 +0100

    Simplify interaction between PolishDoughnut and PolishDoughnut::intesection and

commit 2253c42c813220ea646a39b0ea7b2da47c6f3296
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 14 21:56:49 2014 +0100

    change method names in Screen: inclination, PALN, argument, distance

commit c4e1bffa50cc51a29454836ae7db3b01c7f071b7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 12 15:35:26 2014 +0100

    rename RotStar3_1::integKind, RotStar3_1::fileName. Make sure compilation goes fine with HOME_LORENE set.

commit 968b109cfe50da2bb14c7cbd717773624c04253b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 12 15:26:34 2014 +0100

            * rename functions from setMass/getMass style to mass()/mass() style.
              Are concerned the following (new names):
                Metric::mass, Metric::coordKind, Metric::kind, Screen::coordKind,
                  KerrBL::spin, KerrKS::spin

commit d6ab1f233265dabe15a02075dedaa50b80021ecb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 10 17:01:36 2014 +0100

    add DiffTol and DeltaMaxOverR attributes to some of KerrBL, KerrKS and RotStar31

commit 1f929ddad2d933489f9c2e3b40d4c8f4a003d4fe
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 10 14:45:04 2014 +0100

    Add DeltaMin and DeltaMax attributes to Metric::Generic, support it in KerrBL

commit 67f56565152b3a4cf0ed43354a0cd6fe205bb011
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Mar 5 12:03:55 2014 +0100

    Code cleaning in KerrBL.
    In KerrBL::myrk4_adaptive, redefined difftol depending
    on metric kind

commit 7b80e9cbf2ddd203ec084e85259ae7bc1928e0a0
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Feb 13 11:04:16 2014 +0100

    PolishDoughnut::emission: temperature calculation changed, previous was buggy
    PolishDoughnut::emission_komissarov: added Komissarov model for doughnuts

commit 4bdf87445d39fd570f2845825cb5d0c5a6b962b0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Feb 8 18:58:11 2014 +0100

    Make Gyoto work for large distances:
     * use mathematical approximation for small angles in Screen::getRayCoord
       which numerically more accurate than the exact trigonometry, this makes
       Gyoto work for the Galactic Center case without using the dmax rescaling
       trick;
     * make dmax and h1max default to DBL_MAX;
     * in KerrBL::myrk4_adaptive(), set difftol to 1e-6 (this makes Gyoto more
       reliable for an object far behind the BH).

commit ea573ac4c1efb3864b5ce0e7822087ffe8c689ee
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Feb 7 16:13:28 2014 +0100

    use "approximate" formula in getRayCoord for small angles, this is numerically more accurate than the mathematically exact expression. Set h1max to 1e10, but it could be even bigger.

commit cb1672c1b9dca9b49677e564b7a82e98f1a13d01
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jan 17 12:20:10 2014 +0100

    Still updating website

commit 9740df78064f45c6430132f2d49eab522b4a10cc
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jan 17 12:18:17 2014 +0100

    Still updating website

commit eb7c9ca31b5a82d55484fe67f7201c564af1c65b
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jan 17 12:14:04 2014 +0100

    Website update

commit bfd6777dcc785daba59eb8bc90f9fe3a8cb01c18
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Jan 16 12:36:26 2014 +0100

    Website changing

commit a0dce5a9b1fb7d2657393abd811d411b166a5086
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Jan 16 12:32:34 2014 +0100

    Website change

commit 0a55959d78a2daeacf1dd4af8f18e7b514e869d5
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Dec 20 13:10:04 2013 +0100

    RotStar3_1: updated myrk4_ada to follow the change in WlIntegState

commit 6f19033b72fda5d4321d87f04e37e3a696332399
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Dec 19 15:44:06 2013 +0100

    UniformSphere: added spectral dependence (photon index)

commit a9ade35e59be97f802631ebeb42dd3977e004136
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Dec 19 11:22:45 2013 +0100

    UniformSphere.C: add optically thin case for isotropic_=1 in emission

commit 57f4dfb92913b7a4d407d4b556bf2a415e8c76ac
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Dec 12 14:19:51 2013 +0100

    yorick/mk-movie*.i: precompute mask, set aspect ratio to 4:3

commit 9458329ae80b99c6d2606d90c8832d845255a391
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Dec 11 17:55:58 2013 +0100

    WorldlineIntegState: still updating warning message

commit aa9b92e6590b43977f3837741d54783ea5698b94
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Dec 11 17:53:31 2013 +0100

    WorldlineIntegState: update in warning message

commit 4dd0875012fd862cead1e3909491fe719bf48118
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 27 14:56:24 2013 +0100

    KerrBL::CheckCons: make limarg relative to KK

commit a4002f53533abc4865d6c82f015b87b084efd341
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 27 14:55:28 2013 +0100

    yorick/gyoto_Scenery.C: bugfix in maxiter keyword

commit d618ef47079ef759b73ec67629c6681eee9e2b82
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Nov 24 21:10:36 2013 +0100

    document StarTrace in Yorick plug-in

commit 2e9080f5a97909d3f9060905d31eadb3c2819831
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Nov 24 20:48:54 2013 +0100

    Make sure an Intensity FITS file can bre readiy used as a mask.
    
    Warning: run configure after pulling this commit.

commit 316e34022311ca93145d33db7ab46c3d0b950da0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 23 23:03:11 2013 +0100

    some doc in include/GyotoStarTrace.h

commit 6193560ddb63baf58c23fda80859206f0ce7491f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 23 22:01:18 2013 +0100

    make star from startrace in yorick

commit dbad2ee8a7ab4365c312fba059e0dcf7e15e147a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 23 21:51:48 2013 +0100

    make startrace from star
    check-startrace.i

commit bade5b68b272c9c52dd292790c4aa1aacfa675ad
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 23 20:22:09 2013 +0100

    yorick interface for StarTrace

commit 8479f542e19e5456cb6dfa57bc34feaf44bc21a0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 23 19:39:59 2013 +0100

    optimize StarTrace

commit 20bd44161e6b938988ae859367b9ba829c0211f5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 22 18:10:01 2013 +0100

    automatically check startrace.
    set resolution to 32 and nthreads to 8 in Makefiel for make check

commit 6b0661f84eeef4fcf43db6d0476d7f63e3815466
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 22 18:00:52 2013 +0100

    New astrobj StarTrace, currently too slow.

commit a2b2856cec0e3a11f868a07687d7c0eb9a51a66b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 22 08:56:12 2013 +0100

    add members and accessors to UniformSphere to fine tune getDelta from XML or Yorick code

commit 863c2fd857a1e89ca34ade8ac42030f486a5f419
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 21 17:16:12 2013 +0100

    implement deltaMAx for UniformSphere and Torus

commit bfc90f5c920fe7e3470205eefbc008b311c76651
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 21 17:03:22 2013 +0100

    make sure h1max >= h1min

commit d40a0007b700b4a81deda1b6fbad5ce72c9ef9a8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 21 15:55:56 2013 +0100

    implement Astrobj::Complex::deltaMax()

commit 7cb526b968b7cb0aa056cd9e511ddc8b3ecf7eeb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Nov 21 15:38:16 2013 +0100

    * change Worldline::Integstate::nextStep() and Metric::*::myrk4_adaptive() to accept h1max parameter
    * add Astrobj::*::deltaMax() to ask astrobj how to not miss it, provide Generic and FixedStar implementation

commit 638a3f739dd004a31c2b2f0355c4a19155487748
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Nov 20 17:19:43 2013 +0100

    In KerrBL::diff changed derlim_hor from 1e5 to 1e4.
    Previous value leads to error due to bad z-axis pb treatment
    close to horizon.

commit 9740b41455c04dbdf896b6ca32e07aa2d1b8ce12
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Nov 12 11:31:19 2013 +0100

    DynamicalDisk3D: added novel_ flag to ignore velocity when emitter velocity is not provided.

commit 22887c725dc45b0d02aa1e907823188bfd64790e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 9 09:58:17 2013 +0100

    update data pointer correctly to make tracing a subset of the field correct

commit 202a5be4d8743df3fcd8fe70ec56b33c12ee86d9
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Nov 8 19:20:19 2013 +0100

    Disk3D: changing value of deltat inside object to constant value

commit 09ee9813c619e0a574d3f4af45e57d14b2ffb0e0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Nov 8 15:05:28 2013 +0100

    implement mask in screen to compute only parts of an image

commit 50b108e91e1da87e444fcfe26a0905ff20c42678
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 6 18:04:58 2013 +0100

    errmode should be 0 by default in Spectrometer as well

commit e8299ba1ca56ede7180ebc0c41bf7be1ad165b7b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Nov 6 18:00:26 2013 +0100

    Fix Astrobj::getSubcontractor to throw error by default when kind is not found

commit 2299fc943410d56165c3065e082fabee414d6343
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Nov 6 17:14:17 2013 +0100

    DynamicalDisk3D: code cleaning, proper implementation
    of radiative transfer for the non-blackbody case.

commit 7cf9d8ac6cf8132eef8b3c7fb188eab8ba4fd63f
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Nov 6 15:34:07 2013 +0100

    Added Makefile.in

commit e79aded502727313414d4fff14785bac06e3e4cb
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Nov 6 15:28:40 2013 +0100

    Disk3D_BB -> DynamicalDisk3D
    This is only a change of name.

commit e8b7aec3f98198c74ac259bcd8d65cd4beac77c1
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Nov 6 13:03:39 2013 +0100

    Disk3D: Adding default value of opacity_ in constructor.

commit 93176a0c30abf645c6cc85e75d16497424063f2e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 5 16:39:25 2013 +0100

    add copyopacity= keyword to yorick/stdplug/gyoto_Disk3D.C

commit d56536cdcd8a4b5636c50b95f91ec77be5187f13
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 5 15:01:28 2013 +0100

    Implement reading opacity extension in Disk3D. Beware: read, but not use.

commit 241d24a05fdbc621e279d3217faa6926c43fe77e
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Oct 30 17:35:42 2013 +0100

    In Disk3D_BB: Updated radiative transfer treatment

commit 2392f0fc1093be46f068a5019a24e3836843999b
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Oct 24 12:17:14 2013 +0200

    UniformSphere: added possibility to emit isotropic constant emission

commit a5b80a131a5245eda51cfa4ef224556516cfb3ca
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Oct 22 18:19:16 2013 +0200

    Disk3D, Disk3D_BB: code cleaning + added flags to allow raytracing
    on a grid where intensity is provided, not temperature

commit 441a7c6c356aed8018a502f0f3b2986d00c9e0df
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Oct 22 16:17:35 2013 +0200

    ThinDiskIronLine: changed default velocity when emission=0

commit 85f54bbf4ab217794933e902b28daeca026d4a24
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Oct 9 11:49:40 2013 +0200

    Added the possibility to raytrace only primary image of astrobj.
    Put <PrimaryOnly/> in Scenery environment.

commit 05a1a19db7320212793cf6c95d1e676087941171
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Sep 20 15:12:26 2013 +0200

    KerrBL:
    Modified z-axis tretment in myrk4, necessary for high spin.
    Added display of r value when Warnings are launched.

commit 29448ece43f5eb2229b6a8533eeeb774a67e78c1
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Aug 21 19:56:52 2013 +0200

    PatternDisk: implemented bilinear interpol for getVelocity() and emission()
    PatternDiskBB: code cleaning

commit 0cdea91b781daf264ef637497638c663c36620f6
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Aug 19 12:59:18 2013 +0200

    Added ThinDiskIronLine astrobj to compute iron line profiles of thin disk

commit e3ef7aa0c3fc431e2415e1d6d89a9fb139c230be
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Jul 30 11:10:17 2013 +0200

    PageThorne: added the possibility to compute observed
    blackbody spectrum; [removed rednoise_ option, now useless]

commit 7dadb8c5be20b02861eab63b04b78a9f7c49210a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Jul 27 11:14:20 2013 +0200

    Prepare for releasing 0.1.0

commit a99c3e47c06370f9a6211c73db15bf68c2dae76e
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Jul 22 17:29:01 2013 +0200

    Worldline: bug corrected in getCoord
    PageThorneDisk: added possibility to use with CS metric

commit 458ef15bc83edefbdad4d5cef8441ab20370af43
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Jul 15 16:42:48 2013 +0200

    In KerrBL: removed all references to Chern-Simons,
    virtualized some functions to allow ChernSimons to
    be a KerrBK subclass

commit 65fa9b9ab2f3d6b93fbef5e4a4cb89f6822f7002
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jul 5 11:56:48 2013 +0200

    Removed PatternDiskBB::rmax_ that shadows Astrobj::rmax_.....

commit 2a79baa386cc2be2fffbfaa0a985a46528f5156b
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jun 28 18:34:03 2013 +0200

    Changed spherical angle limit in Screen

commit 1ff9c36de34e221983173d26269dc9e378040ea6
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Jun 26 12:18:33 2013 +0200

    gyoto.C: added test on indices value
    KerrBL.C: added condition on z-axis problem solving, to be fine tuned

commit f02f8e9e5b93f9f615b756bae9fb028f1d539051
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Jun 25 10:41:07 2013 +0200

    Removed modification of z-axis problem treatment in KerrBL,
    leads to bad behavior.

commit 96cc334d0825cf65987b2b1de6a3c18027b0880c
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Jun 19 16:46:40 2013 +0200

    Few comments on orientation stuff in Screen.C

commit 07621118f38781f5a96c6938309109d6b15f9844
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Jun 17 17:39:01 2013 +0200

    In KerrBL added test in z-axis problem loop of myrk4_ada.
    Integration is stopped is modified step gets > than 2 times
    initial step.

commit bc678dffa500e97b8d4279fdb8e22a949f5d7073
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Jun 14 12:11:28 2013 +0200

    Update PatternDiskBB.C

commit d2341117f5960ac2eb445e0a860ab856b2b447c2
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Jun 13 16:50:58 2013 +0200

    One more line of comment in Disk3D.h

commit c471ec1085bd12fcca2f2d1e94c10dde3cbdc63a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 12 15:36:29 2013 +0200

    make gyotoy compatible with both gy stable and gy git.

commit a1a20baf792f3b66889aba9d04741bb2c037102a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Jun 11 16:41:17 2013 +0200

    gyotoy: sync wihth gy development

commit 04cd6eca266edd6a42bfdc21be29477179a3b29c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 7 12:47:31 2013 +0200

    SysPrimeToTdot: return 0 if v>c instead of error

commit fd3533ed317d39c0dcd9501fc89c776fc30128f0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Jun 7 00:12:14 2013 +0200

    update relative to gy

commit 2ca253ab36e720fb2cb693669bee63272db76253
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jun 6 17:45:34 2013 +0200

    minor bug fixes in gyotoy

commit f852c841de77b5390e7fc608722f21cb3790d5f7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Jun 5 17:06:03 2013 +0200

    Port gyotoy to yorick-gy, getting rid of Python.

commit cae2bf0b0f169c65b296e6fc75767ced20a6d304
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed May 29 14:42:13 2013 +0200

    increase max mass to 1e20 sunmass in gyotoy

commit 43f1316219c9a590cbf9d8fe20cd6a1c9eb669f8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue May 28 15:30:43 2013 +0200

    Document required yorick version

commit e55ccd9fce21fb71a1790e2cfe382720a58cf763
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Apr 29 17:59:14 2013 +0200

    Added UniFlux flag to PageThorne.C
    Impose flux=1, useful when only interest is silhouette

commit 80c716739f06b1cf7cad0ead5cae4b4b21dc9516
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Apr 29 15:58:45 2013 +0200

    Added Chern-Simons modification at first order to KerrBL

commit a08841edc6daad29f637435942711ac2c5bde836
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Apr 24 10:48:09 2013 +0200

    Correct flux in PageThirne.C + rednoised emission

commit ec3874b59b18545d3a6ce259d1ed724873dfed81
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Apr 19 22:27:43 2013 +0200

    yorick: use dot notation in che*.i files and document it

commit 3e89b6d68e3cc3a0a6574dbd3f17b5ca3692f2a3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Apr 19 18:26:34 2013 +0200

    yorick: make object.member wrap around object(member=)

commit 8fffe94a1a910dbd98c1dc76ce06886c688caecd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Apr 11 19:19:42 2013 +0200

    increase number of digits in gyotoy

commit 2eaf338ef09a0f4e3063cdfbedefcec83fd9b82e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 8 15:28:28 2013 +0200

    Bug fix: WorldlineIntegState::nextStep made no evolution in case of non-adaptive step

commit b5918923e9fa19edbf8093b89e2afd4fc4cd65fa
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Apr 6 01:14:36 2013 +0200

    Finish doc review

commit 290562c9adacd42da9298f5408274eff10f2713f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Apr 5 11:58:25 2013 +0200

    Rework Worldline::IntegState and Gyoto::Error
    Improve doc

commit 225cd70b19272953b7d4b659528504240b388849
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Apr 4 21:15:16 2013 +0200

    fix FTBFS introduced in last commit
    improve doc

commit 134640f1f7381e64179f8529b8a16ee0f6377ab5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Apr 4 16:23:06 2013 +0200

    Improve doc

commit 7a4eef96f9c54226a15591fcfc36b271d063613f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 3 19:48:13 2013 +0200

    Remove FocalPlane, it's not used anywhere.

commit 03d1aefbf75a82fa52656910b0f516fcc3f650c4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 3 19:40:04 2013 +0200

    Improve doc

commit 6a229b22b0cc1ed1329b8d0fce911f5f2b9721a8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Apr 3 01:03:18 2013 +0200

    imrove doc
    rename ScenerySubcontractor -> Scenery::Subcontractor, likewise Photon
    implement PageThorneDisk::getDefautQuantities() to return User4

commit e15250cc0c8d8932cdd02bf01d2699b884d7b293
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 2 22:33:20 2013 +0200

    Improve doc

commit 08767ea24f6186bff8d9978de8cb9ba174e7cad3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 2 17:33:26 2013 +0200

    Improve doc

commit c15947781f7dcd56036e5f47f0b915f6bb3513c7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 2 14:21:38 2013 +0200

    Add icon to gyotoy

commit 64110ee96f2bc2dc95afa6004c48627ab8ee2a14
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Apr 2 00:17:16 2013 +0200

    improve tooltips in gyotoy

commit 286d97b34eec57b3a70e14dd6471731f5cc65b55
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 23:38:19 2013 +0200

    update gyotoy screenshot

commit aa0d245f9c573786db17b2b07f47760135296f49
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 22:15:42 2013 +0200

    improve doc

commit b4d499cba4f4b7a20987dd54aad0a415ce75f989
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 18:59:44 2013 +0200

    yorick: small bug fix in Star

commit b8ef1545389e702a38d429e63130254e1a2a1c48
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 18:02:34 2013 +0200

    improve doc

commit a7db416a2a6a09ba2c66d1b7bf503b47707609b2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 12:49:04 2013 +0200

    improve doc

commit 7f0bc5602a677cf2bd098613ae84d71d513ba08e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 12:04:28 2013 +0200

    Add MaxIter parameter to Worldline (Photon, Star) and Scenery

commit d4abd288deaa8d8e7689c8c877caad0bd841ea27
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Apr 1 11:05:15 2013 +0200

    fix gyotoy bug in dat output

commit af655d31a2dda90d950c635da0a443b27f1c68c9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Mar 31 22:57:27 2013 +0200

    avoid percentage > 100% in gyotoy

commit 0971b5474b7448a819cb77664aefe208a741c6d2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Mar 31 22:14:08 2013 +0200

    gyotoy: display pecentage with many digit in progressbar

commit cc1106d3a783ec6cb2d2bfccddf96692c76a35c5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Mar 31 21:05:29 2013 +0200

    Implement non-adaptive step for ray-tracing, fix bug with non-adaptive integration in the past

commit 3567e23d2eb743a97d14ed212df99c449303a92a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Mar 31 00:54:19 2013 +0100

    Improve rewind button behaviour in gyotoy

commit 2dd31722afe059dcbd1d63176208f7f6192442ef
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Mar 30 20:26:54 2013 +0100

    Worldline (Star, Photon): use <NonAdaptive/> in XML to disable adaptive step
    Improve doc

commit 0476d394c1e70889498948c5fa8dc209e8e78a74
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 29 18:36:37 2013 +0100

    Re-add --tmin option to gyoto tool, install gyoto manpage, fix Spectrum doc.

commit 4e5e1c715bea0997d56c69365c69db1d57504a83
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 29 09:37:01 2013 +0100

    update .gitignore to ignore ./configure output

commit d6f7fcf0e6e013f6db0f37707af659d2895a0d49
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 1 03:07:33 2001 +0100

    bug fixes in gyotoy

commit 753427147a72f976006b3b1d12124d6abab9f429
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Jan 1 18:59:59 1981 +0100

    gyotoy: add play/pause/stop buttons, fix minor bugs

commit ef2da581fbedb4b28bbdd9fb3de6427542067624
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 27 11:11:08 2013 +0100

    Enhance gyotoy: divide integration in nsteps

commit 75a29a4253bd2617e7a102af869247e423d858ae
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 26 09:57:24 2013 +0100

    add scalaprod metrod to Metric in yorick plug-in

commit 94e0ea1ad1e5bf81db678e2d72da318526fe25d6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 26 08:10:43 2013 +0100

    small gyotoy fixes

commit f183cecdc01bf24e641d1d7ab3832665d52f8213
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 26 08:00:32 2013 +0100

    yorick plug-in:
     clean more
     remove obsolete Star functions
     introduce namespace object

commit 54ff7864eb569150727aadf9e61113b1b5f0e10c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 25 16:48:42 2013 +0100

    finish (?) streamlining main yorick plug-in

commit 9ea6ad2a75918898254876e0b2f5628bdad8fef6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 25 14:52:25 2013 +0100

    Work on gyotoy bugs when loading star from XML file

commit 8275749c7e75ded99bc2fb3acd8f556849f068e1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 25 11:39:13 2013 +0100

    Fix recent bug in yorick constructors
    Streamline yorick/Scenery

commit 7e3b05e52e596db57c628c0e516d124ecb01e6c3
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Mar 24 17:18:59 2013 +0100

    more yorick simplification and uniformization

commit fe8f888b413843fd6ff12ae6e7dbad4d9067ae74
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 22 21:30:45 2013 +0100

    clean yotick/Photon code

commit 31fb658bac3412393657f7c6187bfc5d90d8a99b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 22 16:18:08 2013 +0100

    Clean spectrum in yorick

commit 1b7e6f000c96e20c71a011685db29877140f21e7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 22 15:52:52 2013 +0100

    clean yorick spectro

commit 9ec305fb709fc04d24fda6de2a6d74cb3fd4b776
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Jan 1 01:25:28 2001 +0100

    Try harder finding python3 in gyotoy.

commit 1e8c70a58ca3200b950b502292b671cbfd3ee71c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 22 11:28:57 2013 +0100

    clean yorick code (Astrobj, Metric)

commit 29758060763dbe231b0e6064232cbd898cb4122f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Mar 22 10:50:18 2013 +0100

    Still clarify yorick Astrobj workers based on macros

commit 94e5d9d3f5085d635247feebe595b61e68ef90c2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 21 21:29:00 2013 +0100

    clarify yorick/gyoto_Astrobj.C

commit 1506e7bb42464f1252c027fc6c2e2e21243599f0
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 21 13:56:03 2013 +0100

    clarify yorick plug-in with preprocessor macros

commit 7c143252cf9f104753899baffc8b00593140f605
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 21 10:40:27 2013 +0100

    expose Screen fourvel, screen# in yorick plug-in

commit 3a264e2fa242bf1fb3f9c35b6004fb2f99adece7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 20 21:35:46 2013 +0100

    fix gyotoy bugs

commit 41bdbe7c68a9827a24a8dd8aecc5f1f29abe67da
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 20 16:42:51 2013 +0100

    suppress extraneous output in gyotoy

commit ba57d52364a1b4d4dcb54feeda00955d0c388af9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 20 16:26:33 2013 +0100

    More documentation about gyotoy

commit 98fafbbb7bc363e7b5fe5cc8fafa85c58bb46845
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 20 13:54:03 2013 +0100

    fix documentation on python 3 and PyGObject

commit 718979621af0a47beca5ccc655f42f62f9635646
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 20 13:40:52 2013 +0100

    Gyotoy: port to python3

commit 26da5715240feabafc52e43a3754c7aa23ff58f8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 20 12:59:17 2013 +0100

    Gyotoy:
     * Port to Gtk3 (a.k.a. PyGObject)
     * Add possibiility to load metric from XML
     * Various bug fixes

commit ff478ad9bc5f6103c98f5f2a61bafa5cc06067f9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 19 16:16:26 2013 +0100

    implement possibility to change delta in Star and Photon from the yorick plug-in

commit aaf8e5ae0fadbfa06f8dba9012a95f8db10262b2
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 19 15:49:07 2013 +0100

    implement setParameter for Spectrometers, export ABI in Yorick Supplier

commit 42d56b527809580752474cf88409319294392e46
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 19 15:04:28 2013 +0100

    fix freqObs usage in PageThorneDisk::processHitQuantities

commit 89308d3d0fb58f389e591c3e63b51764693fbb2b
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 19 14:49:26 2013 +0100

    Enable changing freqObs

commit 1b619a75a758eeb91e4e431bad653bae2b64f358
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 19 11:02:17 2013 +0100

    PageThorneDisk: bolometricEmission doesn't need a freq, remove from Yorick
    plug-in as it can be instanciated with gyoto_Astrobj and updatespin is now
    useless thanks to the Teller/Listener system.

commit 3649da1e7097614ba73818ecb0f0aec057669591
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 18 17:17:15 2013 +0100

    remove bolometric case from Astrobj. PAgeThorneDisk implements that as User4

commit 6dbdab9f84937cf8252251c86ac355ea1f3f623e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 14 22:01:48 2013 +0100

    Fix "error: 'Gyoto::Register' is not a function," namespace conflict in Spectrometer.C

commit 3be921ec5fa74463bbced2b0bc8dfb22006d2e12
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 14 13:26:14 2013 +0100

    imporve polishdoughnut doc in yorick

commit 5a360e2236cd466a231fa54c1a39294d34d2a9b8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Mar 14 12:39:20 2013 +0100

    * Split yorick/gyoto_SpectroUniform.C out of gyoto_Spectrometer.C
    * Document Spectrometers in gyoto.i
    * Support units in Spectrometer::getWidths(), getMidpoints(), getChannelBoundaries()
    * Support reading spectrometer from file

commit c73613777e37c8f5ba3a0aa215b4a8edf1f548d4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Mar 13 17:52:31 2013 +0100

    Split Spectrometer.C and .h into two files, clean API, update doc

commit fd40012fed4d11c1b021c5dfdbaa019ace79a85f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 18:07:16 2013 +0100

    support creating empty Spectrometer::Complex in Yorick

commit 7e2480dbad67ad0c733cc6e4c68196856345a081
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 18:04:32 2013 +0100

    implement SpectroComplex in Yorick

commit 057d16fb8f5f3d8366ba95fbb03ca7c27c025aad
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 17:04:23 2013 +0100

    separate Spectrometer and SpectroUniform in Yorick plug-in

commit 90d6e082dc3eb8ebc2f48f373e2b0e9699d26d8c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 14:34:52 2013 +0100

    add missing files

commit 784e7adc01ae60cf6f6b22d45582f891b9e1188f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 14:32:08 2013 +0100

    fix yorick plug-in

commit d4fb64d8fcf54892466b0c081314a046c94f4ea4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 14:10:07 2013 +0100

    New Spectrometer Kind: Complex

commit 6ca5b14840be29b990063013a9a7313ad33476bd
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Mar 12 10:27:04 2013 +0100

    use a register for spectrometer kinds

commit 59a8966cd991e0a3bc5f5e5c01a613a0d04ae5e4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 11 22:12:18 2013 +0100

    split Spectrometer into a Generic base and a Uniform subclass

commit a8d9ae7ab7df5781544d1a1b1401c6b99c8c17bf
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Mar 11 11:33:39 2013 +0100

    Spectrometer channels may or may not be contiguous.

commit 4573ce1ee64af76a594f4fffac6a8b666883a03a
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Feb 28 10:50:05 2013 +0100

    - Added the Bolometric keyword for Astrobj when bolometric (and not
    specific) intensity is returned by emission
    - Astrobj::process deals with boloemtric or specific intensity
    - Corrected all PageThorne examples that should be bolometric

commit 7311719c49bce27058551d543fcb10d42c546891
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Feb 28 10:00:30 2013 +0100

    Typo in Scenery

commit 61a46b82e211b3e671b4672d75f2e937b7ffac93
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Feb 26 14:32:39 2013 +0100

    Updated Photon.C to always store 1 in freq_obs_
    This quantity is useless and will be deleted in the future

commit 4ffc983cbe9aabb65e15e5da23caab84bfc3ffc2
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Tue Feb 26 13:06:39 2013 +0100

    Come back to pre-doppler commit

commit a85b3b16d7c4f2171900764c62d71c4f3b487406
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Feb 21 18:02:39 2013 +0100

    Fix buggy Doppler factor when observer moves

commit 691f44db5879ba91f2a78de8f77dc619ae3341b9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Feb 21 11:59:29 2013 +0100

    Listeners must unhook from all Tellers in their destructor

commit 220cbd7c80bb9103a32fd470b37a981040b9378b
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Feb 15 15:08:30 2013 +0100

    Typo in Screen.

commit cd4019015ab2468e72f6cf04fdaaacc9f7601121
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Fri Feb 15 14:29:15 2013 +0100

    Implemented Screen with spherical angles

commit 11a82d9f934acf610e9186cb4d3122b984a6236d
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Mon Feb 4 18:23:42 2013 +0100

    Corrected checkPhiTheta in Worldline.C
    with modifs in Photon.C accordingly

commit c9fe23a0e80574217dc9c1cfd5e79030501553db
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Jan 30 17:16:04 2013 +0100

    Typo in example file.

commit 1b5a5012cc4788c892bf11a041ea62bc9b7265df
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Jan 30 16:34:59 2013 +0100

    Example file for integration
    with a given local frame for observer

commit 413c242e342c999c454e57c90e1db9a498c00d67
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Jan 30 16:32:59 2013 +0100

    Implemented definition of observer's local frame
    given in XML input file --> allows to properly account
    for any kind of observer's motion

commit 749abccd4378a5eaecb509dfc2cf6ede35a33a14
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Thu Jan 17 17:51:47 2013 +0100

    Screen::getRayCoord updated to allow screen orientation through
    Screen::alpha0_ and Screen::delta0_
    Corrected computation of spherical_angle_2 to be OK for not small
    alpha, delta

commit cfb4855f3ce04cb0f5ca910d0e270e515196d529
Author: Frederic <frederic@MacBook-Pro-de-Frederic.local>
Date:   Wed Dec 19 16:29:21 2012 +0100

    Updated test for norm conservation, passed to norm/tdot conservation

commit 6b67e12aa272510530a2734f61be8a2cc1add54b
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Dec 6 16:03:12 2012 +0100

    Moved checkPhiTheta from Astrobj to Worldline
    Added call to checkPhiTheta in Worldline::getCoord

commit 47a6cd46cbbca22b1a657211405d8b0f24eb99a4
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Dec 5 16:59:55 2012 +0100

    In KerrBL.C contravariant metric in a more readable form

commit 294d3335fdbdee7ae230e330170cb6f3d4ac019f
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Wed Nov 28 15:57:36 2012 +0100

    Add contravariant Kerr metric

commit 78d30c895db0ca362ac249852e73cf89e23a4b67
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 20 21:57:08 2012 +0100

    Document Hooks

commit 2acab338da5598f280f2a7ec3c156f79cc1356c6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 20 20:55:37 2012 +0100

    Fix in Worldline::tell(): must reset particle properties (Metric::Generic::setParticleProperties())

commit 7c0215c075416a599a2f0865295162405da87355
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 20 18:33:42 2012 +0100

    Hook worldline to metric (using Hook::Teller/Listener)

commit 8573cb991072749fc27e60c0c909afaec288749c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 20 16:36:17 2012 +0100

    Move Hook::ListenerItem to Hook::Teller::ListenerItem and hide it. It's an implementation detail.

commit fc0fad546a9513b5c3b0d33280de9e0452fad668
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Nov 20 09:19:38 2012 +0100

    Photon::clone(): reattach Metric to Astrobj

commit 8c9db127d5314e018c9ee30d15eae278978cce51
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Nov 19 11:36:07 2012 +0100

    Fix RotStar3_1 copy constructor to get example-fixedstar-rotstar3_1.xml working

commit 815112c00ccb398cf5ff8de3c87bb1c0e10c7259
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Nov 19 10:41:31 2012 +0100

    Implement hook system so that a Metric can warn objects when it changes

commit 14a1447878cdff5f93ea46129f3f5626332d3976
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Nov 12 18:05:04 2012 +0100

    Use the setParameter(s) paradigm for Metrics as well.
    Ability to instanciate any Metric from the Yorick plug-in.
    Fixes in RotStar3_1.

commit 0ec6dad93d122e2f0d0db1504f75f62f0398998f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Nov 12 15:52:37 2012 +0100

    Ability to instanciate any Astrobj of Spectrum in Yorick

commit 4c3593e417c01146f92a5106e8a89197e66df4c9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Nov 12 11:43:55 2012 +0100

    * Spectrum:
     + use a templated subcontractor
     + accept unit in seParameter(not used yet)
     + ability to instanciate arbitrary Spectrum in yorick:
        sp = gyoto_Spectrum(kind)
        sp, setparameter=name, content

commit f463d49635774ac0264fc4692ade84c8a7caf395
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Nov 5 15:51:37 2012 +0100

    PolishDoughnut: allow setting the spectral oversampling used in integrateEmission()

commit 75d8d882ec877fa8eeb40d608f7d9c125be5688a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Nov 4 21:27:29 2012 +0100

    * Astrobj: integrateEmission takes arrays as input/output
    * PolishDoughnut: integrateEmission() uses emission() and oversampling

commit dc0a065da77ac8ab094a7f09e498e9b61cef90cf
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 3 16:51:59 2012 +0100

    PoishDoughnut:
     Try secant method for finding root of transcendental functor.
     Use Ritter's method as a fallback.
     Clean PolishDoughnut from now unused code.
     Make math functions static members.

commit 8af3691bed67f7ddbea8ea8a6e175e5ad0967537
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 3 16:51:04 2012 +0100

    Implement Gyoto::Functor::Double_Double_const::secant() root-finding method

commit dd54ef81e3e485a205b26b3006b3b4977c2443a8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 3 12:37:33 2012 +0100

    Use Ridders' root-finding method instead of bisection*(). Implement intersection() as a Functor.

commit 5d04756735cfcc67054cab10de1c08967798aa68
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Nov 3 12:35:24 2012 +0100

    * New source: lib/Functors.C
    * Implement Ridders' root-finding method for Functors::Double_Double_const

commit 2fad938cb9005f6b4a96d6e87c9ea2bf167c38f6
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 26 20:57:35 2012 +0200

    support for im=sc(,,"Intensity[unit]") in yorick plug-in

commit 1b10cf4f583723bc529bda14bebcf8b02e5c42ab
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 26 15:30:14 2012 +0200

    fix grave bug in Spectrometer::setBand(band, unit): only band[0] was converted

commit ad7e980fa13cdf7cc967f4a9c950077a9520aa0a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 26 15:17:27 2012 +0200

    * implement multithreading in Yorick plug-in's gyoto_Scenery operator ()
    * fix PolishDoughnut's copy operator which prevented the PolishDoughnut from working in a multi-threaded environment

commit 2f05e3368958919bb717181860c2ceeb10f6e3a8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 25 21:38:16 2012 +0200

    * improve configure tricks to read Lorene's local_settings
    * protect make check from GYOTO_PLUGINS environment variable

commit dc0b79b4fcf54de431f2d4535e255284fa370f34
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 25 21:14:52 2012 +0200

    * make configure more resilient on make behavior variations

commit 4f7e08a39bb3e4fdf210a58dfad80a623626f1b7
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Oct 25 18:09:32 2012 +0200

    Warnings in Disk3D_BB

commit d9a86c165635fdd4733f81f53a6d9d83d87ffb6d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 25 12:59:27 2012 +0200

    * minor optimizations
    * many warning fixes (--enable-hardening)

commit 2cff2879a0a9975b6dd121586b4b9e474eec36da
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 25 10:01:09 2012 +0200

    * implement Units::Converter::reset()
    * implement default Converter constructor (trivial converter)
    * fix warnings in Screen

commit 960430153b1ddd65b47fa4d9a97dcf91ce489f17
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 24 22:18:17 2012 +0200

    clean Converter API

commit e1b15d0146cde835a7ebd0dcdc841995de9b41ab
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 24 19:52:27 2012 +0200

    use "make -s" instead of "make" to retrieve Lorene configuration

commit ded0931e8bbbaa4ca17210d6028a21b296b35857
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 24 17:59:55 2012 +0200

    * add unit support to Spactometer::setBand()
    * implement Units::To/FromHerz
    * To/FromHerz and To/FromMeters can convert between length, duration and frequency

commit b656125cb3b2b735aed8d6178cd7ce37761df5b9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 24 11:27:32 2012 +0200

    * interpret units as UTF-8 instead of ASCII
    * (re)introduce units: as, mas, µas, °, kyr
    * implement To/FromGeometricalTime()
    * re-work PolishDoughnut example to be closer to observation

commit 6a163a70902942343fc3bbca45bcaf32594ae29e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 23 21:37:51 2012 +0200

    fix Scenery constructor

commit 330cc0cc367cc943fa7a2540d56ffc54930872fe
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 23 21:18:02 2012 +0200

    (double) linking yorick plug-in with xerces-c is actually needed (under Darwin)

commit d0da753a5007372643f3d0788944b3f98e56e175
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 23 20:42:06 2012 +0200

    Don't link the yorick plug-in with xerces-c, cfitsio or udunits2: this is
    unnecessary double linking which sometimes prevents the plug-in from running
    with strange behavior (seen under Mac OS X).

commit 0d1faa78acbda296c0a66e8960f5bf54db6991be
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 23 14:37:11 2012 +0200

    Document include/GyotoConverters.h

commit dd78b821d2113df93aa5f6dea6fc81412dfda2ae
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 23 11:46:36 2012 +0200

    support for units in Metric::set/getMass and unitLength()

commit f21b60f26b426ce903fcd4621649ba4ce1d5c1cb
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 23 11:00:31 2012 +0200

    * support for "pix" unit in Quantities: pix is the angle covered by a Screen pixel
    * support for units in Scenery::set/getDelta() and set/getTmin()

commit 10a25cce8d868270d63039fb52d02018a47f4f96
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 19:17:56 2012 +0200

    fix syntax error in yorick/check.i

commit b1e0d4d99821f76ab1a0cd84947bb40e55bb60ed
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 17:48:50 2012 +0200

    fix missing -ludunits2 in some cases in configure

commit 1eba0ab051cb1ef782f22877669b63085792974d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 17:38:06 2012 +0200

    * Support for units in Screen properties
    * new APIs: To/FromSeconds and others

commit a4441eb1a5c6f5d0cb1dd97d33771af4242f4ab1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 14:11:12 2012 +0200

    udunits support in Screen::fov_

commit f39df39152ce2f118acfaf7e1fb22ba2927c2cc9
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 13:22:15 2012 +0200

    Add unit support for many Astrobj properties

commit 2e5eddd4cb048d5c78c864fcc260c4787cb86a19
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 11:33:40 2012 +0200

    * start supporting units from Astrobj objects in Yorick plug-in
    * fix Astrobj::Standard::fillElement to call Astrobj::Generic::fillElement

commit fb23f29eb9a6f8a22e833a4d38aa6a934a407659
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 22 09:04:23 2012 +0200

    add --with-udunits-inc and --with-udunits-lib configure options

commit e2b4fd7f7aef7d080c9a8656524d2e9486e50d1f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 19 20:22:58 2012 +0200

    Generic support for units in XML files, in particular for Astrobj

commit b742b53e8555bc989131139a420d429518f1d7ba
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 19 11:43:11 2012 +0200

    * Add copyright to polishdoughnut
    * PolishDoughnut::emission() returns SI
    * Use udunits par défaut

commit 5a99a140418ba894347a9842fb8c65382a061de8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 18 19:23:23 2012 +0200

    Import PolishDoughnut

commit 3f8a034141ab89586837c1f73c79528dfd37aa4e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 18 16:45:45 2012 +0200

    Support converter for Intensity and Spectrum (--with-udunits)

commit b2d1323067831e75d2d1c09777c3fd7a851a2ab8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 18 11:27:49 2012 +0200

    work towards unit converters: introduce lib/Converters.C and include/GyotoConverters.h

commit 96bcae6a43a48db80372b3232f7369e26686e88d
Author: Frederic Vincent <frederic.vincent@obspm.fr>
Date:   Thu Oct 18 16:47:04 2012 +0200

    Updated include/GyotoDisk3D_BB.h and lib/Disk3D_BB.C to take into account Bremsstrahlung emission + absorption.

commit 4930726d6ca2996d94e6bf56010a4598de96a5d4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 17 17:27:51 2012 +0200

    Implement Photon::getTransmissionMax()

commit 9ec6d52c3dec0cf41773be3ae83b45c3f7add7d5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 17 16:31:51 2012 +0200

    experimental support for units using libudunits (enable with --with-udunits)

commit d3423fcdabeab2818e87c7bbc31f0985fbca5799
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 17 09:41:05 2012 +0200

    fixup! AC_SUBST SYS and plugin_sfx, used under Darwin for yorick/stdplug

commit c23c8ec52d12bf97eaba6ad5e2a11ca91b39db57
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 16 21:53:05 2012 +0200

    AC_SUBST SYS and plugin_sfx, used under Darwin for yorick/stdplug

commit 95194fcddd800924fb28d28564f3764c8b457aff
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 16 21:36:47 2012 +0200

    yorick/check-scenery.i: #include "util_fr.i"

commit 78308f00b4a2e867af3f218720319720edc9a8c5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 16 17:34:45 2012 +0200

    make --enable-pthreads the default

commit f02fa3606ea1e0a34397d190c03a682124f4c978
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 16 16:45:49 2012 +0200

    improve thread-safety (add SmartPointee::mutex_)

commit f27966ee32aeeff1efa0c5f07de0b6115d2d32c1
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 16 11:35:43 2012 +0200

    include GyotoConfig.h in ygyoto.h

commit 9f1e83ede206dde39ad2e6703cc0ca762a63b88e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 16 11:09:55 2012 +0200

    Store configuration in include/GyotoConfig.h

commit 01c60fb2ddd55440ba58558f1485bc92b916c7aa
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 15 18:02:11 2012 +0200

    add @DEFS@ to *.pc so gyoto-obspm knows about HAVE_SINCOS

commit 136afeeb0161daeb77821c297d66797ef1bf1edf
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 15 17:38:49 2012 +0200

    (Re-)enable building without xerces but warn about the consequences

commit b61ea79247a62f33f1255edbf78987fe790c102f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 15 11:26:35 2012 +0200

    improve HOME_LORENE checking

commit 840da4c2a279e4feeb98e29c4b046337e6dc3520
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 15 10:44:05 2012 +0200

    * Simplify configure.ac by using m4/ macros for --enable-(native|hardening)
    * Make --enable-(native|hardening) also add there flags when CXXFLAGS and/or CPPFLAGS where set
    * Clean configure help strings

commit 35ae196a80b42af37e94dc108be9700fad7333ff
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 15 09:11:51 2012 +0200

    Make sure configure fails if --with-(xerces-cfitsio)* is set but the corresponding library is not found.

commit 6a2f8acf1bbe341efe6de00fd11e4b4c2b5a3fae
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Oct 14 21:22:42 2012 +0200

    test hardening flags before before adding them

commit b404b5e771f1ee7a38e2dd54f09e7211f243cb2f
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sun Oct 14 11:25:12 2012 +0200

    Check whether compiler supports -march=native before adding it to CXXFLAGS

commit d25ef5acb39cb91e6ad2e6b7e8ce3847618d4669
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 13 15:44:09 2012 +0200

    Revert --disable-native -> --enable static and --disable-hardening -> --enable-hardening

commit 19650c84c6234658029c6b8fd003c35bc55ea8c4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Oct 13 15:26:37 2012 +0200

    Test for sincos in configure. Implement it as a macro in GyotoDefs.h if missing. Remove other unused configure tests.

commit 2f2663d2b983d184fd31391ad198d5737ab55e6d
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 12 16:28:38 2012 +0200

    typo fix in configure.ac: -I -> -L in cfitsio_lib=-L$with_cfitsio_libs

commit 72f9ef70fdc7688affb49a5e8e04c6463ff658b5
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 11 10:17:02 2012 +0200

    Optimize KerrBL::diff() (and others) to avoid multiple divisions and pow() calls.

commit 737c15138375d5fa86bdb32e7cd1f0bcff6c7bf4
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 10 16:40:57 2012 +0200

    Add pedantic warnings and hardening flags to default CPP/CXXFLAGS. Use --disable-hardening to disable.

commit c3bddf272bc8445d17abbdabe770d67d4b95ec68
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 10 14:00:35 2012 +0200

    Don't build static libraries by default

commit c17041083a06f26ff968b710e8b557354c8fc918
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 10 11:37:07 2012 +0200

    add -march=native to the default CXXFLAGS

commit 7317458529bb3a0c5d7338b5df3f77b7b248a537
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 9 16:56:09 2012 +0200

    10-fold speed gain by not calling tan()!

commit 5d5376f69b35e355f5d4c8367705afb1bf763415
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Tue Oct 9 16:08:05 2012 +0200

    add GYOTO_*DEBUG* macros; add --disable-debugging configure flag which save a marginal amount of computing time

commit fc528a3f1e7d3e7359d114860ac439849b9bab6c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 8 14:24:37 2012 +0200

    store pthread flags in gyoto*.pc

commit 50bbc6618fe7983b20df9cf9664bb132948eaa2e
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Oct 5 23:04:03 2012 +0200

    build with -pthread again

commit 9800f962b37537ef1173d50bc2b5e5e150fc6291
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Thu Oct 4 22:23:58 2012 +0200

    add --enable-pthreads configure option

commit e8fd135e2aa4efdd0adea066d461255ee673bce8
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 3 10:49:12 2012 +0200

    add --disable-doc option to configure

commit a3ceec86062d16591bf150f8613e1e48c9a29410
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Wed Oct 3 09:55:58 2012 +0200

    disable yorick in lib/gyoto-uninstalled.pc.in

commit 23aaaf5aca44c6159e2da5123572c8ab65589cd7
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 1 21:57:11 2012 +0200

    throwError in Screen::getRayCoord() when on z-axis in spherical coordinates

commit 54f0a0bc412c41b639bb3da4cec936b44d618792
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Mon Oct 1 14:34:33 2012 +0200

    rename tlim->tmin in Worldline, Photon and Scenery. Default value is -DBL_MAX

commit f15de6b70c52455749edae83b6802a7b4c2db251
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Sep 29 08:53:02 2012 +0200

    add .gitignore

commit e19e026afc04fbcd0abaf82bc2b53c730578c92a
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Sep 29 08:43:02 2012 +0200

    update ChangeLog

commit 5b80bbfa6e864e90cfb26254fe9dcdb44a54e410
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Sep 29 08:22:53 2012 +0200

    fixup! * add --plugins parameter to gyoto executable; * add plugin attribute to Metric, Astrobj and Spectrum XML entities

commit 250fa2dfbe3a759673114ec96c035afba6c28eba
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Sat Sep 29 08:13:42 2012 +0200

    * add --plugins parameter to gyoto executable;
    * add plugin attribute to Metric, Astrobj and Spectrum XML entities

commit 88cab19bf71bc204053c5c0ab4c38793a1d8cf9c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
Date:   Fri Sep 28 19:49:33 2012 +0200

    * add nofail keyword to gyoto_loadPlugin
    * load stdplug plug-in in gyoto_std.i

commit c32e7b43c3d61593c4c6a3e1131a65eb7393d81c
Author: Thibaut Paumard <paumard@users.sourceforge.net>
